 Charakteristika programu

Proč používat PSPad ?

· Pracujete se soubory v různých formátech a kódových stránkách ?
· Líbí se vám, barevně zvýrazněna syntaxe v daném souboru ?
· Potřebujete nástroj s jednoduchostí NOTEPADU a vymoženostmi programátorských editorů ?
· Potřebujete srovnávat verze zdrojových kódů a nechcete kvůli tomu instalova SourceSafe ?
· Používáte nějaký exotický programovací jazyk a chtěli byste grafické uživatelské rohraní ?

Pokud jste aspoň na jednu otázku odpověděli ANO, je PSPad pro vás to pravé.
Pro první seznámení doporučuji přečíst si v nápovědě příklad tvorby HTML nebo PHP stránky

pspadcz

Co PSPad nabízí ?

· Velmi jednoduchá a intuitivní práce, při prvním spuštění není třeba nic složitě konfigurovat
· Neomezená délka editovaného textu
· Možnost otevření více dokumentů současně
· Záznam maker s možností uložení na disk a ruční editace
· Práce s
· Hledání a nahrazování v souborech
· Nalezení (porovnání verzí)
· Zvýraznění syntaxe pro více jak 40 druhů souborů s rozlišením 7 dialektů syntaxe SQL a možností uživatelské tvorby vlastních zvýrazňovačů
· Automatické rozpoznání syntaxe podle typu souboru s možností manuální změny
· Pro každý typ definovatelné barvy pro zvýraznění syntaxe, masky souborů a externí programy
· Snadná definice , (pokud máte nějaký exotický typ souboru)
· Pro každé prostředí možnost nastavit 5 externích programů + kompilátor
· Definovatelné (např. HTML tagy, skripty, kusy kódy, deklarace atd.). Šablony lze vkládat přes seznam nebo je vyvolávat klávesovými zkratkami. Součástí instalace jsou šablony pro HTML, PHP, JScript, VBScript, MS-Dos Batch, Pascal, Perl, MY-SQL, OtherCad, IEC113, atd.
· Náhled HTML a JavaScriptu v interním prohlížeči.
· Tisk se zvýrazněnou syntaxí s možností náhledu před tiskem a nastavením vzhledu stránky
· Sloupcové, řádkové a normální bloky
· Záložky v textu
· Automatické opravy, kontrola pravopisu
· češtiny mezi Windows 1250, Latin II, Kamenických, ISO 8859-2, UNICODE, UTF-8 s možností automatické detekce.
· Editor si poradí s formátem souborů DOS, MAC, UNIX včetně jejich konverze
· HEXA editor
· Program si pamatuje historii otevřených souborů a projektů, umí při spuštění otevřít soubory, které byly otevřeny při ukončení, zapamatuje si stav souboru při jeho uzavření a při příštím otevření jej otevře ve stavu, ve kterém jste jej opustili.
· Export do RTF a HTML souboru nebo do schránky se zachováním zvýrazněné syntaxe
· Přímé odeslání souboru na disketu, jako přílohu nebo obsah e-Mailu
· Volitelné zobrazení čísel řádků, podbarvení aktuálního řádku, pravítko
· Převody velikosti písmen (malá, velká, první písmena velká)
· Přeformátování a komprese HTML kódu, změna velikosti písmen pro TAGy, odstranění tagů
· Odstranění prázdných řádků, nadbytečných mezer, přidání textu do řádků
· Odstranění diakritiky z textu, přidání diakritiky do textu
· Otevření souboru, který je předán jako parametr nebo přetažen na plochu programu
· Editace souborů s atributy ReadOnly, Hidden, System se zachováním atributů
· Samostatný EXE bez nutnosti instalace a závislosti na dalších knihovnách, které nejsou součástí systému
· Minimalizace do systémové ikony, práce ve víceuživatelském prostředí (Windows NT)
· Možnost lokalizace do jiných jazyků (součástí instalace je angličtina, slovenština, němčina, italština)
· Rozšíření kontextové nabídky (pravé tlačítko myši) v průzkumníku o možnost otevření souborů PSPadem, přímé přiřazení TXT souborů, integrace do prohlížečů IE, OPERA, Total Commander. Samozřejmostí je opětovné odstranění přiřazení.


 Novinky a historie změn

Legenda :
· přidáno
· odebráno
· opraveno

verze 4.5.0 ze dne 24.12.2005
· nativní podpora UNICODE
· funkční WordWrap
· přepsaná práce se šablonami
· zvýraznění URL odkazů v TXT souborech a při vypnutí zobrazení syntaxe, Ctrl+klik otevře odkaz
· rozšíření výpočtu otisků (MD4, MD5, SHA1, RipeMD160)
· průzkumník kódu pro Fortran
· rozšířeny možnosti průzkumníka kódu pro SQL
· živatelský zvýrazňovač rozšířen o styly komentářů $$ a //* *//
· zobrazení systémových ikon souborů v FTP klientovi
· funkčnost rozšířené HOME klávesy přidána i pro klávesu END
· v nastaveni programu / Vzhled je možno vypnout systemové ikony v průzkumníku souborů a tim jej zrychlit (hlavně na síťových discích)
· v třídění doplněna možnost třídit podle zadaného LOCALE
· možnost měnit rozměry okna se seznamem šablon kódu
· přidána definice uživatelského zvýrazňovače pro MS JScript
· přechod mezi editory rozděleného okna pomocí Ctrl+Tab a Shift+Ctrl+Tab
· přidána proměnná do [Special settings] - SimpleFileTabs=0, umožňuje zobrazovat jména souborů bez uživatelského vykreslování
· hledání/nahrazování v souborech rozšířeno o UNICODE
· možnost přetahovat vybraný text mezi okny editoru
· přidána podpora OPERA 8 při nastavování editoru stránek
· zvýrazňovač TCL/TK rozšířen o 20 nových slov (rozšíření Expect)
· zvýraňovač KiXtart rozšířen o chybějící slova
· nový příkaz editoru ecSelWord - označí celé slovo (stejná funkce jako Shift+Ctrl+Down)
· nová definice uživatelského zvýrazňovače pro GAUSS
· počet zobrazených položek v seznamu pro AutoComplete byl omezen na 20
· je možné měnit velikost okna funkce AutoComplete
· PSPad se zapíše do registru do "APP Paths", takže je možné jej spustit odkudkoliv bez zadávání celé cesty
· heslo k PROXY v nastavení programu se ukládá šifrovaně. Pokud někdo heslo používal, je třeba je zadat znovu
· v menu nad záložkou soboru přidána funkce Zavřít vše
· Nastavení kompilátoru a programu v nástrojích - při nastavování výchozího adresáře se nabídne adresář nastaveného programu
· připojení k FTP - k tlačítku připojit přidáno menu se seznamem připojení pro rychlý přístup
· změna v pluginech pro načítání a ukládání souboru. Přečtěte si ReadMe v adresáři s pluginy
· přidán příkaz PASV pro udržování FTP připojení
· do Tcl/Tk zvýrazňovače přidána podpora pro Tix
· přidána systémová proměnna %FileName2%, která vrací jméno souboru bez přípony
· přepracována funkce vložit text do řádků (Alt+I) - je možno vkládat text současně na začátek i konec, vkládat jej až před začátek textu apod.
· po spuštění kompilátoru přidána na konec logu informace o délce běhu programu
· nová lokalizace - Korejština (Shin Ryu)
· optimalizace rychlosti Hledat/Nahradit
· optimalizace rychlosti Přeformátovat HTML
· při uložení souboru se zavolá obnovení interního webového prohlížeče, pokud je spuštěn
· uživatelský zvýrazňovač rozšířen o styl komentáře '' ''. Byla provedena uprava, takze do definice se ukladaji pouze použité komentáře, ne všechny
· funkce Výpočet výrazu umožní vložit nejen výsledek, ale i celý výraz s výsledkem
· v Nastavení kontroly pravopisu je možno vypnout/zapnout automatické opravy
· do stavu souboru se ukládá i pozice pravého okraje
· uživatelské konvertory - při zpětné konverzi se prochází seznam nahrazení od konce
· jednoduché kliknutí na soubor projektu soubor aktivuje, pokud je otevřen
· Nastaveni programu / Editor - je možno určit počet mezer, které se uplaní při odsazování odstavce. Neuplatní se v případě použití skutečných tabulátorů
· přepsán panel souborů
· Nastavení rozšířená HOME a END klávesa rozdělena na 2 samostatné volby
· uživatelský zvýrazňovač rozšířen o styl komentáře #| |# (CLisp)
· dvojklik na proměnnou ve zvýrazňovači PERL zahrne i @, $, %
· do skriptování přidány funkce printFile (vytiskne soubor - pouze pro text !) a activate (aktivuje soubor). V příkladu skriptu přidána funkce na vytisknutí všech souborů
· Přidána klíčová slova pro zvýrazňovač MySQL 5.0
· Pro COBOL je možné v nastavení zvýrazňovačů nastavit pozice začátků Area A a Area B a konce kódu
· V nastaveni programu je možnost nastavit vzhled číslování záložek. Pokud číslování nechcete, nastavte formát na: %name%
· volba SimpleFileTabs, dostupná v přímé editaci
· soubor Search.INI byl odstraněn a pro ukládání je používán soubor Recent.INI
· přepsána funkce Vložit text do řádků - x-násobné zrychlení
· dvojklik v LOG okně někdy způsobil vyjímku
· odstranění diakritiky nezměnilo znak 'ł' na 'l'
· nastavení písma pro editor má vliv i na LOG okno
· ukládaní podle typu souboru
· přepnutí Editor - HEXa editor - Editor
· zvýraznění související závorky
· zvýrazňovač CSS, PHP, KiX, Fortran, Java, JScript, Perl, FoxPro
· HTML reformat
· v některých případech se nezazálohoval soubor bez přípony se zálohováním '~'
· hledání v souborech s maskou *.* nezahrnulo soubory bez jmena nebo přípony
· porovnání souborů - UNICODE soubory už není nutné načítat předem
· dialog hledat/nahradit - je možno zadávat UNICODE text
· inkrementální hledání převedeno na UNICODE
· optimalizována rychlost zvýraznění související závorky u velkých souborů
· nové okno editoru se otevírá maximalizované podle stavu aktuálního okna
· hledání na Google převedeno do UNICODE
· zadávání šablon převedeno do UNICODE
· funkce vložit text na pozici
· CommandWindow
· poslání parametru se číslem řádku
· načítání UNICODE souboru (zobrazil se BOM)
· problém se zvýrazňovačem pro VB
· kontrola pravopisu
· kontrola, zda je možné soubor uložit
· oprava mulizvýrazňovače
· doplnění chybějící funkčnosti zakomentovat/odkomentovat kód
· přepsána spousta interního kódu (optimalizace)
· dvojklik na slově se zapnutým zvýrazňovačem
· chybná adresa v interním náhledu způsobovala vyjímku
· nastavení hlavního okna pomocí menu Okno
· průzkumník kódu pro VB, C++
· při zalomeném textu se po dvojkliku v LOG okně editor nenastavil vždy na správnou pozici
· při automatickém ukládání blikne stavový řádek pouze pokud dojde k uložení nějakého souboru
· šablony kódu a problémy s ruským znakem 'Ja'
· uživatelský zvýrazňovač, komentáře a řetězce po naku ''' a '"'
· kontrola pravopisu a pravá myš na chybném slově, obsahujícím '_'
· zadávání národních znaků v dialogu hledání a FTP připojení
· komentáře ve FoxPro
· zakomentování kódu, pokud byl označen znak na posledním řádku
· multizvýrazňovač bere způsob komentáře podle aktuálního zvýrazňovače
· kontrola při spuštění externího programu a neotevřeném souboru
· průzkumník kódu a problémy s komentáři
· opravena funkce součet bloku
· pokud není nainstalována tiskárna, nebudou přístupné funkce tisk a náhled před tiskem
· hledání/nahrazování v souborech zachovává formát souboru (DOS/UNIX/MAC)
· uložit jako u souboru otevřeného přímo v HexaEditu
· problém s blikajícími tlačítky pokud nebyl otevřen žádný soubor
· příkaz Copy při záznamu makra
· nastavení individuální šířky tabulátorů pro zvýrazňovače
· hledání v R/O souborech a adresářích
· chybné zobrazování znaků ve výsledcích hledání při hledání v OEM a ISO souborech
· porovnání textu - funkce Obnovit, nekontroloval se poslední řádek v prvním okně
· uživatelský zvýrazňovače nepovažuje za komentář #{
· modifikace průzkumníka kódu pro C
· styl vytváření zálohy souborů z HEXa editoru sjednocen se standardním zálohováním
· Hex editor ignoroval nastavení počtu bajtů na sloupec
· automatické opravy nepracovaly v rozděleném okně
· výběr slova v PHP včetně znaku '$'
· opraveno zpomalení při označování řádků na konci dlouhých souborů
· opraveno chování Ctrl+Right
· znaky s diakritikou byly označeny za chybné v JAVA zvýrazňovači
· u kódování UTF-8 nebylo možné použít jiné konce řádků než DOS
· PSPad nebude zasahovat do nastavení OPERY, pokud nebude změněno v Nastavení programu
· Ctrl+DblClick vybral text včetně uvozovek
· ukončení programu pokud funkce hledání v souborech narazila na binární soubor
· Nastavení programu - po některých změnách se nezpřístupnilo tlačítko "Použít"
· přepnutí z editoru do HEX a zpět nedrželo pozici kurzoru
· vyjímka po změně nastavení HEXa editoru, pokud byl počet bytů ve sloupci = 1
· vkládání šablon s prázdnými řádky duplikovalo předchozí řádek
· hledat další/předchozí výskyt v některých případech nepracovalo
· uživatelské zvýrazňovače v některé kombinaci způsobily zatuhnutí programu
· nastavení zvýrazňovačů, tlačítka Vše, Žádný nezpřístupnila tlačítko Použít
· průzkumník kódu pro Oracle - nezobrazil celý Package, pokud obsahoval ve jménu $
· dvojklik na slově nevybral slovo, obsahující číslice
· otevření souboru z internetu - problémy s názvem souboru, pokud byla URL adresa zakoncena lomítkem
· komentář v Tcl/Tk
· Java - identifikátory začínající znakem s diakritikou
· pokud je vypnuto zobrazení přípon na záložce a soubor má pouze příponu, bude zobrazena
· odstraněn problém mizení definice kláves
· klávesové zkratky šablony je možné nahodit zpět pomocí Ctrl+Space
· Find in files - hledání v ANSI souborech
· označení slova s diakritikou dvojklikem ve zvýrazňovačích SQL, Perl, CSS, Cobol
· průzkumník kódu pro PERL a problém s proměnnými
· zvýrazňovač pro CSS a záporné hodnoty
· drobné opravy v GUI (& v hintech apod.)
· hledání v souborech - některé volby byly zakázané při nastavení CP jiné než ANSI
· funkce zaměnit řádky, pokud nebyly řádky označeny celé
· konec řádku v UNICODE souborech závisí na nastavení formátu souboru (DOS/MAC/UNIX)
· Hledání v souborech a dvojklik klik ve výsledku hledání na binarni soubor
· Bliknutí okna při Ctrl+R (znovunačtení)
· Monitor schránky - při kopírování z PSPadu se text vložil 2x
· funkce Vložit text do řádku - vložení textu na pozici vložila text za uvedenou pozici místo před ní
· otevřít kopii (Ctrl+D) po uzavření okna vymazalo vytvořený soubor
· chybné nastavování šířky levého okraje při vytváření záložek
· ošetřen stav, kdy se mění počet tiskáren při běžící instanci PSPadu
· ošetřen stav, kdy poštovní klient nepodporuje SIMPLE MAPI
· FTP klient - refresh znovu pripojí FTP server, pokud se odpojil
· soubor bez přípony a detekce zvýrazňovače
· nepracovala funkce Automaticky občerstvovat z menu Okno
· uživatelské slovníky se neukládaly do profilu
· již opět funguje volba "zalamování podle pravého okraje"
· konverzní tabulka ANSI - ISO-8859-2
· otevření binárního souboru s parametrem pro číslo řádku
· CP jiná než ANSI a nulová délka souboru
· ostraněn problém se zapnutou volbou Scroll past EOL a sortováním
· průzkumník kódu pro C++ a direktivy překladače
· výjimka při vkládání slova do slovníku
· opravena chyba při zavření okna interního prohlížeče pomocí JavaScriptu
· automatické opravy v HTML
· chyběl příkaz editoru ecNextLineStart
· nastavení automaticky občerstvovaného okna z menu
· barvy HEX editoru neodpovídaly nastavení programu
· výběr řetězce a kombinace uvozovek
· výběr řetězce mezi závorkami pomocí myši
· zvýraznění kombinace ECHO a příkazu v MSDos BAT zvýrazňovači
· funkce Automatické dokončování nenabízela seznam klíčových slov z definice zvýrazňovače, pokud nebylo slovo nalezeno v textu
· porovnání souborů - pozice výsledku se řídí nastavením programu / editor / výsledek hledání
· ztráta kláves editoru
· otevření souboru, který obsahoval ve jménu '.exe' při již běžícím PSPadu
· do nastavení projektu / HTTP server se ukládaly nesmyslné znaky
· uživatelský zvýrazňovač - znak ':' nebyl zvýrazněn jako symbol
· monitor schránky, vkládání textu a odřádkování
· zvýraznění CSS
· Porovnání souborů - změny do nového souboru
· velikost písmen/začátky vět velké počítá s případy '?,' '?:' atd. kdy nenastává začátek věty
· problémy se šablonami kódu
· Vložit text do řádků při označení bloku od konce
· spuštění externí aplikace někdy způsobilo prodlevu po přepnutí zpět do PSPadu
· vložení barvu v CSS přes šablony kódu nerespektovalo nastavení formátu barvy
· HEX editor a černé pozadí
· víceřádkové komentáře {} v uživatelském zvýrazňovači
· změna velikosti písmen na Win9x
· zrušení zalomení textu po Znovunačtení souboru
· chybějící podpora %Input% v nástrojích na záložce Oblíbené
· Hex editor - změna sloupců pomocí Ctrl+kolečko myši
· Shift+Space v HEX editoru
· kontrola změny souboru pro HEX editor
· Průzkumník kódu pro JAVA a protected metody
· volba Přidat odřádování na konec souboru (pokud není) nebyla funkční
· Průzkumník kódu pro C++ a lomené závorky v řetězci, třídy z jiných knihoven
· znovuotevření souboru z FTP serveru
· použití funkce Smazat slovo na konci souboru
· zatuhnutí programu s JavaScriptem
· zatuhnutí programu při formátování kódu
· skrolování kolečkem o nastavený počet řádků v editoru
· průzkumník kódu, kliknutí na první řádek nenastavilo editor řádek v editoru
· přepínání oken
· skrolování kolečkem v HEX editoru
· otevření nového souboru s obsahem výchozí šablony nerespektovalo nastavení CP v menu Formát
· pokračování dokumentačního komentáře /** */ pro C++, PHP
· řetězce v CSS zvýrazňovači
· problémy s Code explorerem při otevírání více souborů současně

verze 4.3.3 ze dne 18.6.2005
· ke skriptům je možné přiřadit klávesové zkratky - další parametr v metodě addMenuItem
· Multizvýrazňovač umí pracovat i s vnořenými skripty ve tvaru <script runat=...>
· vylepšen panel souborů - aktuální soubor je tučně, je indikován změněný soubor, panel sleduje aktuální soubor
· přepsáno nastavování klávesových zkratek
· soubory z FTP jsou lokálně ukládány do složky podle jména připojení místo jména serveru
· vylepšeno současné otevření více souborů z průzkumníka
· proměnná MainFileInPreview ve [Special Settings] určuje, zda bude v náhledu HTML zobrazen vždy hlavní soubor
· možnost pluginů pro načítání a ukládání souborů. Popis najdete v podadresáři \Plugins\FileType. Pokud plugin existuje, soubory s příponou shodnou se jménem pluginu se načítají a ukládají přes něj. Max. velikost souborů je zatím omezena na 5 000 000 bajtů. Jako příklady jsou pluginy pro PDB (Palm data) a ZText (text zkomprimovany ZLib)
· nová volba WordWrapEnabled ve [Special settings]. Výchozí stav je 0 (zakázán). Pokud někdo WordWrap bude chtít, misí si jej sám povolit a nechci slyset žádné další stížnosti, že je chybový !!!
· aktualizována verze TiDy.EXE
· Hlavní soubor a Přidat do projektu v kontextovém menu nad záložkou souboru pracuje se souborem nad kterým bylo menu vyvoláno
· pokud je označen hlavní soubor, je vždy poslán do HTML náhledu
· nový Lorem Ipsum generátor v menu nástroje. Jako zásoby slov pro generátor se berou soubory .\Spell\Lorem*.txt
· zvýrazňovač pro TeX rozšířen o klíčová slova
· pro rozdělení okna vodorovně a svisle je možné přiřadit klávesové zkratky
· v sekci [Special settings] je možné nastavit max. počet pro historii souborů a ostatních příkazů (hledání, Command okno, Google).
· v definici uživatelského zvýrazňovače je možno specifikovat přižazení existujícího průzkumníka kódu
· nová volba v sekci [Special settings] - GutterClickInclLF=1 způsobí, že po kliknutí na levý pruh bude označen řádek včetně konce řádku
· nový konfigurační soubor Google.INI, pomocí kterého si můžete přidat jazyky a Google servery
· na prvních devíti záložkách se zobrazují čísla pro rychlé přepínání pomocí ALT+číslo
· nový způsob zálohování do soubor.BAK.typ. Zkontrolujte si nastavení zálohování !
· přidána Švédština (Hans Ericson)
· zvýrazňovač pro MS SQL 2000 doplněn o spoustu klíčových slov, opraveno zvýrazňování systémových funkcí
· přidána lokalizace do Kurdštiny (PCKurd group)
· přepsána práce s INI soubory, měly by odpadnout problémy s antivirem a ukládáním konfigurace
· přepsána práce s průzkumníkem kódu - každé okno má svůj obsah
· doplněn průzkumník kódu pro TCL
· při hledání v šablonách se zobrazuje hledaný text
· přidán přístup do LOG okna pomocí skriptování
· doplněn průzkumník kódu pro C++
· doplněn zvýrazňovač pro Tcl/Tk
· skutečné rozdělení jednoho okna. Zavolání stejné funkce zruší rozdělení okna. Doplněny funkce do menu Okno
· přidána podpora pro Účet (Account) v nastavení FTP
· tlačítka rozbalit a sbalit v průzkumníku kódu mají vliv na celý obsah
· průzkumník kódu doplněn pro soubory VB
· přidány proměnné %DosFile% a %DosDir% pro spouštění externích aplikací/kompilátoru - vrací cestu v DOS formátu 8.3
· při vyvolání šablon kódu je možno pokračovat v psaní a dohledat odpovídající šablonu
· bitmapy s obrázky byly přesunuty do podadresáře Skin. Je nutno tam přesunout BMP soubory
· doplněna podpora všech nainstalovaných jazyků ve WSH. Byly přepsány metody PSPadu, doporučuji přečíst přiložený RTF soubor. Pokud se ve skriptu vyskytne chyba, je otevřen soubor skriptu na příslušném řádku
· podpora pro .PDB a .PRC soubory. Pro uložení stačí použít funcki Uložit jako... a pojmenovat soubor příponou PDB nebo PRC nebo použít funkci z menu Soubor / Export / Uložit jako PDB
· přepsána část týkající se statusbaru - blikání a zpomalování skrolování
· přidán komentář (+ ... +) pro jazyk D
· průzkumník pro SQL, v této chvíli pro PL/SQL
· při ukončení program zkontroluje existenci souborů v historii a odstraní neexistující odkazy
· 1.verze se skriptováním pomocí WSH, zatím VB script. Doporučuji prostudovat příklad (díky Uwe Boeckers)
· HTML kontrola TiDy pracuje s řádkovou verzí TiDy.EXE místo s knihovnou TidyATL.DLL (můžete smazat). TiDy.EXE je možné kdykoliv nahradit aktuální verzí z http://tidy.sourceforge.net
· otevřít a zavřít soubory složky v projektu nechá focus na panelu projektu
· přesunout jako, pokud není soubor změněný zachová původní datum a čas souboru
· nastavení stavu souboru si pamatuje i kódovou stránku souboru. Z důvodu změny struktury souboru PSCache.BIN je soubor při prvním spuštění nové verze PSPadu vymazán.
· v nastavení programu [Special settings] přidána volba HLOnUpToSize. Hodnota udává max. velikost v bajtech, kdy bude po načtení souboru automaticky zapnuto zvýrazňování syntaxe
· dvojklik v okně porovnavání textu provede zobrazení zdrojového souboru
· nova sada ikon - Leonid Frolov
· v Nastavení programu / Program-chování přidána položka Automaticky ukládat pozici okna programu
· v menu Nastavení přidána položka Uložit pozici hlavního okna programu. Umožňuje ručně uložit aktuální pozici okna a současně ruší v Nastavení programu položku Automatické ukládání okna programu
· do kontextového menu záložky souboru přidána položka Systémové menu
· program si pamatuje po dobu běhu poslední cestu použitou při importu CSV souboru
· pokud je povoleno více instancí a je otevřen projekt, titulek na panelu úloh zobrazuje jméno projektu místo jména souboru
· v nastavení programu [Special settings] je možno pomocí přepínače "OldMainIcon=1" nastavit pro program starou ikonu programu
· v některých dialozích nebyl akceptován font, nastavený v jazykovém souboru
· průzkumník kódu pro PHP - změna barvy symbolu konstruktoru v PHP třídách
· dvojklik na jménu projektu vyvolal dialog hledání souboru, chybná ikonka u jmena projektu
· hledání v souborech - program nenasel celé slovo, pokud před nebo za ním byl tabulátor
· výjimka při hledání v průzkumníku kódu, pokud není otevřen žádný soubor
· pokud neexistoval soubor Links.INI (oblíbené odkazy), nebylo možné odkazy přidávat
· export do XHTML exportuje jména atributů malými písmeny
· Průzkumník kódu pro Perl nezahrnul proměnné začínající na '%'
· další problémy v Automatických opravách
· drobné úpravy ve zvýrazňovači pro Python
· opraveno chování při ukončování programu, odpovědi Uložit vše a stornu dialogu pro zadání jména souboru
· chyba při zavření okna odkazů a následném ukončení programu
· Průzkumník kódu pro HTML - TBODY bylo detekovano jako BODY
· CSS zvýraznění více čísel za sebou
· drobné opravy v exportu do HTML
· opravena reakce na nastavení nové/staré ikony na zástupce programu
· průzkumník kódu pro Pascal - problémy s kombinací komentářů { a //
· mizející okno HTML náhledu při zobrazení hintu v hlavním okně
· úpravy odstranění HTML tagů
· v R/O souboru bylo možno vkládat text pomocí šablon
· záložky v HEXa editoru
· skrolování v HEXa editoru
· přetažení souboru v ramci projektu s nastaveným automatickým řazením
· otevření R/O souboru přes Soubor / Otevřít nenastavilo režim souboru na R/O
· problémy s nestandardnim fontem a výsledky hledání v souborech
· po vymazání makra v MakroManažeru zůstal popisek v menu Přehrát makro
· informace o projektu nebyly dostupné po zavření všech souborů
· chyba při žádosti o informace souboru z projektu, který byl zamknut jinou aplikací
· projekt z adresáře se nezeptal na uložení změněných souborů
· opravy Průzkumníku kódu pro PHP5
· porovnání prázdného souboru a skok na předchozí změnu
· po uložení souboru na FTP se neaktualizovalo jméno FTP serveru
· zobrazit barvu nefungovalo, pokud byla barva označena zprava doleva
· nebyl ošetřen případ, kdy nebylo právo zápisu do registrů při registraci nového typu v nastavení programu
· opraveny problémy se zálohou skriptů
· soubory s nulovou délkou se otevíraly vždy v CP1250
· výchozí adresář pro otevření souboru
· chyba při prázdném UTF-8 souboru
· chyba při neexistujícím souboru wwwtools.ini
· chyba při porovnání otevřených souborů, zavření zdrojů a Refresh porovnání
· přeformátování odstavce pomocí Shift+Ctrl+K bez označení vložilo prázdný řádek na začátek souboru
· v monitoru schránky nebylo možné mazat pomocí Del a Ctrl+Del
· \# v PERL byl brán jako komentář
· změna CP nebo změna formátu souboru fungovala i pro R/O soubor
· ESC v okně příkazového řádku zavřel program
· průzkumník kódu - doplněny chybějící definice funkcí pro PHP5
· uživatelské zvýrazňovače nepodporovaly label, začínající číslem
· FTP klient a Unix L8 SunOS
· kopírování do schránky pomocí kontext.menu z příkazového okna
· nový soubor podle zvýrazňovače neměl zapnutou syntaxi
· Automatické doplňování nebralo Klíčová slova 2 a 3 z uživatelského zvýrazňovače
· pokud se u FTP klienta použil nestandardní port u připojení a pak následně server bez definice portu, nevrátil se port na standardní
· nezobrazené záložky souborů po startu
· pokud byl otevřen R/O soubor, nebylo možné otevřít soubor přetažením na plochu PSPadu
· oprava průzkumníka kódu pro JAVA, PHP, Python
· chyba v FTP při nevybraném souboru a příkazu CHMOD
· přejmenování složky v projektu kódu
· vyjímka, pokud se do jména makra po záznamu napsaly nepovolené znaky
· LOG okno se ozbrazovalo po startu
· opraveno chování hledání v šablonách - vyvolání šablony při označeném textu
· při vytváření adresáře na FTP bylo možno zadat i nepovolené znaky
· opraven problém s PHP skriptem v multizvýrazňovači, pokud před ukončením nebyla mezera
· opraveno nastavení kláv.zkratek pro vytvoření záložky a jdi na záložku
· do R/O souborů bylo možné vložit vložit datum a čas, barvu, obsah monitoru schránky
· v interním HTML náhledu v TextArea nebyla funkční klávesa Enter
· zavření všech souborů kromě aktuálního
· oprava spolupráce s HTML TiDy - v některých případech docházelo ke ztrátě řádku v hlavičce
· vyjímka při spuštění makra bez otevřeného souboru
· rozdělené okno a přetažení divideru uplně na kraj prvního editoru
· rozdělené okno a indikace "změněn" po uložení
· vyjímka v HTML multizvýrazňovači a kódu <? % ?>
· ošetřena chyba při současném zavírání více instancí PSPadu
· průzkumník kódu pro C
· klávesové zkratky šablony a barvy zvýrazňovače v novém souboru
· otevření 2 oken vedle/pod sebe pomocí kontextového menu na záložce souboru
· kombinované řetězce v KiXtart
· ošetřen stav, kdy soubor s příponou PDB nebo PRC není Palm databáze
· při rozděleném okně neakceptovaly obě poloviny příkaz zobrazit čísla řádků a změny zvýrazňovačů
· vyjímka, pokud neotevřen žádný soubor, prázdný výsledek hledání v souborech a tlačítko otevřít všechny soubory
· funkce Zobrazit barvu a výraz #007F7F,bold
· při odeslání zástupce jako parametr PSPadu se neotevřel původní soubor
· otevření výsledku hledání v novém okně a vodorovný posuvník
· oprava chyby při přiřazování klávesových zkratek
· opraven převod RGB -> CMYK
· kliknutí ve výsledku LOGu, pokud není otevřeno zádné okno a v LOGu je uvedeno jméno souboru
· při nahrazování došlo k odstranění mezer a tabulátorů na konci řádků
· problém s načtením barev zvýrazňovače po startu programu a otevření projektu
· spuštění nástroje z oblíbených, pokud nebyl otevřen žádný soubor
---
· problém v náhledu pomocí Gecko, pokud soubor obsahoval znak '#'
· problém se jménem FTP připojení, obsahujícím lomítka a mezery

verze 4.3.2 ze dne 24.12.2004
· aktualizován dialog před tiskem
· při otevírání souboru pro porovnávání textu si program pamatuje poslední použitou cestu
· rozšířeny možnosti oblíbené položky / nástroje na úroveň kompilátoru
· nová volba v sekci [Special settings] - CtrScrollIfSelected - pokud je nastavena, pomocí klávesy Ctrl bude okno skrolovat jako v případě, že není text označen
· v nastavení programu je možno zvolit způsob zálohování přidáním typu .BAK
· nové položky v nastavení programu / potvrzování - dialog po hledání v souborech, potvrzení po zavřít vše
· přepracována práce s oblíbenými - program pamatuje stav rozbalenych, odstraněno "+" u položek
· proměnné je nyní možné používat i v cestě ke kompilátoru
· nastavení programu / mapa kláves - možnost tisku přehledu klávesových zkratek
· k dialogu pro zadávání parametru %Input% byla přidána historie
· PSPad je možno spustit přímo v režimu porovnávání souborů. Syntaxe: PSPad.EXE -d "soubor1" "soubor2"
· obsah LOG okna a Výsledku hledání je možné přenést do nového souboru tlačítkem
· nové jazyky - Japonština a Rumunština
· optimalizace práce (interní) s TreeView (ovládací prvek pro stromovou strukturu)
· nastavení programu [Special settings] je možno ovlivnit pomocí parametru ExtraLineSpacing výšku řádků
· dialog Nový soubor / Podle šablony - přidáno tlačítko pro přímou editaci šablony
· v Nastavení programu/Program-vzhled je mozno změnit sadu ikon pro tlačítka
· hledání v souborech - informace o celkovém počtu výskytů, doplněna informace o počtu výsledků pro jednotlivé soubory ve výsledku hledání
· přidána podpora tříd do průzkumníku kódu pro VBScript
· nastavení programu [Special settings] - nová možnost CheckDocChanges - zapíná/vypíná detekci změn dokumentů
· potvrzení znovunačtení souboru po změně jiným programem je možno provést najednou pro všechny soubory
· v nastavení programu je možno zadat formát pro nové soubory
· dialog FTP připojení - možnost importu nastaveni FTP z FileZilla
· Příkazový řádek - přidána možnost zadat výchozí adresář
· v dialogu pro otevření souboru je možno zvolit zda otevřít soubor jen pro čtení
· nastavení programu / Mapa kláves - tlačítko "Přímá editace" edituje rozložení kláves
· uživatelský zvýrazňovač - přidán styl komentáře -* pro WebFocus
· v jazykovém souboru je možno nastavit font pro dialogy nastavením jména fontu v proměnné DefaultFont=jmeno_fontu v sekci [Common]
· uživatelský zvýrazňovač - nový styl komentáře po znaku "|" pro Baan4GL
· okno otevřených souborů - přidáno kontextové menu, přepsáno chování panelu
· v Průzkumníku kódu pro KiXtart doplněny návěští
· hledání v souborech - je možno "nemazat" výsledky předchozích hledání
· nastavení programu / editor - je možno vypnout "chytré" vkládání párových znaků, kdy se zavírací závorka (uvozovka) přeskakuje, pokud již existuje
· nová záložka v Nastavení programu / Dialogy
· parametr TextClipsIfHLOff ve [Special settings] - při vypnutém zvýraznění syntaxe se zobrazí makra z Text.DEF
· kontextové menu naz záložkami umožňuje zavřít soubory vlevo nebo vpravo od souboru, nad kterým bylo menu vyvoláno
· v FTP je možno mazat pomocí klávesy DEL
· ASCII tabulka se po kliknutí na stavový řádek nastaví na aktuální znak
· je možno otevřít/zavřít všechny soubory projektu, pokud je funkce "Otevřít soubory složky" vyvolána na hlavním uzlu projektu
· pro udržování FTP připojení přidán příkaz CWD ./
· v menu Projekt volba Ulozit jako...
· v dialogu hledání je možno vytvořit seznam nevyhovujících podmínce
· průzkumník kódu se automaticky otevře, pokud je spuštěn při ukončení programu
· při editaci uživatelského zvýrazňovače se otevře dialog pro výběr souboru s přednastaveným jménem
· víceřádkové řetězce v KiXtart
· nový styl komentáře v uživatelském zvýrazňovači {- -} pro Haskell
· zvýrazňovač PHP zvýrazňuje i hash proměnné
· V nastaveni programu | Editor nová volba Skupinové UNDO
· změna chování pro "chytré přepínání" souborů
· nová šablona a definice pro SMARTY
· nový styl komentářů pro uživatelský zvýrazňovač {*...*}
· průzkumník pro MS-Dos BAT
· přidána konverze ANSI <-> Base64
· je možné změnit klávesovou zkratku pro "nápovědu k prostředí"
· nastavení programu [Special settings] - nové parametry: DragImgAlt, DragImgTitle a DragImgBorder řídí vkládání obrázků přetažením
· kontextové menu projektu - je možno zavolat systémové menu
· dialog pro zobrazení barvy - přidáno tlačítko zpět
· pokud je označen text a zavolán dialog tisku, je vybrán v dialogu "výběr"
· nový soubor, pravá myš a vybrat mezi závorkami
· změna adresář v FTP klientovi - ztráta focusu
· proměnné v PHP průzkumníku kódu ukazovaly špatné číslo řádku
· kontrola aktuálnosti souboru s makrem
· chyba, pokud neexistoval podadresář Lang se souborem Czech.INI
· zvýrazňování souvisejících závorek v MS-Dos BAT
· dialog nastavení programu nanastavoval volbu "obnovit vždy na prvním monitoru"
· export do HTML - výchozí velikost fontu změněna na 2
· nebylo možné měnit klávesové zkratky pro změnu označení bloku
· po startu programu se nenastavil správný zvýrazňovač pro ASP
· ve výsledku funkce najit/kopírovat se po Ctrl+A neoznačil celý text
· opraveno hledání a přejmenovávvání v projektu
· program po kompilaci se nespusti, pokud se v LOGu vyskytuje slovo "Error"
· zakomentovat kód v TXT souboru - chyba
· v některých případech docházelo k chybě při aktivním monitoru schránky
· průzkumník dávkových souborů bral i zakomentované řádky, opravy rozeznání komentářů ve zvýrazňovači
· uživatelský zvýrazňovač - oprava komentáře SMARTY
· vyjímka při Okna | Kaskáda nebo Dlaždice
· vyjímka při vytvoření šablony z bloku v TXT souboru, pokud soubor šablon dosud neexistoval
· korekce ukončení PHP skriptu v multizvýrazňovači
· oprava zvýraznění komentářů pro SAS
· zástupce v menu "Odeslat" nereagoval na nastavení PSPad HEXA
· komentování kódu při vypnutém zvýraznění syntaxe
· vybrat mezi zavorkami
· hledání v souborech bralo jako konec slova i znaky "_" a "-"
· při ukončování PSPadu se neuložil soubor na FTP server
· vyjímka - pravá myš na ploše programu pokud nebylo otevřeno žádné okno
· opraveno chování rozbalování výsledků hledání v souborech
· při přetažení linku se neotevřel soubor
· vložení času ve tvaru UNIX timestamp
· automaticke zobrazení Průzkumníka kódu zadokovaného vpravo
· dialog pro nový soubor neaktualizoval seznam šablon v průběhu běhu programu
· průzkumník CSS a komentář na řádku se stylem
· ukončení na ESC a dialog pro automatické doplňování
· přiřazení kláves neupozornilo na existující zkratku ze sekce Editor
· opraveny komentáře v uživatelských zvýrazňovačích
· drobné opravy v průzkumníku kódu pro Java, PHP
· nemožnost zobrazení Průzkumníka kódu
· oprava exportu JavaScriptu
· parametry %line%, %word%, ... ve spuštění programu po kompilaci
· úpravy chování automatických oprav
· obnovení předchozího stavu
· Uložit vše při ukončování programu a zamknutý soubor
· hledání v souborech - chyba na konci - pouze česká lokalizace
· formát nového souboru při otevření ze šablony
· oprava zvýrazňovače pro JAVA
· uživatelské zvýrazňovače korektně nepracovaly s nastavenými znaky pro klíčová slova
· nastavení fontů u některých dialogů
· hledání v souborech bez výsledku a kliknutí na rozbalení všech ve výsledích hledání
· funkce Kopírovat v dialogu hledání - řádka byla obsažena ve výsledku vícekrát, pokud obsahovala víc výskytů hledaného slova
· výjimka při "výběr mezi závorkami" v novém prázném dokumentu
· minimalizace do ikony - kliknutí na zastupce neobnovilo původní stav (otevřené soubory)
· chytré přepínání oken a nový soubor
· spouštění kompilátoru a vyjímka po dialogu na opravu nastavení
· výchozí adresář v nastavení kompilátoru nepracoval s proměnnými
· uživatelské zvýrazňovače - zvýraznění se znakem $
· pokud bylo zvoleno ukládání souborů pouze z lokálních disků, neukládala se historie některých dialogů
· Nový soubor / Podle šablony - chyba při kliknutí na tlačítko Upravit
· opraveno ukládání souborů s R/O a dalšími atributy
· Průzkumník kódu a property ve VBS
· problem s odsazením odstavce při nastavené šířce tabulátoru na 4 a více znaků
· vyřešen problém s počtem řádků při skrolování editoru a LOGu
· oprava zmenšení odsazení bloku při neoznačeném textu
· doplnění slova 'else' do MS_Dos zvýrazňovače
· FTP klient - problem s parsovanim vystupu, pokud v permissions bylo velké písmeno
· seznam záložek nerespektoval nastavení fontu
· ASCII tabulka nezustávala vždy nahoře
· ošetřena chyba při použití Kopírovat/Počet/List v dialogu hledání s chybným reg.výrazem
· hledání v souborech a následné otevření nalezených souborů otevřelo prázdné soubory
· při náhledu WWW stránky pomocí Gecko zůstal PSPad neaktivní
· Průzkumník kódu pro VBS a "Exit Sub"
· lepší chování hledání názvu v projektu
· Text diff se souborem nenabízel v dialogu pro otevření souboru správný typ
· ošetřeno předání masky jako parametru pro otevření souboru
· při zarovnání bloku doleva/doprava/... nebyly zachovány záložky
· Automatické opravy - nesmyslné chování po napsání závorky, po spuštění programu nebylo aktivní
· drobné změny v přepínání souborů
· oprava nahrazování v HEXa editoru


 Poděkování

Skriptování, plug-iny

Active script (Delphi příklady, podpora) - Uwe Boeckers
Notepad.exe, TiDy.exe - Dirk Paehl

Šablony

8051 - Jaromír Rezek
ASX - Karel Pavelka
AutoIt - Petr Franta
C++ - Karel Pavelka
CAL - Martin Pařízek
CLARION - Nelson A. H. de Carvalho
FreePascal - Andrzej Kowalski
HTML - Karel Pavelka
IEC11131 - Petr Vetešník
LonWorks NeuronC - Senko
MS-Dos - David Tardon (překlad)
MS JScript - Aleš Daniel
OtherCad - Aleš Černý, Ivan a Petr Slepičkovi
Oracle - Kubo Zdeno, Miloš Beňo
PHP - Kryštof Slabý, Karel Pavelka, František Bláha,
Pascal - Andrzej Kowalski
Python - Myles, Pavel Kosina
RSL - Aldar
RSS - Karel Pavelka
SMARTY - Mazel (Kochi)
TeX - Tomáš Vacek
XHTML - Karel Pavelka
XML - Karel Pavelka
WML - Karel Pavelka

Uživatelské zvýrazňovače

8051 - Jaromír Rezek
ABAP - Pavel Jaroš
ADA - Stéphane (Bush Man)
Apache - Paul Mandalka
ArchiCad - Luboš Cipra
Asm51 - Martin Zeman
ASP - Jiří Hudec
AutoHotkey - beardboy
C6000 - Stefanos Togoulidis
Cliper - Kamil Václav
Counter Strike - Phil Pendlebury
DataFlex - Federico Alcantara
Gui4Cli - Angelo Contardi
Hakell - Paul Mandalka
Harbour - Giuseppe Pergolesi
Haskel98 - Václav Veselý
IEC11131 - Petr Vetešník
InstallShield - Martin Vasilek
iziBasic - aldWeb
LUA - Pawel Mrochen
MASM32 - Klim
MDL - Jaroslav Serdula, Miroslav Maťas
MicroChip PIC assembler - F.Bína
MS JScript - Aleš Daniel
NullSoft Install system - Paul Mandalka
Progress - Ivo Liška
QBasic - Kamil Havlíček
R - Nick Drew
Rexx - Alojz Kipila
RSL - Aldar
Ruby on Rails - Tim Curzon
Ruby in HTML - Tim Curzon
RWX (RenderWare Script) - Lode
SMARTY - Pavel Kochman
SQLLite - Árpád Horváth
Sinumeric840D - Mariusz
Tcl/Tk - Luděk Melichar
Verilog - Sergey Klepickov
Visual LISP - gogogadgetscott
WebFocus - Gonzalo
WinBatch - Andre Pinheiro
WML - Karel Pavelka
X3D - Eckhard M. Jäger
Z80 - Jiří Jaroš

Slovníky

Český slovník - Michal Kolesa, Luboš Němec, Zdeněk Bulín, Radek Tlapák, Tomáš Bat
Slovenský slovník - Dalibor Pernica
Anglický slovník - Dalibor Pernica
Katalánský - Antoni Clavell
Německý - Dalibor Pernica
Ruský - Kokoteev Dmitry (NarKotik)

Lokalizace

Brazilská Portugalština - Fausto Goncin, Nelson A. H. de Carvalho
Čínština - SiC
Čínština Big5 - Nelson
Francouzština - Jean-Christophe Meylan
Holandština - Petyr, Amsterdam
Chorvatština - Mladen Mintaković
Italština - Angelo Contardi
Japonština - Suguru Yamamoto
Katalánština - Antoni Clavell
Korejština - Shin Ryu
Kurdština - PCKurd group
Maďarština - Leonard Nimoy
Němčina - Karel Jakl
Polština - Piotr Murawski, Rafal Lampe
Portugalština - Joăo Alves
Rumunština - Antal Eugen
Ruština - Angie NM
Řečtina - Stefanos Togoulidis
Slovenština I - Jan Skokánek
Slovenština II - Jozef Kaprál
Španělština - Hernan Fernandez
Švédština - Hans Ericson
Turečtina - Cemal Dogan
Ukrajinština - Taras Kapuszczak

korekce mé české angličtiny v lokalizaci a helpu - Steven LeBlanc, Stuart Hemming

Dále bych chtěl poděkovat všem, kteří se podílejí na vývoji PSPadu, ať už odhalováním chyb, testováním, dotacemi nebo návrhy nové funkčnosti.


 Nejčastější dotazy

FTP

FTP klient se připojuje přes různé porty místo pevně určeného portu
Při pasivním režimu se FTP klient připojuje na port,který určí server - port není možné ze strany klienta ovlivnit.
Při aktivním režimu se FTP server připojuje k ke klientovi na port, který určí klient. Nemůže to být fixní port, protože v tom případě by bylo možné použít pouze jeden datový tok v jeden časový okamžik. Není možné ovlivnit port, ze kterého posílá data FTP server.
Podrobný popis, včetně obrázků najdete na http://slacksite.com/other/ftp.html

PSPad prý má v sobě integrovanou podporu přenosu souborů přes FTP. Kde tuto funkci najdu?
Musíte mít zobrazené menu Projekt. Jeho zobrazení zapnete buď přes Zobrazit - Projekt nebo klávesovou zkratkou CTRL + F2. V tomto menu je na třetí záložce FTP.
TIP: Okno s otevřeným FTP si můžete tažením myši vyjmout z menu a umístit kamkoliv na obrazovce. Menu projektu pak můžete uzavřít.

Při pokusu o připojení na FTP mi PSPad zatuhne s kurzorem FTP. Co s tím?
V tomto případě se váš počítač pravděpodobně nachází za proxy serverem nebo firewallem. PSPad v tomto případě nedokáže otevřít spojení s FTP serverem. Jednou z možností je použít "Pasivní režim přenosu". Tuto možnost najdete v dialogu kde jste nastavovali připojení k FTP serveru. Pokud váš počítač nemá FTP direktivně zakázáno, mělo by FTP přes pasivní režim fungovat.

Proč se mě občas FTP klient ptá na heslo?
PSPad se ptá na heslo, pokud není zadáno v definici FTP připojení. Mezi některými verzemi PSPadu došlo ke změně ukládání hesla, takže je možné, že PSPad s heslem ze starší verze nedokáže pracovat. Zkuste jít do editace FTP připojení a heslo zadat znova.

Zvýrazňovače a šablony

Píši skripty například v php a chci aby se mi zvýrazňovala barevný syntaxe i u HTML tagů. Jak toho dosáhnu?
Menu Nastavení - Nastavení programu - HTML - Povolit HTML multizvýrazňovač.

Napíšu-li v JavaScriptu znak '<' (například id (i<1)) způsobí obarvení všeho následujícího až do výskytu '>' (jako HTML tag). Vadí mi to - jak toto vypnu?
Nastavení programu - HTML odškrtnout otevírat JavaScript v multizvýrazňovači.

Jak donutit PSPad při otevření *.css, aby se automaticky nastavil zvýrazňovač Cascading Style sheets"? Automaticky se mi totiž zobrazí "HTML-MultiHighlighter". Musím pak ručně přepínat na zobrazení CSS.
Menu Nastavení - Nastavení programu - HTML zrušit otevírání CSS v multizvýrazňovači. Pak může být další problém, pokud máte zapnuto "Zapamatovat stav souboru" na záložce Soubory. V tom případě si pamatuje i zvýrazňovač. Pak by pomohlo vymazat soubor PSCache.BIN.

Napsal jsem klíčové slovo (název funkce, tagu,...) a stisku CTRL + SPACE pro vyvolání šablony mi vyskočí okno s různými příkazy, ale mezi nimi není slovo, které jsem napsal.
Pravděpodobně máte zapnuto zobrazení syntaxe pro jiný jazyk / typ souboru. V menu Zobrazit - Změna syntaxe pak vyberte správný typ souboru.

Jak mám nainstalovat další slovník pro kontrolu pravopisu?
1. Stáhněte archiv se slovníkem a rozbalte ho do adresáře \PSPad\Spell\ (pokud adresář neexistuje musíte ho vytvořit)
2. Jděte do menu Nastavení - Nastavení pravopisu
3. Vyberte vámi nainstalovaný jazyk

Mám zdroje v dosovském BASICu a chci je vytisknout se zvýrazněnou syntaxí.
Otevřít soubor a tisknout. Samozřejmě musí být zapnuto zvýraznění syntaxe. Jak to vidíte na obrazovce, tak se to i vytiskne.

Píšu manuál a chci uvést fragmenty kódu se zvýrazněnou syntaxí. Pokud text zkopíruji do schránky a vložím do manuálu, zvýraznění syntaxe se ztratí.
Menu Soubor - Export obsahuje možnosti pro export textu do HTML, RTF nebo TEXu a to buď do nového souboru nebo do schránky. Můžete tak mít v MS WorduŽ nebo na webové schránce text zvýrazněn přesně tak, jak jej vidíte v PSPadu.

U FoxPro se chybně zvýrazňuje syntaxe - některá klíčová slova nejsou zvýrazněna.
Problém je ve způsobu zápisu zdrojového textu FoxPro. Ten lze totiž psát zkráceně (stačí první 4 znaky). Pro zvýraznění syntaxe je to v některých případech zatím problém.

Různé

Rád bych nějak pomohl při vytváření a progagaci PSPadu
Je vítána jakákoliv další pomoc, například registrace stránek PSPadu na serverech se software nebo jiná forma reklamy, pomoc při tvorbě šablon, lokalizace programu, beta testování, návrhy dalších funkcí,... Pokud Vás něco napadne, neváhejte kontaktovat autora programu.

Chtěl bych podpořit autora PSPadu finančním příspěvkem
Pro tyto účely byl založen účet v e-bance: 1299896001 / 2400. Pokud bude zájem bude vytvořena tabulka, ve které uvedu všechny osoby které přispěly nějakou částkou (k vytvoření tabulky se můžete vyjádřit v diskuzi).

Bude někdy portován PSPad i pod jiné operační systémy (Linux, UNIX,...)?
To bohužel není možné. Aby byla aplikace přenositelná, je třeba ji vyvíjet od začátku jako přenositelnou, což bohužel PSPad nebyl. Proto aby běžel i na jiných systémech by bylo třeba ho od začátku celý přepracovat. Na to však nemám čas ani energii.
TIP: Pokud chcete PSPad pouštět pod Linuxem, můžete využít Windows emulator - PSPad pak běží i v tomto systému.

Jsem programátor a rád bych si do PSPadu přidělal svou funkci. Je to možné?
Momentálně tato možnost není, ale do budoucna je plánu podpora technologie plug-in. O jejím možném využití se dozvíte hned jak bude tato možnost implementována.

Mám Windows NT, 2000, XP a když změním nastavení PSPadu nemám uživatelská práva zapsat do konfiguračních souborů. Co s tím?
V Nastavení programu - Systém zatrhněte možnost Víceuživatelské prostředí. Pak se nebudou konfigurační soubory ukládat do adresáře PSPadu, ale do adresáře vašeho profilu.

Vadí mi neinteligentni práce PSPadu s odsazováním závorek {} v PHP. Jak přinutit editor aby při napsání { sám odsadil o tabulátor, a při ukončovací závorce vrátil se o úroveň zpátky?
Je třeba mít v Nastavení programu - Editor aktivováno Automatické odsazení a v Nastavení zvýrazňovačů - PHP - Upřesnit znaky { a } pro rozšířené odsazování.

Chtěl bych úplně skrýt ukazatel pravého okraje.
Nastavte si barvu pravého okraje na stejnou barvu, jakou ma pozadí plochy editoru.

V Nastavení programu - Systém jsou nepřístupné položky.
Položky, týkající se asociace programů jsou nepřístupné v případě, kdy je uvedený program spuštěn (Opera, Total Commander). Položky, týkající se nastavení programu jsou nepřístupné v případě, kdy je soubor PSPad_MU.INI nastaven pouze pro čtení nebo nemáte právo jej měnit. Oprava je následující - ukončit dialog nastavení programu, ukončit programy nebo odstranit atributy u souboru PSPad_MU.INI a znovu spustit dialog nastavení programu. Volby už by měly být přístupné.

Při odesílání pošty z PSpadu přes OE6 dochází k chybě
Na vině je snaha o záplatování děr v OE omezováním funkčnosti. OE6 ve standardním nastavení zobrazuje při pokusu odeslat přes něj zprávu potvrzovací dialog. Ale místo, aby jej zobrazil nahoře, jak se sluší a patří, zůstane dialog schován dole. Řešením je v menu Outlook Expresu Nástroje - Možnosti - zabezpečení zrušte volbu "Upozornit, pokud se jiná aplikace pokouší..."

Nefunguje mi rolování pomocí kolečka myši
PSPad podporuje kolečko myši pro standardní ovladače. Bohužel existují ovladače myší, které nedodržují standardy (typickým příkladem jsou ovladače GENIUS).

Používám Panel Microsoft Office a místo odkazů na panelu se mi spouští PSPad.
V Nastavení - Nastavení programu - Systém zrušte zaškrtnutí volby "Integrovat na pravé tlačítko".

Mám text s hodně dlouhým řádkem a PSPad s takovým textem neumí pracovat.
V Nastavení - Nastavení programu - Editor nastavte délku řádku třeba na 10000 znaků.

Hrál jsem si se změnou barev a celé jsem to rozvrtal. Co teď?
Otevřete si z menu Nástroje - Nastavení zvýrazňovačů. Na kartě Barvy si vpravo dole zvolte barevné schéma Standard a stiskněte tlačítko načíst.

Chci, aby se výchozí přípona při ukládání HTML souborů byla .HTML a ne .HTM
V Nastavení - Nastavení zvýrazňovačů si vyberte HTML zvýrazňovač a v nastavení přípon dejte na první místo *.HTML

Chtěl bych PSPad používat místo Notepadu, dodávaného s Windows.
V nabídce Nastavení - Nastavení programu - Systém si zvolte otevírání TXT souborů PSPadem. Pokud tuto volbu opětovně zrušíte, soubory TXT se budou opět otevírat v programu NOTEPAD.EXE.
TIP: Pokud některý program vyžaduje přímo program NotePad, v adresáři PSPadu najdete i soubor NOTEPAD.EXE. Tímto souborem nahraďte originální NOTEPAD.EXE v adresáři Windows. Slouží pouze jako spouštěč pro PSPad.

Mám problém s nastavenim externího programu, protože při použití proměnné %PHPFile% nedojde k záměně za http://localhost/...
V Nastavení - Nastavení programu - Internet je třeba vyplnit cestu k DocumentRoot. Ta část cesty je pak nahrazena za http://localhost. Další podrobnosti v nápovědě - kapitola o nastavení externích programů.

Editor

Co to je automatické dokončování a jak funguje?
Tato funkce po jejím zavolání automaticky doplňuje rozepsaná slova (obdoba funkce klávesy TAB v Linuxovém shellu). Slova pro doplnění se vyhledávají v textu editovaného souboru. Pokud je nalezen jen jeden výskyt slova, je toto automaticky doplněno. Při nalezení více slov je možné vybrat správný výraz ze seznamu který se objeví.
TIP: Nastavte si pro tuto funkci jako klávesovou zkratku klávesu ~ (tilda) - urychlí vám to použití této funkce a nemusíte pak na klávesnici mačkat zbytečně složitou kombinaci kláves, která je defaultně této funkci přiřazena.

Z nějaké podivné příčiny se při použití monitoru schránky vloží pouze první znak z vybraného řetězce
Toto byla chyba v PSPadu verze 4.2.5. V novějších verzích je to již opraveno.

Formát vkládaného data a času mi nevyhovuje. Jak ho změním?
Po stisku ALT+D se na pozici kurzoru vloží aktuální čas a datum. Pro změnu formátování vkládaného textu otevřete Nastavení - Proměnné programu a změňte formát proměnné DateTime.

Chtěl bych změnit typy fontů v editoru, ale menu s výběrem fontů zobrazuje jen několik typů a ostatní písma v systému se nezobrazí.
PSPad pracuje pouze s pevnými fonty (non-proportional). Proto zobrazuje pouze tento druh písem, i když jsou v systému nainstalována i další. Pokud chcete tedy zvolit jiné písmo musíte nejprve nainstalovat správný font do vašeho systému.

Kde najdu v PSPadu seznam s naposledy otevřenými soubory? V menu Soubor nic takového není.
Je. Klikněte na položku Otevřít speciál, kde najdete šestnáct naposledy otevřených souborů. Další možností jak tento seznam zobrazit je neklikat přímo na ikonu Otevřít soubor na hlavním nástrojovém panelu, ale na šipku ukazující směrem dolů, která je hned vedle této ikony.

Jak pracovat s funkcí Vložit text do řádků?
Nejprve do prázdného pole vložte vkládaný text a po té vyberte na jakou pozici se bude text vkládat (začátek, konec, sloupec). Pokud nemáte před vyvoláním této funkce označen žádný text, bude se vámi zadaný řetězec vkládat na všechny řádky souboru. Pokud je blok označen bude text vložen pouze do vašeho výběru.

Jak označím veškerý text mezi dvěma závorkami?
Použijte klávesovou zkratku SHIFT+CTRL+M

Jak označím celé slovo na kterém je právě umístěn kurzor?
SHIFT+CTRL+šipka nahoru nebo dolů
TIP: Tato klávesová zkratka má ještě další funkci - pokud označíte takto nějaké slovo a stisknete klávesovou zkratku znovu přesune se kurzor na další výskyt slova v souboru ve směru stisknuté šipky.

V levém spodním rohu editoru se neustále mění nějaká čísla. Co to je?
První dvě čísla udávají polohu vašeho kurzoru v dokumentu. Číslo před dvojtečkou je pořadové číslo sloupce a za ním je číslo řádku na ktrém se kurzor nachází. Za pomlčkou najdete celkový počet řádků otevřeného souboru a počet všech znaků. Při výběru libovolného bloku textu se místo těchto dat objeví rozměr vybrané oblasti udáný počtem znaků a počet znaků, které tento blok obsahuje.

Chtěl bych si zkopírovat pouze sloupec textu.
Držte klávesu ALT a myší si označte požadovaný blok textu nebo stiskněte SHIFT+CTRL+C a text označte šipkami.

Chci editovat PHP texty a PSPad mi po odřádkování nezarovná podle předchozího řádku.
V Nastavení - Nastavení programu - Editor si zaškrtněte "Automatické odsazení", popř. můžete vyzkoušet i volbu "Chytré tabulátory".

Kódování

PSPad zobrazuje divné znaky (ďťż)
Jde o identifikačný byty v UTF-8 kódování.
V Nastavení - Nastavení programu zrušte zaškrtnutí u Identifikační byty v UTF-8

Rád bych se zeptal, jak se dá pspad použít k editaci UNICODe souborů?
PSpad není UNICODE editor. Umí načíst UNICODE texty, ale jen ty, které jsou podporovány systémem (ANSI) a zase do nich uložit.
TIP: Pro editaci UNICODE souborů použijte Windows Notepad (minimálně ale verzi z Windows 2000)

Mám problémy s fonty a kódovými stránkami. Když otevřu v PSPadu soubor, tak se mi pokazí fonty a diakritika u některých písmen. Celý text pak musím opravovat.
Před otevíráním souboru je třeba mít nastavené odpovídající kódování jako je použité v souboru, popřípadě mít povolenu autodetekci.

Spolupráce s jinými programy

Nechodí minimalizace v programu StrokeIt
StrokeIt chybne implementuje emulaci minimalizace okna. Jde to vyresit predefinováním příkazu pro minimalizaci:
Nastavit prikaz: WinMSG - odeslat zpravu
Poslat zpravu pro: okno podle jmena tridy
ID zpravy: WM_SYSCommand
WParam: 61472
LParam: 0


 Informace a kontakty

O programu

Program je psán v programovacím jazyku Borland Delphi 7

V programu jsou použity následující komponenty a kódy:
· SynEdit - komponenty pro zvýraznění syntaxe (http://synedit.sourceforge.net). Komponenty jsem rozšířil o několik funkcí (např. zalamování textu, rozšíření možností uživatelských zvýrazňovačů...)
· knihovna funkcí JCL - Jedi Code Library (http://www.delphi-jedi.org/)
· HexEditor - Markus Stephany, (http://www.mirkes.de/en/delphi/vcls/hexedit.php)
· RTF2HTML - konverze RTF na HTML. Zdrojové kódy poskytl David Majda (http://www.majda.cz/)
· TDiff - porovnání textu od Angus Johnson (http://www.users.on.net/johnson/delphi/)
· SynSpellCheck - Jakuba Dybala (http://www.synspellcheck.prv.pl) s vlastními úpravami pro optimalizaci rychlosti a s vlastnoručně vytvořeným českým slovníkem
· algoritmus na hledání rozdílů ve slovech, použitý při kontrole pravopisu - Josef Hampl
· PNGImage - obrazový formát PNG - Gustavo Huffenbacher Daud (http://pngdelphi.sourceforge.net)
· GifImage - obrazový formát GIF - Anders Melander (anders@melander.dk)
· Synapse - práce s HTTP a FTP - Lukáš Gebauer (http://www.ararat.cz/synapse/)
· PBCClipBoard - práce se schránkou - Paul Bak (http://home11.inet.tele.dk/BakSoft/)
· Expression Evaluator - vyhodnocení výrazu - BitSoft Development (http://www.bitsoft.com)
· MD5 - Matthias Fichtner - http://www.fichtner.net/delphi
· LVK skripty - V Karlsen - http://www.vkarlsen.no/
· FmpSysMm (memory manager) - Petr semerád
· IniMem - Petr Semerád

Všechny použité komponenty jsou buď volně šiřitelné nebo jsou použity se svolením autorů

Ostatní funkce a komponenty pochazí z mé vlastní tvorby a většinou vznikly v průběhu vývoje PSPadu
Program je šířen jako freeware (zdarma), takže ať pronásledují hrozné sny každého, kdo by chtěl na jeho šíření vydělávat :-)

O autorovi

jméno: ing. Jan Fiala
e-mail: support@PSPad.com
www: http://www.PSPad.com


 Pracujeme efektivně

Tato kapitola byla vytvořena, aby vám pomohla v efektivním využívání programu


 Vytváříme HTML stránku

Tvorba HTML
· Otevřete nový HTML dokument
· Stiskněte CTRL+SPACE, vyberte html (popř. napište html a SHIFT+SPACE), čímž se vytvoří základ stránky.
· Za použití šablon (opět CTRL+SPACE) nebo klávesových zkratek přiřazených k šablonám (viz kapitolu o šablonách) dopište, co je třeba
· Vytvořte, popř. otevřete další podstránky
· Doporučuji využívat klávesových zkratek šablon (CTRL+Enter, SHIFT+CTRL+Space vloží konec stránky a pevnou mezeru, na označený text jdou použít CTRL+B a CTRL+I - tučné písmo a kurzíva). Šablony a klávesové zkratky jsou volně definovatelné. Seznam klávesových zkratek najdete (pokud existují) v menu nástroje / šablony.
· Pokud chcete v HTML prohlížeči otevírat vždy určitou stránku, označte si ji jako hlavní CTRL+M (červená značka). Opětovným Stiskem CTRL+M se označení zruší.
· Stiskem F10 se můžete kdykoliv podívat na výsledek vaší práce a zobrazit si jej v různých rozlišeních
· Pomocí menu HTML nebo panelu nástrojů si pak můžete stránku přeformátovat pro lepší čitelnost nebo naopak zkomprimovat pro úsporu místa a zhoršení čitelnosti
· Po stisku SHIFT+CTRL+E se objeví průzkumník kódu, který vám pomůže v orientaci na stránce

Jak efektivně využít schopnosti editoru
· pokud si označíte blok, je možno zvětšovat a zmenšovat jeho odsazení (menu formát) nebo SHIFT+CTRL+U nebo I
· využívejte šablony (CTRL+SPACE)
· všechny operace jsou vratné (Zpět = CTRL+Z) o definovaný počet kroků, daný v nastavení programu
· bez problémů můžete otevřený soubor načíst znovu z disku CTRL+R
· využívejte záložky. Umožní vám rychlé skoky v editovaném textu
· používejte nabídku na pravém tlačítku myši
· používejte nápovědu. Zkuste občas stisknout F1
· prohlédněte si a vyzkoušejte, co nabízí nabídka . Některé funkce vám mohou ušetřit mnoho práce
· pokud jste připojeni k internetu, máte možnost využít nápovědu a nástroje přímo na internetu. Odkazy najdete v menu Nápověda / Online nápověda a Online nástroje


 Vytváříme CSS

Nastavení programu pro práci s CSS
· PSPad pro tvorbu CSS používá free editor CSS stylů TopStyle Lite, který je nutno stáhnout a nainstalovat (odkaz pro stažení)
· V nastavení si můžete změnit výchozí nastavení barev. Výchozí nastavení je totožné s editorem TopStyle.
· Pokud v dokumentech CSS používáte stejnou část (poznámky apod.), můžete s výhodou využít vytvoření dokumentu podle šablony.

Tvorba CSS
· Označíte si text (u CSS souborů to není nutné, pokud není označen, přenese se celý) a zavoláte TopStyle Lite. Otevře se okno programu, ve kterém je přenesen označený (celý) text.
· TopStyle nabízí velmi intuitivní editaci CSS s náhledem, s možností výběru cílové verze prohlížeče atd.
· Po editaci máte možnost tlačítkem Done opravený text přenést zpět do editoru nebo tlačítkem Cancel editaci zrušit
· Pro opakované použití částí kódu, si můžete jednoduše vytvořit šablonu (CTRL+ALT+Space), kterou pak kdykoliv velmi jednoduše vložíte do svého kódu

Jak efektivně využít schopnosti editoru
· V menu HTML naleznete funkci pro , tak aby byl lépe čitelný. Opakem této funkce je přeformátovat na řádkový CSS.
· V menu Nástroje můžete využít nabídku Uživatelské konvertory pro konverzi jmen barev na HTML kódování a obráceně.
· Nástroj Zobrazit barvu vám umožní zobrazit barvu podle jména nebo jejího HTML kódování.
· Nástroj pro kontrolu F7 vám zkontroluje vaše poznámky.
· Pokud jste připojeni k internetu, máte možnost využít nápovědu a nástroje přímo na internetu. Odkazy najdete v menu Nápověda / Online nápověda a Online nástroje


 Vytváříme PHP

Nastavení programu pro práci s PHP
· nastavte si cestu ke kompilátoru PHP (soubor PHP.EXE) pro PHP zvýrazňovač v
· pro použití nápovědy k PHP si stáhněte si externí nápovědu a v určete cestu k tomuto souboru (odkaz ke stažení). Budete tak mít kdykoliv dispozici nápovědu pro aktuální výraz po stisku Alt+F1
· v nastavení zvýrazňovačů můžete změnit výchozí nastavení zvýrazněné syntaxe
· v nastavení programu pod záložkou HTML můžete využít výhod multizvýrazňovače
· v můžete přiřadit PHP až 5 externích programů, např. pro zapínání a vypínání webového serveru

Tvorba PHP
· nový dokument PHP můžete otevřít pomocí šablony nového dokumentu (CTRL+N)
· šablona CTRL+SPACE vám pomůže správně zapisovat příkazy PHP a slouží i jako rychlá nápověda
· šablony a klávesové zkratky jsou volně definovatelné. Seznam klávesových zkratek najdete (pokud existují) v menu nástroje / šablony
· po stisku SHIFT+CTRL+E se objeví průzkumník kódu, který vám pomůže v orientaci v kódu
· stiskem CTRL+SHIFT+F10 se můžete podívat na výsledek vaší práce přímo na lokálním webovém serveru a zobrazit si stránku v různých rozlišeních
· připojením externí nápovědy pro PHP se pomocí nápovědy k prostředí (ALT+F1) dostanete vždy k požadovaným informacím
· jednotlivé části skriptu můžete rychle zakomentovat nebo odkomentovat pomocí CTRL+SHIFT+A

Jak efektivně využít schopností editoru
· pokud si označíte blok, je možno zvětšovat a zmenšovat jeho odsazení (menu formát) nebo SHIFT+CTRL+U nebo I, popř. TAB a SHIFT+TAB
· využívejte (CTRL+SPACE)
· všechny operace jsou vratné (Zpět = CTRL+Z) o definovaný počet kroků, daný v nastavení programu
· bez problémů můžete otevřený soubor načíst znovu z disku CTRL+R
· využívejte záložky. Umožní vám rychlé skoky v editovaném textu
· používejte nabídku na pravém tlačítku myši
· používejte nápovědu. Zkuste občas stisknout F1
· prohlédněte si a vyzkoušejte, co nabízí nabídka nástroje. Některé funkce vám mohou ušetřit mnoho práce
· pokud jste připojeni k internetu, máte možnost využít nápovědu a nástroje přímo na internetu. Odkazy najdete v menu / Online nápověda a Online nástroje


 Efektivní práce s myší

Označit slovo
Dvojklikem na slovo, stačí mít i kurzor těsně vedle slova.
Označí se pouze písmena, čísla a podtržítka.
Pokud slovo obsahuje jiné znaky bude u těchto znaků označení ukončeno.

Označit celý řádek
Kliknout na číslo řádku, nutno mít zobrazené číslování řádků.

Označit sloupec
Držet klávesu ALT a pak lze myší označit sloupec.

Přepínání mezi způsobem označeného textu
Ve třetím poli stavovém řádku programu PSPad se nachází přepínač mezi třemi způsoby označení textu. Tento přepínač v podobě bílé ikonky a horizontálních linek symbolizuje způsob zvoleného výběru.

Přesouvání označeného textu
Stisknout levé tlačítko myši a tažením myší text přesuneme na jiné místo.

Kopírování označeného textu
Stisknout levé tlačítko myši a klávesu CTRL, tažením myší text zkopírujeme na jiné místo.

Kopírování textu do dialogových oken
Označený řádek nebo část řádku bude automaticky kopírován do dialogových oken při jejich vyvolání:
· Vyhledávání Googlem do políčka "Přesný výraz".
· Hledání textu (CTRL+F) do políčka "Najít"
· Hledání v souborech (ALT+F) do políčka "Hledaný text"
· Nahradit (CTRL+H) do políčka "Najít"
· Zobrazit barvu (CTRL+ALT+C) do políčka jméno barvy.
· Označený text bude přenesen do integrovaného programu TopStyle Lite
· V případě neoznačení a nastavení zvýrazňovače syntaxe pro CSS bude přenesen celý dokument do integrovaného programu TopStyle Lite.

Vyvolaní seznamu šablon
Stisknout prostřední tlačítko nebo rolovací kolečko myši (pokud vaše myš tímto kolečkem disponuje)

Kontextová nabídka
Vlastní kontextovou nabídku má:
· plocha dokumentu,
· záložka dokumentu,
· označené pravopisné chyby,
· dialogové okno Oblíbené položky,
· dialogové okno pro FTP
· spodní část dialogové okna průzkumníka (kontextová nabídka Windows)
· dialogové okno Projekt
· dialogové okno Průzkumník kódu
· spodní část dialogového okna pro Monitor schránky
· náhled HTML stránky (kontextová nabídka Windows)

Informace o označeném textu
Stavový řádek v prvním poli přináší informace v tomto pořadí:
· počet označených znaků na řádku v místě kde se nachází kurzor.
· v případě označení více řádků tento údaj udává hodnotu o šířce bloku v případě výběru bloku.
· následuje znak hvězdička a za ním je zobrazen počet označených řádků.
· jako poslední údaj ve hranatých závorkách je celkový počet označených znaků. Mezi znaky se počítá i mezera mezerníkem.

Informace o znaku
V šestém poli stavového řádku programu PSPad jsou zobrazeny informace o znaku,
který se nachází po levé straně kurzoru.
První informace v tomto poli je aktuální znak, který se nachází po levé straně kurzoru.
Dále následuje jeho dekadická a hexa hodnota.
I když je znak označen myší, vždy záleží na poloze kurzoru ne na označeném znaku!

Informace o funkcích programu
Všechna tlačítka mají při najetí myší své popisky s případným uvedením klávesové zkratky.
Některé funkce mají zobrazené popisky i ve stavovém řádku v posledním informačním políčku, kde se standardně zobrazují informace o kódování stránky.

Informace k nápovědě Online
V nápovědě při najetí na název odkazu se v posledním informačním políčku stavového řádku programu zobrazuje adresa odkazu.

Informace o souboru
V druhé části dialogového okna průzkumníka se při najetí myší na soubor zobrazí:
· popisek s informacemi o adrese kde se soubor nachází,
· velikosti souboru v KB,
· datum poslední změny a přípona souboru.

Náhled stránky před tiskem
Levé tlačítko myši stránku zmenšuje, pravé tlačítko zvětšuje.
Stisknutí rolovacího kolečka myši se stránka zobrazí do celého okna.
Rolováním se stránka posunuje vpřed a vzad.
Pokud je stránka zvětšena platí posun pouze pro jednu stránku.
Pokud je stránka zobrazena v celém okně, platí posun pro všechny stránky.

Práce s rozbalovacímy seznamy
Rolovací kolečko myši umožňuje rolování v rozbalovacím seznamu (ComboBox).


 FTP

Pro připojení k FTP slouží záložka FTP na levém panelu. Po odkliknutí tlačítka pro připojení se zobrazí seznam nadefinovaných připojení, s možností správy připojení (přidání, úpravy, mazání,...). Po úspěšném připojení k FTP serveru se zpřístupní ostatní tlačítka.

Kde najdu FTP klienta
Klient FTP je umístěn na jedné ze stránek panelu projektu.
Po stisknu tlačítka "připojit" se objeví seznam nastavených FTP připojení.
Máte možnost se připojit vytvářet, mazat, kopírovat a editovat jednotlivá připojení.
Záznam o průběhu FTP připojení je v LOG okně na záložce FTP

Filozofie FTP přístupu
· soubor, otevřený přes FTP má na panelu souborů žlutý podklad. Při otevření je zapamatováno jméno souboru, jméno připojení a cesta, odkud byl soubor na FTP serveru otevřen.
· soubory jsou ukládány do dočasného adresáře:
TEMP\PSPad\server\ftp_cesta\soubor
kde zůstávají i po ukončení PSPadu
· při stisknutí tlačítka "Uložit" je soubor uložen zpět na původní místo na FTP serveru. Pokud není v té době připojení aktivní, PSPad se pokusí o připojení. Pokud je v té době aktivní jiné připojení, bude ukončeno a PSPad se pokusí připojit k původnímu serveru, který odpovídá souboru, nastaví správný adresář a soubor uloží
· pro uložení do aktuálního adreáře FTP serveru slouží funkce "Ulož na FTP". Tato funkce je přístupná pouze v případě, že je FTP připojení aktivní.

FTP klient umožňuje
· připojení/odpojení k FTP serveru
· jednoduché procházení obsahu FTP serveru
· znovunačtení obsahu aktuálního FTP adreáře
· skok na kořenový adresář FTP serveru
· skok na výchozí adresář FTP serveru
· vytvoření nového adresáře
· smazání souboru / adresáře (prázdného)
· přejmenování souboru / adresáře
· udržování připojení opakovaným vysíláním příkazu v zadané periodě

Import nastavení FTP klienta
V současné době PSPad podporuje import nastavení FTP připojení z programů Total Commander a WS FTP.
Import se provádí v okně se seznamem FTP připojení stisknutím tlačítka Import.
Program, ze kterého chcete importovat si vybíráte v dialogu pro otevření souboru v poli Filtr.

Nemůžu se připojit
· zkuste změnit způsob přenosu - aktivní / pasivní
· zkuste nastavit kompatibilitu pro starou verzi proxy (pokud se připojujete přes proxy nebo firewall, který nepodporuje IPv6)
· v FTP LOG okně (Ctrl+L) najdete průběh komunikace, takže zjistíte, zda bylo špatně zadáno jméno apod. Můžete odeslat průběh komunikace autorovi programu, který vám tak lépe poradí v čem by mohl být problém
· na adrese http://www.hardhats.org/cs/broker/docs/winsock.html najdete popis chybových kódů (anglicky)

Připojím se, ale není vidět seznam souborů
V FTP log okně (Ctrl+L) klikněte na první tlačítko - do okna se vloží výpis adresáře, klikněte na druhé tlačítko a odešlete výpis autorovi programu se stručným popisem problému.
Příčin může být několik - exotický FTP server, který používá nestandardní výpis, lokalizované názvy měsíců atd.


FTP nastavení

 Nastavení FTP klienta

Jméno připojení
uživatelský název, pod kterým se připojení bude zobrazovat v seznamu

Server
jméno nebo adresa FTP serveru. Pokud potřebujete připojení na jiný než standardní port (21), uveďte port za jméno serveru, oddělený dvojtečkou:
ftp.jmeno.domena:port

Jméno uživatele
jméno uživatele pro přístup na FTP server. Nemusí být udáno. V případě, že je prázdné, budete při pokusu o připojení na jméno dotázáni.

Heslo
heslo pro přístup na FTP server. Heslo se nezobrazuje, v souboru PSPadFTP.INI je uloženo v šifrovaném tvaru. Pokud nebude uvedeno, budete na heslo dotázáni.

Vzdálený adresář
pracovní adresář, který bude nastaven po připojení k FTP serveru

Max.čas na připojení
zde si nastavujete maximální čas, po který se bude PSPad pokoušet o připojení k serveru.

Použít proxy server
použije se proxy server z Nastavení programu / Internet

Pasivní režim
pokud jste za proxy serverem nebo firewallem, je v některých případech nutné zapnout pasivní režim

Binární režim
přepíná mezi textovým a binárním režimem přenosu. Textový režim je vhodný na přenášení textových souborů, ale FTP server může měnit jejich obsah - napr. konce řádků. Binární režim určuje, že soubor bude přenesen beze změn.

Kompatibilní režim (staré PROXY/NAT)
Pro protokol IPv6 se začaly používat pro datové spojení příkazy EPRT/EPSV. Protokol IPv4 používal příkazy PORT/PASV.
PSPad je schopný detekovat, zda FTP server tyto nové příkazy podporuje. problem nastane v případě, že FTP server příkazy podporuje, ale v cestě stojí PROXY server nebo NAT, který je nezná. Většinou se to projeví hlášením "Unknown command" a nezobrazí se seznam souborů ze serveru. Tato volba vynutí kompatibilitu se starým protokolem.

Udržovat spojení zasíláním
v zadaných intervalech bude při nečinnosti FTP připojení zasílán na server zvolený příkaz a bude tak zabráněno přerušení spojení ze strany serveru.

Měnit názvy souborů na malá písmena
při přenosu budou jména souborů automaticky změněna na malá písmena

Zobrazit skryté příkazy
pro výpis adresáře bude použit příkaz LS -l. Předpokladem je podpora ze strany FTP serveru

FTP server používá lokalizované názvy měsíců
v některých případech používá FTP server ve výpisu souborů lokalizované názvy měsíců. Pro správné načtení (rozkódování data souboru) je třeba zadat seznam zkrácených názvů měsíců, oddělených čárkou. K anglickým názvům tak budou kontrolovány i zadané názvy měsíců


 HEXA editor

PSPad od verze 3.2.6 obsahuje plnohodnotný HEXA editor.

Samotný PSPad pracuje s textovými soubory. To znamená, že pokud se v souboru vyskytne znak s ASCII hodnotou 00h, je považován za konec textu. V praxi to znamená, že není možno přímo otevřít jakýkoliv soubor v editoru.

K čemu je HEXA editor dobrý ?
V Hexa editoru je soubor zobrazen po jednotlivých Bytech, vyjádřených v šestnáctkové soustavě. Tak přímo vidíte, jaké znaky se používají pro oddělovače řádků, jaký znak je použit pro konkrétní písmeno atd.

Jak editovat libovolný soubor ?
Použijte volbu Soubor / Otevřít v HEXA editu (popř. pomocí malé šipky vedle ikony pro otevření souboru na panelu nástrojů) a soubor se pak otevře přímo v HEXA editoru. V tomto případě není možnost přepnutí do textového režimu a soubor je indikován modrou barvou jména souboru na panelu souborů.

Jak editovat textový soubor ?
Soubor si otevřete přímo v textovém editoru a z menu zobrazit si zvolíte Hexadecimálně. Obsah editovaného textu je přenesen do HEXA editoru. Zde můžete provádět další změny a při změně zobrazení je změněný obsah přenesen zpět do textového editoru.
Obsah souboru, zobrazeny v HEXA editoru v tomto případě nemusí odpovídat souboru na disku. V HEXA editoru vidíte aktuální stav souboru z editoru, navíc možná převedený do kódové stránky Windows CP1250 !

Co HEXA editor umožňuje ?
· přepínání mezi režimem přepisování a vkládání pomocí klávesy INSERT
· přechod na určitou adresu pomocí CTRL+G nebo ALT+G
· hledání hexadecimální hodnoty nebo textu pomocí CTRL+F
· hledání dalšího výskytu pomocí F3
· nastavování a skok na nastavené záložky SHIFT+CTRL+0..9 a CTRL+0..9

Jak se zadávají hodnoty v desítkové a šestnáctkové soustavě ?
při přechodu na určitou adresu je možno zadávat čísla jak v desítkové soustavě (normálně jak jste zvyklí) nebo v šestnáctkové soustavě - uvozené znakem $.

Příklad:
desítková  šestnáctková
  10         $0A
 255         $FF


 Konverze kódových stránek

Otevírání souboru
Pro správné zobrazení a možnost editace souborů v prostředí Windows, je nutno převést zdrojový text do kódové stránky 1250. Takže pokud je nastavena automatická detekce kódové stránky nebo ručně nastavena jiná kódová stránka než Windows 1250, je text při otevření převeden do stránky Windows 1250.

Automatická detekce kódové stránky
Automatická detekce pracuje na principu počítání znaků, které se obvykle používají pouze v určité kódové stránce. "Zvítězí" stránka s největším počtem těchto znaků. Pro detekci se používá vzorek prvních 10000 znaků.
Detekce nemusí být spolehlivá u krátkých textů nebo u programových kódů, kde se úmyslně používají zvláštní znaky. V těchto případech výhodnější nastavit výchozí kódovou stránku ručně. Výhodné je použití volby Otevřít znovu - CTRL+R, pokud se nepodaří dokument otevřít se správným zobrazením diakritiky nebo pokud selže automatická detekce a je třeba soubor otevřít v ručně zvolené kódové stránce.

POZOR! Automatická detekce pracuje pouze s kódovými stránkami Windows, Latin II, Kamenických a ISO 8859-2. Soubory s kódováním Unicode a UTF-8 jsou detekovány pomocí úvodních identifikačních bajtů. Pokud tyto byty chybí, bude soubor otevřen jako Windows CP1250. Pro otevření v kódování UTF-8 je třeba manuálně přepnout kódování v menu na UTF-8 a dát znovunačtení souboru (Ctrl+R)

Ukládání souboru
Při ukládání se děje vše analogicky - pokud je nastavena kódová stránka jiná než Windows 1250 nebo automatická detekce, je text při ukládání převeden do nastavené kódové stránky.

Jak to využít pro konverzi ?
Soubor načteme v např. kódové stránce Latin II, ručně přepneme na kódovou stránku Windows 1250 a zvolíme Uložit nebo Uložit jako. Tím je celá konverze hotova a soubor je nyní uložen ve zvolené kódové stránce.


 Makra

Co je to makro
Makro je posloupnost příkazů editoru. Tuto posloupnost lze zaznamenat a následně opakovaně přehrávat. Tím lze zjednodušit opakované operace (příklady použití jsou uvedeny níže)

Jak to pracuje
Stisknutím tlačítka záznam (CTRL+F5) se začínají všechny operace s textem v editoru zaznamenávat. Při zahájení záznamu se kurzor změní na šipku s kamerou. Zpět se změní při ukončení nebo přerušení nahrávání.
Po ukončení záznamu (CTRL+F5) se záznam ukončí. Objeví se dialog, ve kterém makro pojmenujete (není nutné). Makro je okamžitě k dispozici pod klávesovou zkratkou F5.

Makro manažer
K údržbě maker slouží tzv. Makro Manažer (Shift+Ctrl+F5). Zde můžete jednotlivá makra mazat, editovat, spouštět opakovaně, přiřadit jim klávesovou zkratku...

Omezení
Do makra se nezaznamenávají akce, provedené pomocí myši. Označování bloku dělejte pomocí SHIFT+šipky
Makro nepracuje s příkazy pro hledání a nahrazení textu
Délka makra je omezena pouze dostupnou pamětí počítače. Vzhledem k tomu, že jeden záznam tvoří pouze kód příkazu a znak je velikost téměř neomezená. Obsah makra lze od verze 3.3.3 editovat a zpět kompilovat. Přehled dostupných příkazů najdete zde.

Editace makra
Pokud si zvolíte menu Nástroje/Makro/Editace makra, otevře se vám nový soubor s příponou .PME. K dispozici je zvýrazňovač i šablona s příkazy (Ctrl+Space).
Příkaz pro vložení znaku je nastaven na Ctrl+Enter

Doporučuji následující nastavení zvýrazňovače pro editaci maker:

Komentáře      černá, font normální (vkládané znaky v lomených závorkách)
Identifikátory červená, font normální (chybný příkaz bude červeně)
Klíčová slova  modrá, font normální

Příklady použití

Příklad1:
Měl jsem text ve tvaru:
21: if KeyComp('del') then Result := tkKey else
21: if KeyComp('start') then Result := tkKey else
90: if KeyComp('findstr') then Result := tkKey else
Potřeboval jsem smazat vždy pro určitý počet řádků první tři znaky a vložit jednu mezeru. V tomto případě nelze použít hledání s nahrazením, protože text není stejný. Samozřejmě, že by to šlo přes sloupcový blok odmazat, potom si jako sloupcový blok označit první sloupec mezer a přes hledat a nahradit jednu mezeru nahradit dvěmi. Ale je to spousta práce s myší, přepínání bloků, protože upravený text potřebuji následně umístit do jiného souboru.To je přesně ta správná práce pro MAKRO. Postup záznamu:
· postavím se na řádek a spustím záznam
· HOME, 3x delete, 1x mezerník
· šipka dolů
· ukončit záznam
Nyní stačí opakovaně mačkat F5 a řádky jsou upraveny

Příklad2:
Potřebuji vytvořit následující řádky
fIdentFuncTable[72] := Func72;
fIdentFuncTable[73] := Func73;
fIdentFuncTable[74] := Func74;
Mohl bych si je kopírovat a přepisovat čísla. Můžu ale využít MAKRO:
· na řádky si zapíšu 2x za sebou požadované číslo (7272, 7373 atd.)
· postavím se na řádek a zapnu záznam
· HOME a napíšu text: fIdentFuncTable[
· 2x šipka doprava
· napíšu text: ] := Func
· 2x šipka doprava
· dopíšu středník a šipka dolů
· ukončím záznam
Mačkám F5 a před očima se mi objevují požadované řádky. Řádků bylo moc a takhle to byla otázka chvilky bez zbytečného najíždění a přepisování čísel na dvou místech v kopírovaných řádcích


Makro příkazy

 Makra - příkazy

Formát editovaného souboru makra:

Každý příkaz makra je na zvláštním řádku. Pouze u příkazu ecChar následuje za příkazem vkládaný znak v lomených závorkách,
např. ecChar{A} dosadí na pozici kurzoru znak "A"

Přehled příkazů:

ecLeft           přesune kurzor o znak vlevo
ecRight          přesune kurzor o znak vpravo
ecUp             přesune kurzor o řádek nahoru
ecDown           přesune kurzor o řádek dolů
ecWordLeft       přesune kurzor o slovo doleva
ecWordRight      přesune kurzor o slovo doprava
ecLineStart      přesune kurzor na začátek řádku
ecLineEnd        přesune kurzor na konec řádku
ecPageUp         přesune kurzor o stránku nahoru
ecPageDown       přesune kurzor o stránku dolů
ecPageLeft       přesune kurzor na pravou stranu stránky
ecPageRight      přesune kurzor na levou stranu stránky
ecPageTop        přesune kurzor na vršek stránky
ecPageBottom     přesune kurzor na konec stránky
ecEditorTop      přesune kurzor na začátek textu
ecEditorBottom   přesune kurzor na konec textu
ecNextLineStart  přesune kurzor na začátek dalšího řádku

následující příkazy jsou obdobné jako předchozí, pouze dochází k označování textu

ecSelLeft
ecSelRight
ecSelUp
ecSelDown
ecSelWordLeft
ecSelWordRight
ecSelLineStart
ecSelLineEnd
ecSelPageUp
ecSelPageDown
ecSelPageLeft
ecSelPageRight
ecSelPageTop
ecSelPageBottom
ecSelEditorTop
ecSelEditorBottom

ecSelectAll      označí celý text

ecCopy           kopírovat do schránky
ecCut            vystřihnout do schránky
ecPaste          vložit ze schránky na pozici kurzoru

ecScrollUp       o stránku nahoru bez změny pozice kurzoru
ecScrollDown     o stránku dolů bez změny pozice kurzoru
ecScrollLeft     skrolování vlevo bez změny pozice kurzoru
ecScrollRight    skrolování vpravo bez změny pozice kurzoru

ecInsertMode     režim vkládání
ecOverwriteMode  režim přepisování
ecToggleMode     přepnutí režimu vkládání/přepisování

ecNormalSelect   normální bloky
ecColumnSelect   sloupcové bloky
ecLineSelect     řádkové bloky

ecMatchBracket   najdi odpovídající závorku

ecGotoMarker0    jdi na záložku 0..9
až
ecGotoMarker9
ecSetMarker0     nastav záložku 0..9
až
ecSetMarker9

ecDeleteLastChar smazat znak před kurzorem (Backspace)
ecDeleteChar     smazat znak pod kurzorem (Delete)
ecDeleteWord     smazat do konce slova
ecDeleteLastWord smazat do začátku slova
ecDeleteBOL      smazat do začátku řádku
ecDeleteEOL      smazat do konce řádku
ecDeleteLine     smazat řádek
ecClearAll       smazat vše
ecLineBreak      nový řádek s přechodem kurzoru (Enter)
ecInsertLine     vložit řádek, pozice kurzoru se nemění
ecChar{znaky}    vložit znak(y) na pozici kurzoru

ecUndo           zrušení změny
ecRedo           vrácení změny

ecBlockIndent    zvětšení odsazení bloku
ecBlockUnindent  zmenšení odsazení bloku
ecTab            Tabulátor
ecShiftTab       Shift+Tabulátor

Příklady:

Na začátek řádku napsat slovo "Jelen" a odřádkovat:
ecLineStart
ecChar{Jelen}
ecLineBreak


 Panel souborů

Od verze 3.9.0 obsahuje PSPad nový panel se seznamem souborů ve tvaru záložek.

Práce s místní nabídkou
Po stisknutí pravého tlačítka na panelu souborů se objeví místní nabídka. Pracuje se se souborem, nad jehož názvem byla nabídka vyvolána (např. volba zavřít). Pokud se volba týká dvou souborů (rozdělit okno, porovnat se souborem apod.) pracuje se s aktuálním souborem a se souborem, nad kterým byla nabídka vyvolána.

Zavřít
zavře soubor, nad nímž byla nabídka vyvolána

Rozdělit svisle / vodorovně
zobrazení dvou souborů současně. Týká se aktuálního souboru a souboru, nad nímž byla nabídka vyvolána. Speciálním případem je vyvolání nabídky nad aktuálním souborem. V tomto případě se soubor otevře ještě jednou v dalším okně.

Synchronizovat posuv
zobrazí dva soubory a zamkne synchronizaci posuvu. Posuv v jednom souboru způsobí posun i v druhém souboru. Opětovným vyvoláním nabídky nad jedním ze zamknutých souborů se zámek zruší. Zámek je indikován i ikonou řetězu na stavovém řádku. Zda je soubor rozdělen svisle nebo vodorovně, záleží na . Zámek je možno vypnout i dvojklikem na symbol řetězu na stavovém řádku

Porovnat se souborem
porovná obsah aktuálního souboru se souborem, nad nímž byla nabídka vyvolána. Výsledek je barevně zobrazen v novém okně. Podrobnosti v kapitole porovnání obsahu souborů.

Porovnat s obsahem na disku
porovná aktuální souboru s jeho obsahem na disku. Výsledek je jako v předchozím případě zobrazen v novém okně.

Hlavní soubor
nastaví soubor jako hlavní soubor (pokud je otevřen projekt i jako hlavni soubor projektu). Při spuštění kompilace je kompilátoru předán vždy tento soubor.

Přidat do projektu
přidá soubor do aktuální záložky v projektu

Ovládání myší
LeftB         výběr souboru
LeftB+tažení  změna pozice záložek
RightB        místní nabídka


 Stavový řádek
statusbarcz
Legenda:

1. Ukazatel pozice v souboru
řádek:sloupec (počet řádků) [počet znaků]
Kliknutí vyvolá dialog "Jdi na řádek"
2. Indikace změněného souboru
3. Typ bloku pro označování textu normální/řádkový/sloupcový
Kliknutím se mění typ bloku
4. Alternativní označení bloku - umístit kurzor na začátek, F8, umístit na konec, F8
5. Indikace zamknutého posunu
6. Aktuální znak a jeho hodnota v desítkové a šestnáctkové soustavě
Kliknutí vyvolá ASCII tabulku
7. Aktuálně použitý zvýrazňovač
Kliknutí vyvolá dialog Změna syntaxe
8. Typ once řádku: DOS/MAC/UNIX
Kliknutí mění typ konce řádku
9. Aktuální kódová stránka / nápověda pro položku


 Projekty

Co je to projekt
Představte si internetovou aplikaci. Ta se skládá z několika stránek, nějaké ty kaskádové styly, skripty atd. Pokud s tím chcete rozumně pracovat, potřebujete nějakou organizaci souborů. Také potřebujete rychlý přístup k těmto souborům. Samozřejmě můžete jednotlivé soubory otevírat a zavírat. Ale lepší je mít je stále po ruce. A k tomu slouží projekt.

Co vám to přinese
· jednodušší práci. Nemusíte otevírat několik dokumentů, otevřete si pouze jeden projekt, přitom jednotlivé soubory mohou být umístěny v libovolném adresáři. Pouze se stanou součástí jednoho projektu.
· související dokumenty jsou přehledně uspořádány do "virtuálních" složek. Virtuální složky nemají nic společného s fyzickým umístěním souborů na disku, slouží pouze pro přehlednější uspořádání souborů v projektu.
· při práci nemusíte mít všechny soubory projektu otevřeny. Soubor otevřete dvojklikem myši na názvu ve stromové struktuře projektu.
· můžete si označit hlavní soubor, který se potom bude spouštět v externím programu, bez ohledu na to, který soubor je otevřený.
· zachování stavu projektu při ukončení práce. Prostě jak projekt opustíte, tak jej příště najdete, včetně otevřených souborů apod.

Jak začít pracovat s projekty
Po spuštění programu je vytvořen prázdný projekt. Práce s projektem se aktivuje vložením minimálně jednoho souboru do projektu. Do té doby vás projekt nebude "obtěžovat", stačí jej skrýt a pracujete s programem tak, jak jste byli zvyklí.

Práce s projekty
Vložení nebo odstranění souboru z projektu nemá fyzický vliv na soubor. Nevytváří se nový soubor, soubor se ani nemaže. Pouze se vytvoří nebo zruší odkaz ve struktuře projektu.

Otevření nebo výběr souboru projektu
Soubor otevřete kliknutím myši nebo stiskem klávesy ENTER na jeho název ve struktuře projektu
Pokud je soubor otevřen, pouze se aktivuje
V případě, že soubor neexistuje (není nalezen na zadané cestě), otevře se dialogové okno, ve kterém máte možnost jej najít a tak jej opět zařadit do projektu

projaddfile Vložení souboru do projektu
· přetažením záložky se jménem souboru do složky
· pravým tlačítkem myši při editaci textu

Aby se dal do projektu vložit soubor, musí být splněny následující podmínky:
1. existence minimálně jedné složky
2. aktivní musí být složka nebo soubor, nikoli projekt

projdelfile Odstranění souboru z projektu
· stiskem tlačítka na paneku projektu
· pravým tlačítkem myši na názvu souboru v projektovém stromu

projfoldernew Vytvoření složky
Složku lze vytvořit kdykoliv z tlačítkem na liště projektu nebo pravým tlačítkem myši. Podmínkou je jedinečnost názvy složky v rámci projektu. Složek může být libovolný počet. Projekt neumožňuje "stromovou" strukturu složek, složky tvoří pouze v jednu vrstvu.

projfolderdel Odstranění složky
Složku lze odstranit pouze v případě, že je prázdná. Opět lze použít tlačítko na liště nebo pravé tlačítko myši.

Přidat soubory
Pomocí této možnosti, přístupné pokud kliknete na složce pravým tlačítkem myši, máte možnost přidat do projektu hromadně soubory pomocí dialogu. Můžete označit (a přidat) více souborů najednou.

editchp Přejmenování projektu nebo složky
Přejmenování se provádí přímo ve stromové struktuře projektu.
Pro přejmenování lze použít klávesu F2, kliknutí na jménu nebo pravé tlačítko myši.
Tímto způsobem nelze přejmenovávat vložené soubory. Pro přejmenování souboru je nutno použít možnost "Uložit jako"

Manipulace se soubory v projektu
Soubory je možno uspřádat do jednotlivých složek pouhým přetažením myši podle následujících pravidel:
· při "upuštění" souboru na jméno složky se zařadí jako poslední soubor ve složce
· při "upuštění" souboru na jiný soubor se vloží před něj

projnew Nový projekt
Pokud je otevřen nějaký projekt, dojde k jeho zavření a následnému otevření nového prázdného projektu. Takže tato volba slouží i pro zavření projektu.

settings Nastavení projektu
Tato volba slouží k nastavení parametrů projektu. Je to omezená část parametrů nastavení programu. Pokud je jakýkoliv parametr vyplněn, má přednost před nastavením programu.

Informace o projektu
Zobrazí seznam souborů, obsažených v projektu s počtem řádků v jednotlivých souborech.

Seznam souborů
Na žádost uživatelů byla od verze 3.1.8 do PSPadu doplněna možnost přímo zobrazit seznam souborů na disku (s možností procházení). Přepínání mezi projektem a seznamem souborů se děje pomocí tlačítka na panelu nástrojů projektu. Samozřejmostí je otevření souboru na dvojklik myši (popř. ENTER) a přidání souboru do projektu přetažením myší nebo klávesou CTRL+ENTER.
Názvy souborů, které neumí PSPad přímo zpracovat (nejsou přiřazeny žádnému zvýrazňovači), jsou zobrazeny pro lepší orientaci jinou barvou.
Kliknutím pravého tlačítka myši na seznamu souborů je možno přepínat mezi seznamem známých a všech souborů. Za známý je soubor považován v případě, že jeho typ je zaregistrován v některém zvýrazňovači.
Program si samozřejmě pamatuje poslední stav.

Velká a malá změna projektu
Určují stupeň změny projektu a také zobrazení dotazů na uložení projektu.
Velká změna znamená změnu obsahu projektu (přidání / odebrání souboru, přejmenování projektu...)
Malou změnou se rozumí změna vzhledu projektu.
Pokud dojde k velké změně, bude uživatel při zavření projektu dotázán, zda chce změny uložit. Při malé změně jsou změny uloženy automaticky bez dotazu.

Jak je projekt uložen
Jde o obyčejný textový soubor se strukturou INI souboru systému Windows. Typ souboru je .PPR (PSPad project)
Při spuštění programu je tato přípona zaregistrována v systému Windows. Při odinstalaci programu je registrace odstraněna.
Registrace projektu vám umožní otevřít projekt přímo kliknutím na soubor.

Jednotlivé soubory jsou uloženy relativně k poloze projektu. To znamená, že pokud zkopírujete projekt včetně souborů, které obsahuje do jiného adresáře nebo na jiný počítač, stále budete schopni jej otevřít a pracovat s ním.


Klávesové zkratky editoru

 Přehled klávesových zkratek

Přehled makro příkazů najdete zde

Šablony
CTRL+Space        vyvolání seznamu
SHIFT+Space       přímé vložení šablony
CTRL+J            automatické dokončování

Editor
CTRL+PgUp         skok na začátek stránky
CTRL+PgDn         skok na konec stránky
CTRL+Home         skok na začátek textu
CTRL+End          skok na konec textu

SHIFT+CTRL+PgUp   označení k začátku stránky
SHIFT+CTRL+PgDn   označení do konce stránky
SHIFT+CTRL+Home   označení k začátku textu
SHIFT+CTRL+End    označení do konce textu
CTRL+A            označení celého textu
SHIFT+CTRL+T      označení obsahu TAGu (pouze HTML)
SHIFT+CTRL+M      označení uvnitř závorek
SHIFT+CTRL+§      označení řetězce včetně jednoduchých nebo dvojitých uvozovek
CTRL+§            označení řetězce uvnitř jednoduchých nebo dvojitých uvozovek

F8                označení začátku a konce bloku
CTRL+Up           při označeném bloku skok na začátek bloku
CTRL+Down         při označeném bloku skok na konec bloku

CTRL+Delete       smazat slovo
CTRL+Y            smazat řádek
SHIFT+CTRL+Y      smazat do konce řádku

CTRL+C            zkopírování označeného textu do schránky. Pokud neoznačeno zkopíruje aktuální řádek
CTRL+X            vyjmutí označeného textu do schránky. Pokud neoznačeno, vyjme aktuální řádek
CTRL+V            vložení textu ze schránky na pozici kurzoru
SHIFT+CTRL+V      vložení textu ze schránky na pozici kurzoru, pozice kurzoru se nemění

ALT+BackSpace     odvolání změny (undo)
Ctrl+Z            odvolání změny (undo)
SHIFT+ALT+Back    vrácení změny (redo)
SHIFT+CTRL+Z      vrácení změny (redo)

SHIFT+CTRL+N      normální blok
SHIFT+CTRL+L      řádkový blok
SHIFT+CTRL+C      sloupcový blok

CTRL+W            zapne/vypne zalomení textu

Operace se soubory
CTRL+N            nový soubor
CTRL+O            otevřít soubor
SHIFT+Ctrl+O      otevřít v HEXA editoru
CTRL+D            otevřít pod jménem
CTRL+F4           zavřít soubor
SHIFT+CTRL+F4     zavřít všechny soubory
CTRL+S            uložit soubor
F12               uložit jako
SHIFT+CTRL+S      uložit vše
CTRL+ALT+S        uložit bez změny data a času souboru
CTRL+P            tisk
ALT+P             nastavení tiskárny

Hledání a nahrazování
CTRL+F            hledat (dialog)
F3                hledat další
SHIFT+F3          hledat předchozí
SHIFT+CTRL+UP     hledat další výskyt aktuálního slova
SHIFT+CTRL+DOWN   hledat předchozí výskyt aktuálního slova
CTRL+H            nahradit (dialog)
CTRL+E            inkrementální hledání
Ctrl+G            jdi na řádek
                  hledání v souborech
CTRL+M            hledání související závorky

Záložky
SHIFT+CTRL+0..9   nastavení / zrušení záložky v textu
CTRL+0..9         skok na záložku v textu
SHIFT+CTRL+B      seznam záložek
ALT+LEFT          nastavení záložky
ALT+RIGHT         zrušení záložky
ALT+UP            předcházející záložka
ALT+DOWN          další záložka

Formátování bloku
SHIFT+CTRL+I      zvětšit odsazení bloku
SHIFT+CTRL+U      zmenšit odsazení bloku
TAB               zvětšit odsazení bloku
SHIFT+TAB         zmenšit odsazení bloku
CTRL+K            přelomení textu podle nastaveného okraje. Konec bloku je prázdný řádek
SHIFT+CTRL+K      přelomení textu podle nastaveného okraje. Konec bloku je krátký řádek

Komentování kódu
SHIFT+CTRL+A      přidá/odstraní komentář na každý řádek označeného bloku

Změna velikosti písmen
CTRL+ALT+U        změna písmen na velká
CTRL+ALT+L        změna písmen na malá
CTRL+ALT+T        první písmena velká

Záznam a přehrávání maker
CTRL+F5           záznam / ukončení makra
F5                spuštění makra

Nástroje
ALT+A             ASCII tabulka
ALT+I             vložit text do řádků
ALT+C             dialog pro výběr HTML barvy
ALT+D             vložit datum a čas

Externí programy a kompilátory
F9                otevření v externím programu
CTRL+F9           spuštění kompilátoru

Manipulace s okny
SHIFT+ALT+L       zamknutí vzájemného posunu oken
CTRL+L            LOG okno
ALT+L             přechod mezi LOG oknem a editorem
CTRL+Tab          další okno
SHIFT+CTRL+Tab    předchozí okno
ALT+n             (n=1..9) přechod mezi záložkami

Myš v editoru
Levý klik         změna pozice kurzoru
Pravý klik        vyvolání kontextové nabídky
Prostřední klik   vyvolání seznamu šablon s aktuálním slovem (totožné se stisknutím kolečka)
                  na záložce se jmény souborů zavře soubor
Levé              při tažení je označován normální blok
CTRL+Pravé        při tažení je rolováno okno
ALT+Levé          při tažení je označován sloupcový blok
SHIFT+Levý klik   je označen blok od předchozí pozice kurzoru
Dvojklik          označení slova
                  na prázdné ploše editoru vyvolá dialog Nový soubor
CTRL+Dvojklik     označení textu mezi jednoduchými nebo dvojitými uvozovkami
ALT+Dvojklik      označení HTML tagu
CTRL+ALT+Dvojklik označení obsahu uvnitř závorek
CTRL+Kolečko      změna velikosti písma


 Příkazový řádek

Formát příkazu:

"disk:\cesta\PSPad.EXE" [/přepínač | -přepínač] "soubor1" ["soubor2" ...]

Možné parametry pro hodnotu přepínač:

/H    otevření souboru přímo v HEXA editoru
-H    otevření souboru přímo v HEXA editoru
/R    otevření soubor v režimu jen pro čtení
-R    otevření soubor v režimu jen pro čtení
/D    spuštění v režimu porovnávání souborů (nutno otevřít minimálně 2 soubory)
-D    spuštění v režimu porovnávání souborů (nutno otevřít minimálně 2 soubory)
/nnn  po otevření souboru bude editor nastaven na řádek udaný číslem nnn
-nnn  po otevření souboru bude editor nastaven na řádek udaný číslem nnn

Pokud jméno souboru obsahuje mezery je nutné je uzavřít do uvozovek !


Struktura adresářů a souborů

 Struktura adresářů, popis souborů

Umístění souborů a podadresářů je vztaženo k umístění spustitelného souboru PSPad.EXE. Některé adresáře a soubory vzniknou hned po instalaci, některé se vytvářejí v průběhu práce s programem PSPad.
Editor PSPad není třeba instalovat, k práci stačí samotný PSPad.EXE.

Struktura adresáře s instalací editoru PSPad

PSPad.exe
spustitelný soubor s vlastním programem PSPad. K práci s programem stačí tento soubor.
PSPad.chm
nápověda k programu ve formátu kompilovaného HTML
PSPad.ini
soubor, obsahující nastavení programu. Po smazání jste ve stavu po instalaci programu. Naopak zálohou tohoto souboru si uchováte kompletní konfiguraci PSPadu. Pokud je povoleno víceuživatelské prostředí, je soubor uložen v adresáři profilu
PSPad_MU.ini
společná konfigurace i pro víceuživatelské prostředí.
Licence.txt
licenční ujednání
PSCache.bin
zde je uchováván stav jednotlivých souborů pro příští otevření (lze kdykoliv smazat)
Notepad.exe
je možno použít k náhradě standardního NOTEPAD.EXE v adresáři Windows v případě, že některé programy "natvrdo" otevírají program NOTEPAD. Je to jen spouštěč, který spustí PSPad.
Notepad.TXT
popis použití programu Notepad.exe
TiDy.exe
utilita pro kontrolu HTML kodu
TiDyCFG.ini
soubor obsahující další varianty konfigurací TiDy (objeví se v menu HTML)
PSPad_err.log
v tomto souboru jsou zaznamenávány chyby programu
Recent.ini
obsahuje dříve otevřené soubory a historii hledání. Pokud je povoleno víceuživatelské prostředí, je soubor uložen v adresáři profilu
ASCII.ini
obsahuje definici řídících znaků a HTML entit pro ASCII tabulku
Online.ini
obsahuje odkazy pro Online nápovědu a Online nástroje
WWWTools.ini
definice příkazů, které se použijí v náhledu HTML stránky

Colors
zde jsou uložena barevná schémata
Convert
zde jsou definice konvertorů (soubory .INI)
Context
adresář obsahuje šablony pro jednotlivé typy prostředí. Při otevření určitého typu souboru dojde k automatickému načtení šablony s odpovídajícím názvem (pokud soubor existuje). Jedná se o jednoduché textové soubory
BAT.def
HTML.def
:
VBScript.def
Lang
adresář obsahuje jazykové lokalizace programu v textových souborech .INI
Macro
do tohoto adresáře se ukládají a odsud se načítají nahraná makra (přípona .PMR)
Plugins
souborové a jiné zásuvné moduly
Script
adresář obsahuje soubory skriptů, rozšiřujících funkčnost PSPadu. Při spuštění programu jsou vytvořeny podadresáře podle dostupných skriptovacích jazyků
Skin
adresář obsahuje sady ikonek pro tlačítka
Spell
tento adresář obsahuje slovníky pro kontrolu pravopisu (soubory .DIC). Zde se nachází i uživatelské slovníky v případě že není zvoleno "víceuživatelské prostředí". Pak se nachází v adresáři profilu uživatele.
Syntax
adresář obsahuje nastavení uživatelských zvýrazňovačů (soubory .INI)
Template
tento adresář obsahuje vzory dokumentů, které mohou být použity jako základ nového dokumentu (menu Soubor / Nový, popř. Ctrl+N)

Soubory projektů programu PSPad používají rozšíření .PPR.


 Šablony

makra

Šablony slouží k urychlení práce. Nejlépe by se to dalo popsat asi jako automatický text v MS Wordu.
Každá šablona se skládá z názvu, popisu a obsahu, který bude vložen na pozici kurzoru. Obsah šablony může obsahovat libovolný počet řádků, při vkládání je zachována struktura odsazení jednotlivých řádků.
Od verze 3.6.1 je možno definovat interaktivní šablony.

Jak vyvolat šablonu :
· Napíšete jméno šablony nebo část jména a po stisku CTRL+Space se vyvolá seznam, ve kterém stojíte na nejbližší podobné položce. Vyberete si požadovanou položku a po potvrzení klávesou ENTER je na místo kurzoru vložen obsah šablony.
· Napíšete celý název šablony, stisknete SHIFT+Space a pokud je šablona nalezena, na místo kurzoru je vložen její obsah.
· Použijete klávesovou zkratku, kterou má šablona přiřazenu (jejich seznam najdete v menu Nástroje / Šablony / Klávesové zkratky)

Šablony jsou uloženy v souborech *.DEF v adresáři .\PSPad\Context. Jména souborů jsou uvedena níže a jsou povinná ! Jde o obyčejné textové soubory s velmi jednoduchou strukturou, takže si je můžete snadno upravit podle svého.
Editaci příslušné šablony je možno vyvolat přímo z menu Nástroje / Editace šablon. Pokud šablona neexistuje, bude vytvořena nová.

Formát souboru:
; - komentáře, řádky jsou ignorovány
;; - do kódu bude vložen jeden středník
[jméno_šablony |x popis šablony]*horká_klávesa
jméno šablony je v seznamu zobrazeno tučně a určuje i jméno příkazu pro přímé vložení pomocí SHIFT+Space
znak | odděluje jméno od popisu.
znak x určuje barvu, kterou je šablona zobrazena (viz níže)
řádek je uzavřen v hranatých závorkách [] .
znak * označuje klávesovou zkratku
klávesová zkratka určuje klávesovou zkratku, pomocí které je možno šablonu přímo vložit do textu
klávesová zkratka není povinná
obsah šablony
libovolný text, pouze nesmí začínat znakem [.
znak | určuje pozici kurzoru v editoru po vložení obsahu šablony
znak § (ALT+167) určuje místo, kam se vloží text označený před vyvoláním šablony
obsah šablony může obsahovat libovolný počet řádků.
pro znak | se bere pouze první výskyt
označený text je vložen na každý výskyt znaku §
...
[Tree Content]
seznam jednotlivých šablon rozdělený do sekcí - zobrazuje se v dialogovém okně
jméno sekce začíná od začátku řádku
jméno šablony v sekci je odsazeno o jednu mezeru
[KeyWords]
seznam slov (libovolných), které se uplatní ve funkci Automatické dokončování

sekce [Tree Content] a [KeyWords] jsou nepovinné

Barevné rozlišení šablon:
Znakem v názvu šablony (viz výše "Formát souboru" a znak x v hlavičce šablony) je možno určit jakou barvou se šablona v seznamu šablon zobrazí. Pokud není znak uveden, je šablona zobrazena systémovou barvou písma (obvykle černou). Možné znaky jsou:
M tmavě červená (maroon)
R červená (red)
N tmavě modrá (navy)
B modrá (blue)
P fialová (purple)
F růžová (fuchsia)
G zelená (green)
D tmavě šedá (dark gray)

Příklad šablony:
[zadost | ilustrační příklad možností šablony]*Ctrl+Z
Věc: Žádost o zvýšení platu.
----------------------------------------
Důrazně žádám o zvýšení základního platu na | Kč.
V případě odmítnutí to můžete brát jako žádost o rozvázání pracovního poměru.
[Tree Content]
Žádosti
 zadost
[KeyWords]
plat
žádost
odmítnutí

Možnosti použití příkladu:
· stiskem CTRL+Space vyvoláme seznam, vybereme řádek a klávesou Enter vložíme do textu
· napíšeme "zadost" a stiskem SHIFT+Space přímo vložíme do textu
· v případě přiřazení horké klávesy stačí stisknout Ctrl+Z
· seznam šablon je možno vyvolat prostředním tlačítkem myši a zavřít pravým tlačítkem

Do editovaného textu budou vloženy 4 řádky a kurzor se zastaví na pozici znaku |, tzn. před Kč, takže zbývá jen doplnit požadovanou částku.

Interaktivní šablony

Od verze 4.2.0 jsou k dispozici proměnné, pomocí kterých je možno vkládat do šablony datum, jméno souboru, atd. Proměnné se nastavují v menu Nastavení / Proměnné programu
PSPad od verze 3.6.1 podporuje interaktivní šablony. Znamená to, že po vyvolání šablony se objeví formulář, do kterého jdou zadat hodnoty a ty se pak vlozi do textu. Podrobneji je to popsáno ve zvláštní kapitole.

Jména souborů:
· Assembl.def
· Bat.def      (dávkové soubory)
· Basic.def
· CPP.def      (C++)
· CSS.def      (kaskádové styly)
· FoxPro.def
· General.def      (prostý text)
· HTML.def
· INI.def      (INI soubory)
· Java.def
· JavaScript.def      (JAVA skript)
· VBScript.def      (Visual Basic skript)
· Pascal.def
· Perl.def
· PHP.def
· SQL šablony jsou závislé na dialektu SQL
SQL.def      standard ANSI SQL
Interbase.def
MSSQL.def
MySQL.def
Oracle.def
SyBase.def
Ingres.def
· Python.def
· ISetup.def      (INNO setup)
· XML.def


Šablony - interaktivní

 Interaktivní šablony

PSPad od verze 3.6.1 umožňuje definovat interaktivní šablony.
Doporučuji napřed přečíst kapitolu, věnující se základům šablon

Co to znamená ?
Šablony dosud pracovaly tak, že na místo kurzoru se vložil text, definovaný v šabloně a nastavila se pozice kurzoru. Pak bylo třeba vložený text upravit.
Nyní máte možnost vložit šablonu včetně zadání hodnot, takže výsledek již není třeba upravovat a je to intuitivnější.

Příklad vložení HTML TAGu:
Dosud: vyvolala se šablona, vložila se do souboru a ručně se doplnily hodnoty, popř. se vymazaly vlastnosti, které nebyly třeba
Nyní: objeví se formulář, ve kterém si vyplníte některé hodnoty a pouze ty vyplněné se vloží do textu. To je samozřejmě možné kombinovat se stávajícími šablonami.

Jak to pracuje ?
Základem je definice ovládacích prvků v sekci [Macro definition] nejlépe na začátku šablony. Tyto ovládací prvky se pak velmi snadno použijí v šablonách.
A proč se definují zvlášť na ne přímo v šablonách ? Důvod je prostý. Spousta šablon používá shodné prvky a tak by se zbytečně zvětšil definiční soubor se šablonami a bylo by to také méně přehledné. A další výhodou je to, že pokud to změníte v této sekci, změnili jste to vlastně ve všech šablonách, kde je to použito.

Vícenásobné použití výsledku:
jméno ovládacího prvku je možno v definici šablony možné použít vícekrát. V tom případě se v dialogu objeví pouze jednou, ale zadaný text bude vložen na všechna místa výskytu (viz poslední příklad).

Formát
%prvek%=@x popisek,úvodní_text,výchozí,možnosti,oddělovač,typ_dialogu

%prvek% - toto jméno v definici šablony určuje, který ovládací prvek bude použit. Může obsahovat pouze znaky a čísla bez mezer.
@x - typ ovládacího prvku (viz. dále)
popisek - text, který se zobrazí před ovládacím prvkem
úvodní_text - text, který bude vložen do do textu před zadanou hodnotou (nepovinný)
výchozí - předvyplněná hodnota v ovládacím prvku (nepovinný)
možnosti - tato část je závislá na použitém ovládacím prvku (nepovinný) (viz dále)
oddělovač - znak(y), které budou vloženy do textu kolem hodnoty (nepovinný)
typ_dialogu - určuje, jak dopadne výsledek dialogu pro otevření souborů (nepovinný)
A (absolutní cesta) nebo R (relativní cesta) a druh lomítka. Viz definice ovládacích prvků.

Nepovinné části není třeba uvádět. Pouze je třeba dodržet počet oddělovacích čárek. Odzadu je možné cokoliv vynechat.
Pokud potřebujete zadat nějaké speciální znaky, např. čárku do výchozího textu nebo výchozí hodnoty, zavřete hodnotu do uvozovek. Viz příklad 3.

Přehled ovládacích prvků:

@-- = Oddělovač
@C = Rozbalovací seznam (Combo box)
@D = Dialog pro zadání data
@E = Editační pole
@F = Rozbalovací seznam pro výběr písma
@K = Zaškrtávací pole (Check box)
@L = Dialog pro výběr barvy
@O = Dialog pro otevření souboru
@P = Dialog pro otevření obrázku s náhledem
@S = Dialog pro výběr adresáře
@T = Editační pole s vyvoláním editoru Topstyle

Definice ovládacích prvků

Oddělovač (Separator)
nemá žádnou funkčnost, pouze zobrazí vodorovnou čáru
%sep%=@--

Editační pole (Edit)
zobrazí obyčené editační pole pro zadání obecné hodnoty

%edit1%=@E Číslo strany:,Page ,,,-
výsledek: Page -12-
%edit2%=@E Jméno autora
výsledek: Jan Fiala

Rozbalovací seznam (ComboBox)
zobrazí editační pole s rozbalovacím seznamem
řetězce v seznamu jsou uvedeny v sekci možnosti a jsou odděleny středníkem
Pokud řetězec obsahuje něco jiného než pouze písmena a čísla, je třeba jednotlivé položky uzavřít do uvozovek (viz druhý příklad)

%combo1%=@C Typ centrování:,CENTER=,left,left;right;center,"
%RGB%=@C RGB barva:,RGB=,,"255,255,255";"#FFFFFF";"FF;FF;FF";"FF FF FF","

výsledek: CENTER="left"

Rozbalovací seznam s fonty (FontBox)
zobrazí editační pole s rozbalovacím seznamem, naplněným názvy fontů, instalovaných v systému.

%fonts%=@F Font face:,font-face=,,,"
výsledek: font-face="Arial"

Dialog pro zadání data
zobrazí editační pole s kalendářem pro interktivní zadání data

%datum%=@D Datum:,DATE=,,,"
výsledek: DATE="12.2.2002"

Zaškrtávací pole (CheckBox)
zobrazí jednoduché zaškrtávací políčko. Pokud je zaškrtnuto, hodnota se v textu objeví. Je-li cokoliv uvedeno v sekci výchozí, políčko bude na formuláři zaškrtnuto

%check%=@K Bez stínu,NoShade
vysledek: NoShade
%check%=@K Nezapomenout,PAMATUJ,,,!!!
vysledek: !!!PAMATUJ!!!

Editační pole s dialogem pro soubor
zobrazí editační pole s tlačítkem vpravo, které umožní výběr a vložení souboru do pole. V sekci možnosti je možno definovat filtr na otevírané soubory. Pokud nebude maska uvedena, bude nastavena na všechny soubory
Nebude-li uveden typ dialogu, platí následující pravidla:
jde-li o HTML, bude nastavena relativní cesta a normální lomítka
nejedná-li se o HTML, bude nastavena absolutní cesta a obrácená lomítka

%file%=@O Odkaz:,HREF=,,Html files (*.htm;*.html)|*.htm;*.html,"
výsledek: HREF="project/files/soubor.htm"

%file%=@O Odkaz:,,,PAS files (*.pas)|*.pas,',A\
výsledek: 'c:\temp\soubor.pas'

%file%=@O Odkaz:,,,C files (*.c)|*.pas,,R\\
výsledek: project\\source\\soubor.c

Editační pole s dialogem pro obrázek
podobně jako pole s dialogem pro soubor zobrazí editační pole s tlačítkem na vyvolání dialogu možnost výběru obrázku. Tento dialog obsahuje i náhled obrázku. Masku není třeba uvádět. Pro typ dialogu platí to samé jako pro dialog pro soubor.
Jsou-li součástí šablony makra, obsahující v názvu width a height, jsou do nich dosazeny aktuální rozměry obrázku
Jsou-li součástí šablony makra, obsahující v názvu alt nebo title, je do nich dosazen název a velikost obrázku, pokud je obsah prázdný

%pict%=@P Odkaz:,SOURCE=,,,"
výsledek: SOURCE="files\obrazek.png"

Editační pole s dialogem pro výběr adresáře
podobně jako pole s dialogem pro soubor zobrazí editační pole s tlačítkem na vyvolání dialogu pro výběr adresáře. Pro typ dialogu platí to samé jako pro dialog pro výběr souboru.

%pict%=@S Vytvoření adresáře:,CreateDirectory:,,,,A\
výsledek: CreateDirectory:c:\program files\novy adresar

Editační pole (Edit) s vyvoláním editoru CSS TopStyle
zobrazí obyčené editační pole pro zadání obecné hodnoty s tlačítkem, kterým je možno vyvolat TopStyle editor (více v menu HTML) pro editaci inline CSS

%style%=@T Styl,Style=,,,

Editační pole s dialogem pro výběr barvy
podobně jako pole s dialogem pro soubor zobrazí editační pole s tlačítkem na vyvolání dialogu pro výběr barvy. Pro typ dialogu platí to samé jako pro dialog pro výběr souboru.

%color%=@L Výběr barvy:,background:,,,"
výsledek: background="#623488"

Použití v šablonách - příklady

Příklad 1:

[Macro definition]
%file%=@O Odkaz:,HREF=,,Html files (*.htm;*.html)|*.htm;*.html,"
...
[ahref | jednoduchý odkaz <a href=...>...</a>]
<a %file%>|</a>

Při vyvolání šablony se objeví formulář s editačním polem s možností výběru souboru pomocí tlačítka a do textu se vloží:
<a HREF="vybraný soubor.htm"></a>
a kurzor bude stát mezi tagy na místě znaku "|"

Příklad 2:

[Macro definition]
%proc%=@E Jméno procedury:
%autor%=@E Jméno autora:
...
[proc | základ procedury]
// Procedura: %proc%
// Autor: %autor%
procedure %proc%;
begin
|
end; {procedure %proc%}

Při vyvolání šablony se objeví formulář se dvěma editačními poly pro zadání jména procedury a autora. Výsledek v textu bude vypadat:

// Procedura: UkazDialog
// Autor: Jan Fiala
procedure UkazDialog;
begin

end; {procedure UkazDialog}

Příklad 3:

[Macro definition]
%Number%=@E," ,",,,
[ahref | číslo s čárkou]
%number%

Při opakovaném vyvolávání šablony se do textu bude vkládat vždy čárka a hodnota:
 ,123, 456, 12, 5


 Uložení rozdělané práce

Co to znamená ?
PSPad umožňuje při ukončení práce zapamatovat si otevřené programy a při příštím spuštění je zase automaticky otevřít. Takže jej při příštím spuštění najdete ve stavu, ve kterém jste jej zavřeli. Pokud si k tomu povolíte v nastavení programu ještě zapamatování stavu souboru, dojde k zapamatování a obnovení zvýrazňovače, záložek, pozice v souboru, ...

Způsob spouštění programu (vymezení pojmů):
· spouštění bez parametru - spustíme přímo PSPad a v něm si otevřeme soubor(y)
· spuštění s parametrem - PSPad je spuštěn dvojklikem na soubor nebo třeba ve Windows Commanderu klávesou F4

Ukládání rozdělané práce
Ukládání rozdělané práce je možno povolit / zakázat v parametrech programu. Předpokládejme, že je povoleno.

Filozofie (jak to pracuje)
Týká se stavu, kdy je parametr pro zapamatování rozdělané práce nastaven jako:
[x] - budou se obnovovat jen soubory, otevřené v PSPadu

K uložení stavu souboru dojde pouze v případě, kdy byl PSPad spuštěn bez parametrů. Vyjímkou je otevření projektu.

1. pracuji s programem, mám otevřené soubory a ukončím jej - uloží se stav
2. ve Windows Commanderu si otevřu soubor, pracuji a PSPad ukončím - k uložení stavu nedojde
3. spustím přímo PSPad - při spuštění dojde k obnovení stavu, uloženého v bodě 1.

To umožňuje využít PSPad kdykoliv jako pohotový editor ale obnovit předchozí stav, pokud jej spustíte přímo.


Pluginy pro typ souboru

 Popis menu - pluginy pro typ souboru

PSPad od verze 4.3.3 podporuje pluginy pro načtení/uložení souboru. Princip je jednoduchý, pokud existuje v podadresáři .\Plugins\FileType DLL knihovna se stejným jménem, jako je přípona souboru, PSPad použije pro otevření a uložení tuto knihovnu.

Knihovna DLL ma velmi jednoduché rozhraní, není závislá na programovacím jazyku. Knihovna exportuje pouze 2 funkce:
function PSP_LoadFromFile(FileName, Data: PChar; DataSize: Integer):Integer; stdcall;
function PSP_SaveToFile(FileName, Data: PChar; DataSize: Integer):LongBool; stdcall;
function PSP_Version: Integer; stdcall;

Aktuální návratová hodnota funkce PSP_Version je 1

Maximální velikost souboru je zatím omezena na 10 000 000 bajtů.
Při překročení velikosti nebo při chybě (nenalezena funkce, funkce vrací hodnotu false) se použije standardní otevření pomocí PSPadu.

PSPad je dodáván s pluginy pro práci s formátem PDB (Palm DataBase), který je používán pro e-knihy a formátem ZText, který používá ZLIB pro kompresi textu.


Menu soubor

 Popis menu - soubor

new Nový soubor CTRL+N
Typ nového dokumentu záleží na typu aktivního otevřeného dokumentu. Pokud tedy mám otevřený PAS, po vyvolání se otevře Nový dokument.PAS
Od verze 4.2x vyvolá tato volba dialogové okno, pomocí kterého je možno otevřít prázdný soubor nebo soubor na základě šablony
Dialog je možné vyvolat i dvojklikem na ploše programu, pokud není otevřen žádný soubor nebo dvojklikem na panel, na kterem jsou záložky se jmény souborů

fileopen Otevřít soubor CTRL+O
Otevře vybraný soubor pro textovou editaci

Otevřít v HEXA editoru SHIFT+CTRL+O
Otevře vybraný soubor přímo v HEXA editoru

Otevřít speciál
Otevřít znovu CTRL+R
Otevře znovu aktuální soubor. Použitelné např. při nechtěném vymazání nebo při změně kódových stránek.
Otevřít kopii
Otevře soubor ještě jednou v novém okně
Otevřít pod jménem CTRL+D
Umožní uložit aktuální soubor pod jiným jménem a současně jej i otevře. Spojuje tak v sobě akce Uložit jako a Otevřít
Otevřít v programu
spustí otevřený soubor v programu, definovaném v nastavení zvýrazňovačů
Otevřít soubor z internetu
otevře soubor, určený internetovou adresou (http://....)
Otevřít z označeného textu
otevře soubor, daný označeným textem v souboru. Odkazy typu http://www.pspad.com, popr. ftp://ftp.microsoft.com se otevřou ve výchozím programu (poštovní program nebo prohlížeč). Pokud při kliknutí budete držet klávesu CTRL, otevřou se v PSPadu zdrojový kód stránky.

closefile Zavřít soubor CTRL+F4
Zavře aktuální dokument. Soubor je možné zavřít i pomocí menu na pravé tlačítko myši v editoru a na záložce souboru nebo kliknutím pravým tlačítkem na záložce souboru

Zavřít vše
zavře všechny otevřené soubory včetně projektu

projcompile Kompilovat
Touto volba je přístupná v případě, že je nastaven kompilátor (nastavení se provádí v nastavení zvýrazňovačů)

Otevřít v programu
Nabídka externích programů, ve kterých lze soubor otevřít. Programy se definují v nastavení programu

save Uložit CTRL+S

Uložit jako F12
Uloží soubor pod novým jménem

Přesunout jako F12
Uloží soubor pod novým jménem a smaže původní soubor

saveall Uložit vše SHIFT+CTRL+S
Uloží změny ve všech souborech. Pokud jde o nový soubor, zeptá se na jméno a cestu

Uložit na FTP
Uloží soubor do aktuálního adresáře FTP serveru. Přístupné pouze při otevřeném FTP připojení

Uložit výběr jako...
Vybraný text bude uložen pod zadaným jménem

Export
sendtodisk Na disketu
mail4 Jako obsah e-Mailu
mail5 Jako přílohu e-Mailu

Uložit pomocí pluginu...
Uloží soubor s pomocí pluginu pro typ souboru. Jméno původního souboru se přitom nezmění.
Exportovat
Exportuje soubor do formátu RTF, HTML nebo TeX se zachováním zvýraznění syntaxe
Export do schránky jako xxx
Exportuje celý nebo označený text do schránky ve formátu RTF, HTML, XHTML nebo TeX se zachováním zvýraznění syntaxe

Informace o souboru
zobrazí informace o souboru - počet slov, řádků, znaků

ro Pouze pro čtení
umožní "zamknout dokument", takže nejsou možné žádné opravy

print Tisk CTRL+P

preview Náhled před tiskem ALT+P

Nastavení stránky
Umožňuje nastavit okraje pro tisk

setting print Nastavení tiskárny
Nastavení vlastnosti tisku - formát papíru apod.

Konec ALT+F4
Pomocí klávesové zkratky CTRL+ALT+F4 je možno program ukončit i v případě, že je nastavena minimalizace do tray ikony


Menu projekt

 Popis menu - projekt

O tom, co je to projekt a k čemu sloučí, pojednává samostatná kapitola v části o Práci s PSPadem

projnew Nový projekt
vytvoří nový projekt. Slouží i k zavření projektu

Projekt z adresáře
slouží k rychlému vytvoření projektu ze zvolené složky.

Přidat otevřené soubory
umožní přidat do propjektu všechny otevřené soubory

projopen Otevřít
otevře existující projekt a obnoví stav, při kterém byl projekt uzavřen

projsave Uložit
uloží projekt. U nového projektu si vyžádá zadání jména a cesty

Uložit projekt jako...
uloží projekt pod novým jménem

settings Nastavení projektu
umožňuje nastavit vlastnosti projektu, jako jsou kompilátor, externí programy, výchozí adresář


Menu úpravy

 Popis menu - úpravy

Pokud je soubor pouze pro čtení, jsou funkce, které mění obsah souboru zakázány

undo Zpět CTRL+Z
Vrátí poslední provedenou operaci. Program si pamatuje pro každý soubor 1024 změn.

redo Odvolat zpět SHIFT+CTRL+Z
Odvolá vrácení poslední operace.

cut Vyjmout CTRL+X

copy Kopírovat CTRL+C

paste Vložit CTRL+V

delete Odstranit Del

Vložit datum a čas ALT+D
Na pozici kurzoru vloží datum a čas ve formátu, zvoleném při posledním použití Datum/čas dialogu

calendar Datum/čas dialog
Otevře dialog, který kromě výběru formátu data a času, který bude vložen do textu umožní formáty upravovat. Poslední použitý formát bude použit při rychlém vložení při Vložit datum a čas (ALT+D)

Použitelné formáty:
c datum v krátkém formátu nastaveném ve Windows
d den bez uvodní nuly (1..31)
dd den, ve dvoumístném formátu (01..31)
ddd zkrácený název dne (Pon..Ned)
dddd název dne (Pondělí..Neděle)
ddddd datum ve formátu daném proměnnou ShortDateFormat
dddddd datum ve formátu daném proměnnou LongDateFormat
e roční období bez úvodní nuly (pouze Japonsko, Taiwan, Korea)
ee roční období s úvodní nulou (pouze Japonsko, Taiwan, Korea)
g zkratka ročního období (pouze Japonsko, Taiwan, Korea)
gg název ročního období (pouze Japonsko, Taiwan, Korea)
m číslo měsíce bez úvodní nuly (1..12)
mm číslo měsíce včetně úvodní nuly (01..12)
mmm zkratka měsíce (Led..Pro)
mmmm jméno měsíce (Leden..Prosinec)
yy rok ve 2-místném formátu (00..99).
yyyy rok ve 4-místném formátu (0000..9999).
h hodiny bez úvodní nuly (0..23).
hh hodiny včetně úvodní nuly (00..23).
n minuty bez úvodní nuly (0..59).
nn minuty s úvodní nulou (00..59).
s sekundy bez úvodní nuly (0..59).
ss sekundy s úvodní nulou (00..59).
z milisekundy bez úvodní nuly (0..999).
zzz milisekundy s úvodními nulami (000..999).
t čas ve krátkém formátu
tt čas ve dlouhém formátu
am/pm použije 12-ti hodinový čas a indikaci "am" nebo "pm"
a/p použije 12-ti hodinový čas a indikaci "a" nebo "p"
ampm použije 12-ti hodinový čas a indikaci "dop." nebo "odp."
/ zobrazí oddělovač data daný nastavením Windows
: zobrazí oddělovač času daný nastavením Windows
'xx'/"xx" znaky, zobrazené v jednoduchých nebo dvojitých uvozovkách budou zobrazeny beze změny
RFC datum a čas ve formátu daném RFC normou
UNIX Unix date stamp

Identifikátor GUID
Na pozici kurzoru vloží jedinečný identifikátor GUID. GUID (Global Unique IDentificator) je celosvětově jedinečný řetězec, který je vygenerován mimo jiné i z jedinečného interního čísla síťové karty (pokud je v počítači). Používá se tam, kde chete mít skutečně jistotu jedinečnosti.

Speciál
Vložit jako HTML
produkty MS Office ukládají text do schránky i ve formátu HTML (např. text zkopírovaný v IE). Vy tak máte možnost ze schránky přímo HTML kód

Vložit se zachováním kurzoru SHIFT+CTRL+V
Jde o speciální případ vložení textu ze schránky. V tomto případě nebude kurzor přesunut na konec vloženého textu, ale zůstane na původním místě.

insertfile Vložit ze souboru
Na pozici kurzoru vloží obsah vybraného souboru

Operace s řádky
Kopírovat řádek
Aktuální řádek bude zkopírován a vložen do textu
Zaměnit řádky
Pozice aktuálního řádku bude zaměněna s následujícím řádkem.
Pokud bude označen blok, tato funkce provede záměnu pořadí všech řádků v bloku

Vložit text na začátek řádků ALT+I
Na každý řádek nebo každý řádek označeného bloku bude vložen zadaný text
Odstranit citování
Citováním je myšleno uvození začátku každého řádku znakem >, jak to známe z elektronické pošty. Pomocí těchto nástrojů je možné citování z textu odstranit nebo naopak přidat. Volba je přístupná pouze při označení textu.
Odstranit nadbytečné mezery
Otevře dialog, ve kterém lze zadat, zda se mají odstranit nadbytečné mezery na začátku, na konci řádků nebo v textu. Všechny možnosti je možno kombinovat. Odstranění mezer v textu znamená, že mezi jednotlivými slovy zůstane pouze jedna mezera.
Odstranit prázdné řádky
Z celého textu budou odstraněny všechny prázdné řádky
Odstranit nadbytečné prázdné řádky
Z celého textu budou odstraněny nadbytečné prázdné řádky. Výraz "nadbytečný" znamená více jak jeden volný řádek, následující za sebou.

Konverze
Desítková <-> Hexadecimální
Dvojice funkcí provádí převod označeného čísla. Pokud tyto funkce používáte častěji, je vhodné přiřadit jim nějaké klávesové zkratky
ANSI <-> URL
Dvojice funkcí pro kódování a dekódování diakritiky na formát, používaný v URL adresách
ANSI <-> Quoted printable
ANSI <-> Base64
Dvojice konverzí pro kódování a dekódování diakritiky na formát, používaný v e-mailech

Odstranit diakritiku
Z celého textu nebo označeného bloku jsou odstraněna diakritická znaménka.
Doplnit diakritiku
Pro doplnění diakritiky je použit slovník pro kontrolu pravopisu. Jsou vyhledávána slova a porovnávána se slovy ve slovníku. Pokud je výraz ve slovníku nalezen, je nahrazen výrazem ze slovníku. Není to všemocný nástroj, ale ušetří spoustu ruční práce.
Tabulátory na mezery
Převede všechny znaky 09h (tabulátor) na příslušný počet mezer, nastavený v parametrech programu

Vybrat vše CTRL+A
Označí celý text. Tato volba také nastaví druh bloku na normální

Vybrat mezi závorkami SHIFT+CTRL+M
Označí text, uzavřený mezi závorkami

Označit řetězec SHIFT+CTRL+§
Označí řetězec, ohraničený jednoduchými nebo dvojitými uvozovkami včetně. Alternativou je použití zkratky CTRL+§, která označí text uvnitř jednoduchých nebo dvojitých uvozovek.

Označit TAG SHIFT+CTRL+T
Označí obsah TAGu. Podmínkou je stát uvnitř počátečního tagu. Program počítá i s vnořenými strukturami. Při použití na <body> označí celé tělo HTML

sort Seřadit
Řazení řádků vzestupně nebo sestupně.
Odstranit duplicity - po seřazní dojde k odstranění duplicitních řádků
Rozlišovat velikost písmen - určuje, zda se bude při řazení brát ohled na velikost písmen

Řadi podle:
· ANSI hodnoty - řazení proběhne v souladu s ISO normou pro řazení znaků
· ASCII hodnoty - řazení proběhne podle ASCII hodnoty znaků
· číselné hodnoty - dojde k převedení na číslo a seřazení

V pokročilém nastavení je možno definovat sloupec, podle kterého řazení proběhne

Tip: pokud označíte kus textu, bude seřazen pouze označený kus

Druh bloku
Určuje jakým způsobem se bude označovat text při výběru pomocí kurzorových kláves (kombinace kláves pro pohyb v textu se stisknutou klávesou SHIFT).
Nevztahuje se na výběr pomocí myši, kdy se automaticky přepíná normální blok a sloupcový blok, při označování myši se stisknutou klávesou ALT. Automatické přepínání lze vypnout v parametrech programu.
Sloupcový blok není přístupný při zalomení řádků !
Styl bloku je nastaven na normální, pokud se použije volba Vybrat vše (CTRL+A)
Styl je indikován symbolem na stavovém řádku a dvojklikem na symbol je možno měnit druh bloku

Normální SHIFT+CTRL+N
Obyčejný druh označování textu. Je možno na začátku a konci bloku vybrat část řádku, uprostřed bloku vždy celé řádky.

Sloupcový SHIFT+CTRL+C
Umožňuje označit sloupec textu. S tímto sloupcem pak pracuje i hledání a nahrazení. Jednoduše tak můžete vybrat sloupec proměnných a překopírovat jej někam jinam.

Řádkový SHIFT+CTRL+L
Při označování bloku se vybírají vždy celé řádky


Menu hledat

 Popis menu - hledat

Pokud je soubor pouze pro čtení, jsou funkce, které mění obsah souboru zakázány

find Najít CTRL+F

replace Nahradit CTRL+H

Najít další F3

Najít předchozí SHIFT+F3

Inkrementální hledání CTRL+E
Umožní okamžité hledání při psaní hledaného výrazu. Na stavovém řádku se po vyvolání objeví editační políčko, kam je možno psát hledaný text. Při psaní editor okamžitě reaguje a vyhledává první výskyt hledaného řetězce. Hledání probíhá od aktuální pozice kurzoru směrem ke konci textu.

Hledat další výskyt aktuálního slova SHIFT+CTRL+DOWN
Hledat předchozí výskyt aktuálního slova SHIFT+CTRL+UP
Vyhledáni dalšího / předchozího výskytu aktuálního slova, na kterém stojí kurzor. Při prvním stisku se slovo označí, při dalším stisku je provedeno hledání. Pokud si předem označíte část řádku, bude se hledat tento označený text

Jdi na řádek ALT+G
Přejde v textu na zadaný řádek a sloupec nebo absolutní pozici v souboru. Po vyvolání jsou zobrazeny aktuální údaje. Pokud na ně kliknete, jsou přeneseny do editačních polí.

Související závorka CTRL+M
Vyhledá související závorku. Před hledáním je třeba umístit kurzor před závorku.

filesearch Hledání v souborech
Umožní hledání a nahrazení řetězce v souborech. Podrobnosti v samostatné kapitole

Hledání na Google
Po vyplnění informací v dialogu bvude otevřen internetový prohlížeč s vygenerovaným dotazem pro vyhledávač Google a budou zobrazeny výsledky hledání. Více informací v samostatné kapitole

Vytvořit záložku Ctrl+Shift+0..9
Vytvoří v textu záložku. K dispozici je 10 záložek pro každý otevřený soubor

Jít na záložku Ctrl+0..9
Skočí na vytvořenou záložku. Pro lepší orientaci je v textu záložky uveden kousek řádku, na kterém byla záložka vytvořena.
Tato volba je přístupná v případě, že byla vytvořena minimálně jedna záložka


 Hledání v souborech

PSPad umožňuje kromě klasického hledání v otevřeném dokumentu i hledání a nahrazení textu hromadně ve specifikovaných souborech.

Parametry hledání

Rozsah hledání
· v souborech projektu - hledání se týká všech souborů projektu
· v otevřených souborech - hledání se týká pouze otevřených souborů, bez ohledu na zařazení v projektu
· v zadaném adresáři
prohledávaný adresář (lze využít výběr adresáře)
seznam typů souborů (jednotlivé typy jsou oddělené středníkem)
prohledávání podadresářů v zadané cestě

Hledaný text
· hledaný text - text který bude vyhledáván v souborech
· nahradit textem - pokud není zaškrtnuto, bude se pouze vyhledávat. Z bezpečnostních důvodů je při každém zobrazení formuláře zrušeno.
· nahradit textem - všechny výskyty hledaného textu budou nahrazeny zadaným textem
· hledat pouze celá slova - pokud zadáte k hledání řetězec Objekt, nebudou vyhledány a nahrazeny výrazy jako Objekty, MyObjekt apod.
· rozlišovat velikost písmen - určuje, zda velikost písmen hraje roli při hledání

Jak to pracuje
Po specifikaci parametrů je vytvořen seznam souborů a ty jsou následně prohledávány na výskyt řetězce. Pokud nemáte zvoleno nahrazování textu, obsah souboru se nemění. V opačném případě je provedeno nahrazení všech výskytů hledaného textu.
Hledání je kdykoliv možno přerušit klávesou Storno.

Výsledky hledání
Po prohledání souborů a nalezení minimálně jednoho výskytu jsou zobrazeny výsledky hledání na kartě v LOG okně.
Ta obsahuje seznam souborů, ve kterých byl řetězec nalezen. Po kliknutí na jméno souboru dojde k rozbalení a zobrazení řádků, na kterých byl hledaný text nalezen.
Po dvojkliku na řádek dojde k otevření, popř. k přepnutí do souboru a nastavení kurzoru na odpovídající řádek. Výsledky hledání jsou kdykoliv přístupné, mažou se při ukončení programu nebo při zahájení nového hledání

pspad-filefind2

Na co si dát pozor
· nahrazování proběhne po úvodním dotazu bez jakýchkoliv dalších dotazů a budou nahrazeny všechny nalezené výskyty hledaného řetězce ve všech souborech
· hledání je prováděno pouze v souborech na disku, takže je vhodné před spuštěním hledání uložit provedené změny v otevřených souborech, pokud spadají do rozsahu hledání
· Důkladně si rozmyslete, kde a co chcete nahrazovat. Pokud necháte masku souborů na *.*, dojde k nahrazení ve všech souborech, tzn. i v programech (.EXE, .DLL apod.), takže skoro jistě přestanou pracovat. Doporučuji napřed provést hledání bez nahrazení, podívat se, kde se výsky nalezl a pak jako druhý krok provést nahrazení.


 Regulární výrazy

PSPad od verze 3.6.0 podporuje hledání pomocí regulárních výrazů

Co jsou to regulární výrazy ?
Regulární výrazy jsou mocný nástroj pro hledání textových řetězců pomocí vzorů. Speciální předdefinované metaznaky dovolují specifikovat, zda hledaný řetězec leží na začátku nebo na konci textu / řádku, umožňuje specifikovat znaky, který řetězec obsahuje apod.
Z počátku vám to určitě bude připadat složité, ale po seznámení zjistíte, že je to velmi užitečný nástroj.

Jednoduché znaky
Každý znak zastupuje sebe. Je to jako při normálním hledání. Pokud zadáte slovo jelen, bude se hledat "jelen". Escape sekvence začíná znakem \. Existují některé speciální znaky, např. ^, který znamená, že se bude hledat na začátku řádku. Pokud ale budete chtít přímo znak ^, musíte zadat \^. Podobně pro hledání samotného znaku \ je třeba zadat \\.

Escape sekvence
Znaky můžou být specifikovány pomocí escape sekvence. \n je nový řádek, \t tabulátor apod. Znaky je možné také zadat pomocí jejich ASCII hodnoty. \xnn je hledání znaku, kde nn je jeho ASCII hodnota vyjádřená v šestnáctkové soustavě.

\xnn znak s šestnáctkovou ASCII hodnotou nn
\t   tabulátor (stejné jako \x09
\n   nový řádek, stejné jako \x0a
\r   CR, stejné jako\x0d
\f   FF, stejné jako \x0c
\a   BEL, stejné jako \x07
\e   ESC, stejné jako \x1b

Příklady:

jel\x20en najde slovo "jel en" (s mezerou uprostřed)
\tjelen   najde slovo "jelen", před kterým je tabulátor

Skupiny (třídy) znaků
Je možné specifikovat skupiny znaků. Tato skupina je uzavřena v []. Text bude nalezen, pokud vyhovuje jeden znak ze seznamu. Pokud první znak za závorkou je ^, znamená to, že v textu nesmí být obsažen žádný znak ze seznamu.

Příklady:
jel[aei]n najde slova "jelan", "jelen", "jelin"
jel[^ai]n najde slovo "jelen", ale nenajde "jelin", "jelan" atd.

Znak - znamená rozsah znaků. Potom a-z znamená jakýkoliv znak v rozsahu "a" až "z".
Pokud chcete hledat znak - samotný, je třeba jej uvést na začátku / konci seznamu, nebo jej uvést pomocí \.

Příklady:
[-az]     vyhovují znaky "a", "z" a "-"
[az-]     vyhovují znaky "a", "z" a "-"
[a\-z]    vyhovují znaky "a", "z" a "-"
[a-z]     vyhovují všechny znaky v rozsahu "a" až "z"
[\n-\x0D] vyhovují znaky s ASCII hodnotou #10,#11,#12,#13
[\d-t]    vyhovují čísla, "-" a "t"
[]-a]     vyhovuje znak v rozsahu "]" až "a"

Metaznaky - oddělovače řádků
^  začátek řádku
$  konec řádku
\A začátek textu
\Z konec textu
.  jakýkoliv znak

Příklady:
^jelen   "jelen", ale pouze pokud je na začátku řádku
jelen$   "jelen", lae pouze pokud je na konci řádku
^jelen$  "jelen", ale pouze pokud na řádku není nic jiného
jele.n   "jel"jakýkoliv_znak"n"

Metaznaky - předdefinované skupiny
\w písmena včetně "_" an alphanumeric character (including "_")
\W čísla a písmena
\d čísla
\D nečíselné znaky
\s jakákoliv mezera (stejné jako [ \t\n\r\f])
\S nemezerový znak

Příklady:
jel\dn     znamená "jel1n", "jel7n", ale ne "jelen"
jel[\w\s]n znamená "jelen", "jel n", ale ne "jel2n", "jel=n" apod.

Metaznaky - čítače
Jakýkoliv znak může být následován čítačem. Lze tak určit počet výskytů předchozího znaku, metaznaku nebo výrazu.

hladové
*      žádný nebo více výskytů znaku, podobně jako {0,}
+      jeden nebo více výskytů znaku, podobně jako {1,}
?      žádný nebo jeden výskyt znaku, podobně jako {0,1}
{n}    přesně n výskytů
{n,}   nejméně n výskytů
{n,m}  nejméně n-krát, ale ne víc než m-krát
nehladové
*?     žádný nebo více výskytů, podobně jako {0,}?
+?     jeden nebo více výskytů, podobně jako {1,}?
??     žádný nebo jeden výskyt, podobně jako {0,1}?
{n}?   přesně n výskytů
{n,}?  nejméně n výskytů
{n,m}? nejméně n-krát, ale ne víc než m-krát

Příklady:
jel.*n     najde "jelen", "jel87hsgdn", "jeln"...
jel.+n     najde "jelen", "jel87hsgdn", ale ne "jeln"
jel.?n     najde "jelen", "jeln", ale ne "jel87hsgdn"
jele{2}n   najde "jeleen"
jele{2,}n  najde "jeleen", "jeleeen", "jeleeeen"...
jele{2,3}n najde "jeleen", "jeleeen", ale ne "jeleeeen"

Malé vysvětlení o "hladovosti". "Hladový" vrací tolik, kolik je možné. "Nehladový" vrací tak málo, jak je možné. Např. b+ a b* aplikované na řetězec 'abbbbc' vrací 'bbbb', b+? vrací 'b', b*? vrátí prázdný řetězec, b{2,3}? vrátí 'bb', b{2,3} vrátí 'bbb'.

Metaznaky - alternativy
Ve vzoru lze také specifikovat sérii alternativ, jako oddělovač slouží znak |.
Např. jelen|jelan|jelin najde "jelen", "jelan" nebo "jelin" (podobně jako jel(e|a|i)n)
Nezapomeňte ale na to, že znak | uvnitř [] je interpretován jako obyčejný znak !!!
Pokud tedy uvedete [jelen|jelan|jelin], ve skutečnosti jste zadali, že chcete hledat jeden ze znaků "jeln|ai"

Příklad:
jel(en|ínek) najde "jelen" nebo "jelínek"

Metaznaky - vnořené výrazy
Konstrukce (...) může být použita také pro definici vnořených výrazů.

Příklady:
(jelen){8,10}  najde řetězec, který obsahuje 8, 9 nebo 10 výskytů "jelen"
jel([0-9]|e+)n najde "jel0n", "jel3n", "jelen", "jeleen", "jeleeen" ...

Metaznaky - zpětné reference
Metaznaky od \1 do \9 jsou interpretovány jako zpětná reference.

Příklady:
(.)\1+         najde "aaaa" a "cc" (2 a více stejných znaků)
(.+)\1+        najde "abab" a "123123" (opakující se posloupnosti znaků)
(['"]?)(\d+)\1 najde '"13" (v dvojitých uvozovkách) nebo '4' (jednoduchých uvozovkách) nebo 77

Pár příkladů z praxe:

Hledání
· nalezení slov, začínajících na "o": (^|\s)o.*?($\s)
· hledáme 6-místná čísla, která mají na 3.místě "5": \d\d5\d\d\d
· máme sloupec čísel (na každém řádku jedno) a hledáme 2 až 4-místná: ^\d{2,4}$
· hledáme záporná čísla: -\d{1,}
· hledáme čas ve tvaru hh:mm: ([0-9]{2}):([0-9]{2})

Nahrazování
regulární výrazy umožňují použít v nahrazování i části hledaných řetězců. Shluky znaků, uzavřené v závorkách v části hledat jsou vráceny v proměnných $1..$n, takže je možné je použít v nahradit. Viz následující příklady:

· změna formátu data z dd.mm.yyyy na yyyy-mm-dd
hledat: ([0-9]{2}).([0-9]{2}).([0-9]{4})
nahradit: $3-$2-$1
· máme čas ve formátu hh:mm a chceme jej nahradit za mm-hh
hledat: ([0-9]{2}):([0-9]{2})
nahradit: $2-$1
· máme čísla, oddělená ";" a potřebujeme je dostat každé na zvláštní řádek
hledat: ;
nahradit: \n
upozornění: kurzor na konec textu a hledat směrem "vzad"
· chceme v textu umístit každé slovo na zvláštní řádek
hledat: \s+
nahradit: \n
upozornění: kurzor na konec textu a hledat směrem "vzad"

Komplexnější případ z praxe
Měl jsem seznam tagů ve tvaru tag - popis
Potřeboval jsem jej dostat do definice pole ve tvaru a[index] := 'tag';
1. zbavíme se popisu, takže nahradíme -.* za "nic"
2. pomocí vložení číslování do řádků jsem si nechal na začátek každého řádku vložit číslo s dvěmi číslicemi. Takže seznam vypadal nějak takto: nn. tag
3. pomocí dalšího nahrazení ([0-9]{2})\..(.*) za a[$1] := '$2'; jsem dosáhl výsledného tvaru

Pro vysvětlení syntaxe byl použit (přeložen) text z nápovědy k implementaci regulárních výrazů od Andrey V. Sorokina (http://anso.virtualave.net)


 Hledání na Google

Tento dialog slouží jako rozhraní pro internetový vyhledávač Google.
Po vyplnění podmínek hledání a odeslání se otevře váš výchozí prohlížeč a jsou přímo zobrazeny výsledky hledání (samozřejmě podmínkou je připojení k internetu).

Zadávání podmínek je rozděleno do dvou částí.

· jednoduché hledání umožňuje zapsat hledaný výraz (slovo nebo několik slov) a to včetně syntaxe, kterou vyhledávač Google podporuje.
· pokročilé hledání slouží k přesnějšímu zadání výrazu bez znalosti syntaxe Google. Umožňuje dokonce i prohledávat jen obsah konkrétního serveru.
· počet nálezů na stránce je společný pro oba druhy vyhledávání.

Jednoduché vyhledávání má přednost před pokročilým. Takže pokud budete chtít použít pokročilé vyhledávání, je nutno vymazat obsah políčka pro jednoduché vyhledávání. Které hledání je aktivní, poznáte podle tučných popisků před editačními políčky

Tipy:

1. Pokud si před vyvoláním dialogu označíte nějaký text, je přenesen do hledání přesného výrazu
2. Můžete vyhledávání omezit na konkrétní server, některé užitečné servery jsou přednastaveny
3. Pokud chcete otevřít odkaz v novém okně, držte při stisku tlačítka OK stisknutou klávesu SHIFT


Menu zobrazit

 Popis menu - zobrazit

Panely nástrojů
zobrazí nebo skryje jednotlivé panely nástrojů
zobrazí nebo skryje všechny panely

projectshow Nástrojový panel CTRL+F2
zobrazí / skryje strom projektu

Kontrola pravopisu
načte slovník, určený v nastavení pravopisu a pak zvýrazní podtržením slova, která nejsou ve slovníku obsažena. Upozorňuji, že načtení slovníku může chvíli trvat (pro češtinu slovník obsahuje přes 600 000 slov)

Aktuální řádek
umožní zvýraznění aktuálního řádku barvou, nastavenou v parametrech programu

syntaxe Syntaxe
zobrazí nebo skryje zvýraznění syntaxe

linenum Čísla řádků
zobrazí nebo skryje čísla řádků

wordwrap Zalomení řádků
pokud řádek přesahuje rozměry okna editoru, bude zalomen na další řádek. Pozor ! Při zalomení řádků je znepřístupněna volba sloupcových bloků. Tato funkce je zakázána, pokud je povolena funkce Mazat mezery na konci řádků

specchars Netisknutelné znaky
při zapnutí této volby se zobrazí mezery, konce řádků apod.

ruller Pravítko
zobrazí pravítko, které umožní lepší orientaci v textu (zobrazuje počet znaků)

hexdump Hexadecimálně
přepne zobrazení dokumentu na hexadecimální a zpět. Návrat z hexadecimálního zobrazení je možný též pomocí pravého tlačítka myši na liště s názvy souborů.

Zobrazení znaků MSDos
umožní zobrazit text pomocí znaků, používaných v příkazovém řádku - využitelné např. na prohlédnutí souborů .NFO apod.

stayontop Vždy nahoře
po nastavení této možnosti zůstane PSPad stále nahoře, nepřekryjí jej jiná okna

syntx Změna syntaxe
změní u otevřeného souboru zvýrazňovač syntaxe. Pokud jde o dosud neuložený soubor, změní se typ souboru


Menu formát

 Popis menu - formát

Pokud je soubor pouze pro čtení, jsou funkce, které mění obsah souboru zakázány

font Písmo
Změna písma a jeho vlastností pro editor

Velikost písmen
lower Na velká písmena CTRL+ALT+U
upper Na malá písmena CTRL+ALT+L
capitalize První písmena velká CTRL+ALT+C
Inverzně
Začátky vět velké
Změní velikost písmen v celém textu nebo označeném bloku. Po volbě první písmena velká budou velká písmena na začátku každého slova.

Formátování bloku
formatting increase indent Zvětšit odsazení SHIFT+CTRL+I
formatting decrease indent Zmenšit odsazení SHIFT+CTRL+U
Zvětší nebo zmenší odsazení vybraného bloku. Aby byla funkce přístupná, je nutno mít označený blok.

Přeformátovat text CTRL+K
Přístupné při vypnutém zalamování řádků
Přeformátuje text podle nastaveného pravého okraje. Při přeformátování dochází k zrušení konců řádků a nadbytečných mezer.
Pokud je text označen, přeformátuje označený text. Při neoznačeném textu přeformátuje aktuální odstavec. Jako oddělovač odstavců slouží prázdný řádek.
Pokud chcete přeformátovat odstavec na šířku 40 znaků, stačí kliknout na pravítko na čísle 40, tím se nastaví pravý okraj a stiskem kláves Ctrl+K dojde k přeformátování odstavce
Alternativou je SHIFT+CTRL+K, které také slouží k přeformátování, ale za konec odstavce považuje řádek kratší, než nastavený pravý okraj

Zarovnat vlevo CTRL+ALT+Left
Celý text nebo vybraný blok bude zarovnán doleva. Funkce je přístupná při vypnutém zalamování řádků.

Zarovnat vpravo CTRL+ALT+Right
Celý text nebo vybraný blok bude zarovnán doprava. Funkce je přístupná při vypnutém zalamování řádků.

Zarovnat na střed
Celý text nebo vybraný blok bude zarovnán na střed. Funkce je přístupná při vypnutém zalamování řádků.

Zarovnat do bloku
Označený text bude doplněn o mezery tak, aby byla zarovnána i pravá strana textu

Formátování kódu
Nástroj umožňuje měnit velikost písmen libovolné části zdrojového kódu. Označíte si části (jednu nebo více), které chcete upravit a zvolíte si velikost písmen

Přidat/odstranit komentář SHIFT+CTRL+A
Přidá nebo odebere ze začátku každého řádku v označeném bloku řetězec komentáře, který je specifický pro daný programovací jazyk. Pracuje pouze v případě, že programovací jazyk podporuje tento typ komentářů

Automatická detekce CP
Program se při otevírání souboru pokusí o automatickou detekci kódové stránky

Windows 1250
Kamenických
Latin II
ISO 8895-2
UTF-8
UTF-16LE
UTF-16BE
Tyto volby slouží k ručnímu nastavení kódové stránky a dají se využít pro konverzi kódových stránek

Formát souboru
DOS
UNIX
MAC
Různé systémy používají různé typy oddělovačů konců řádků. Pro DOS je to CR+LF, UNIX používá LF, MAC zase pouze CR. Takže od verze 3.1.7 máte možnost na stavovém řádku vidět typ souboru (který zůstane zachován při ukládání) a navíc máte možnost přes toto menu formát změnit a při uložení dojde ke konverzi.


Menu nástroje

 Popis menu - nástroje

Seznam šablon Ctrl+Space
Zobrazí okno se seznamem šablon kódu, odpovídajícím danému jazyku. Bližší popis najdete v samostatné kapitole

Automatické dokončování Ctrl+J
automatické dokončování libovolného slova. Před vyvoláním funkce je třeba napsat minimálně jedno písmeno. Seznam, který se nabídne je vytvořen z dosud napsaného textu, ze šablon kódu (soubory *.DEF) sekce [KeyWordList] a seznamů klíčových slov uživatelských zvýrazňovačů

Poslední příkaz Alt+Q
Zopakuje poslední příkaz programu

Pravopis F7
Načte slovník (pokud již není načten) a začne od pozice kurzoru s kontrolou pravopisu. Slovníky pro kontrolu pravopisu musí být uloženy v podadresáři .\Spell ve tvaru jazyk.n-n-n.dic (prostřední část názvu je verze souboru)

Makra
makrorecord Záznam makra CTRL+F5
Spustí/ukončí záznam makra. Po ukončení záznamu jste dotázáni na jméno makra a makro bude pod tímto jménem uloženo. Pomocí Makro manažera můžete přiřadit makrům horké klávesy a jednoduše je tak spouštět.
Makro manažer
Jak již název napovídá, manažer je určen ke správě uložených maker. Máte zde možnost makra přehrát, přehrát vícekrát, smazat, editovat nebo jim přiřadit jim klávesové zkratky. Přehled použitelných příkazů najdete zde. Doporučení pro nastavení barev zvýrazňovače pro editaci maker je v kapitole o makrech

makroplay Přehrát makro F5
Pod touto funkcí se skrývá možnost spustit jedno ze čtyř maker, ke kterým je přístup pomocí klávesové zkratky. Podrobnosti k práci s makry ve zvláštní kapitole

Šablona z bloku CTRL+Alt+Space
Umožní rychlé vytvoření šablony z označeného textu. Tato šablona je uložena do soubor šablon, příslušejícího k syntaxi otevřeného souboru. Povoleno, pokud je nastaven zvýrazňovač (tedy ne pro TXT soubory)

Rozdíly v textu
PSPad umožňuje porovnat 2 textové soubory a barevně rozlišit rozdíly v textu. Podrobnosti viz kapitola o porovnávání souborů

Porovnat se souborem
Aktuální soubor je porovnán se souborem, který je vybrán pomocí dialogu

Porovnat s obsahem na disku
Aktuální soubor bude porovnán se svým obsahem na disku. Takže rychle vidíte změny od posledního uložení.

Porovnání dvou otevřených souborů
Pokud potřebujete porovnat dva otevřené soubory, klikněte pravým tlačítkem na panelu souborů nad jménem souboru, který chcete porovnat s aktuálním a vyberte Porovnat se souborem

Průzkumník kódu SHIFT+CTRL+E
slouží k rychlé orentaci v kódu. Zatím je napsán parser pouze pro některé typy souborů (HTML, XML, Pascal, INI)

ASCII tabulka ALT+A
Zobrazí ASCII tabulku. Tabulka umožňuje vkládat znaky do editovaného textu a tisk tabulky. Tabulka obsahuje i HTML entity

paleta Výběr barvy ALT+C
Otevře dialog pro výběr barvy s možností vložení přímo do textu na dvojklik myši. K dispozici jsou následující palety: bezpečné barvy, 16 barev a stupně šedé.

Zobrazit barvu
Pokud je tato funkce vyvolána nad výrazem, který je informací o barvě (např. white, #124377) v dialogu je zobrazeno jméno a číselné vyjádření barvy, zobrazen náhled barvy a vyjádření v RGB a CMYK

Kapátko
Pomocí této funkce můžete sejmout jakoukoliv barvu z obrazovky. Při zavolání funkce se skryje okno editoru a obsah obrazovky se zmrazí. Kurzorem ve tvaru kříže je možno sejmout barvu, která je pak uložena do schránky ve formátu HTML.
Pokud je otevřen editor, je barva v HTML formátu vložena na pozici kurzoru.

Monitorovat schránku
Pokud je volba aktivní, jsou zachyceny všechna kopírování do schránky v systému Windows a obsah je skládán do zvláštního okna. Zde je možné pracovat s histoií schránky

Příkazový řádek
Umožňuje přímo spouštět příkazy podobně jako příkazový řádek ve Windows (menu Start / Spustit). Navíc můžete použít přímo příkazy, které vám zprostředkovává Command interpretr (Command.COM nebo CMD.EXE) jako DIR apod. a zachytávat výstup příkazu.

Generátor otisku
Otisk se používá k jednoznačné identifikaci (autorizaci) řetězce, souboru apod. PSPad umožňuje vytvářet a ověřovat následující otisky: MD4, MD5, SHA1, RipeMD160

Lorem Ipsum generátor
Nástroj vygeneruje náhodný text podle zadaných parametrů. Používá se jako výplňový text při návrhu HTML designu. Slova se berou ze souborů. umístěných v adresáři .\Spell\Lorem*.TXT

Přepočet číselných soustav
Nástroj provádí přepočet mezi desítkovou, šestnáctkovou, dvojkovou, římskou a definovanou (trojkovou až patnáctkovou) soustavou

Výpočty v bloku
Tato funkce vám zobrazí výsledky základních matematických operací z označeného bloku čísel

Výpočet výrazu
Vypočítá zadaný nebo označený výraz v editoru. Podobnosti najdete v

Uživatelské konvertory
Pomocí externího souboru je možno vytvořit uživatelský konvertor. Podrobnosti o způsobu tvorby a použité syntaxi konvertoru najdete ve zvláštní kapitole .

Použij vybraný konvertor
Pokud potřebujete konvertovat více souborů, doporučuji vám přiřadit si klávesovou zkratku k této funkci. Konverze je pak provedena jedním stisknutím klávesy.

Systémové soubory
Možná znáte program MSConfig, který otevře současně soubory Autoexec, Config, System.INI a Win.INI. Tak tato volba udělá přesně totéž, jsou otevřeny všechny 4 soubory a to se zvýrazněnou syntaxí.
Volba je přístupná pouze v případě, že je povoleno otevírat více souborů současně.


 Kontrola pravopisu

Od verze 3.5.8 umožňuje PSPad kontrolu pravopisu.
Kontrola je nezávislá na instalaci MS Office, PSPad využívá vlastní slovníky. Slovníky jsou zdarma ke stažení na www.PSPad.com (čeština, slovenština, angličtina, dánština, němčina, italština, japonština, latina, polština, ruština, španělština, turečtina...)

Instalace slovníku:
1. V adresáři, kde je instalován program PSPad, by měl existovat podadresář SPELL. Pokud neexistuje, vytvořte jej.
2. Stažený soubor xxx.CAB rozpakujte (jedná se o archivní soubor, podobně jako .ZIP) do adresáře SPELL

Poznámka:
V systémech NT (Windows NT, 2000, XP) tuto operaci může provést pouze uživatel s administrátorskými právy nebo s právy správce počítače

Jak to pracuje:
Při prvním použití je načten slovník. Může to chvilku trvat, protože slovníky obsahují i 100000 slov. Pak je celý text procházen a pokud slovo není nalezeno ve slovníku, je označeno.
Kromě hlavního slovníku (.\Spell\Jazyk.verze.DIC), jsou slova, přidávaná do slovníku při kontrole ukládána do tzv. uživatelských slovníků. Při načtení slovníku se načítá i uživatelský slovník, pokud je k dispozici.
Tím je zajištěno, že se systém vlastně při kontrole učí nová slova. Uvědomte si ale, že to není všemocné. Existují slova, která se liší jen diakritikou nebo posledním písmenem. Použití takového slova na nesprávném místě kontrola pravopisu neodhalí.
Např: Věta má znít: "Koupil jsem mámě kolo". pokud místo toho napíšete "Koupil jsem máme kolem", kontrola pravopisu to neodhalí.
Ve zdrojovém kódu jsou opravována pouze slova, která mohou obsahovat text. Nebudou opravována klíčová slova, jména proměnných apod.
Nastavení kontroly, volba slovníku atd. najdete v menu nástroje / nastavení kontroly pravopisu.

Kontrola pravopisu pracuje ve dvou režimech:

Zvýraznění neznámých slov
Po aktivaci (menu zobrazit nebo ikona na panelu nástrojů) jsou slova, která nejsou obsažena ve slovníku podtržena. Slouží k rychlé orientaci nebo ruční opravě chyb

Procházení s opravou
Postupně jsou od pozice kurzoru procházena neznámá slova a je zobrazován dialog, ve kterém jsou nabídnuty možné tvary s možností následujících akcí:
· přeskočit - přechod na další neznámé slovo
· přeskakovat - všechny výskyty tohoto slova budou ignorovány
· přidat do slovníku - použije se v případě, že slovo je v pořádku a není obsaženo ve slovníku
· zaměnit - slovo bude zaměněno za slovo, uvedené v editačním políčku
· zaměnit + přidat - jako zaměnit, ale slovo přidá do slovníku

Doplnění diakritiky
Vedlejším produktem použití slovníku je doplnění diakritiky do holého ASCII textu. Pokud máte text bez háčků a čárek, můžete do něj doplnit háčky a čárky volbou z menu Nástroje / Konverze textu / Doplnit diakritiku

Prosba
Byl bych vám vděčný, za zaslání vašich uživatelských slovníků. Budou sloučeny s hlavním slovníkem a přispějete tak k lepší kvalitě kontroly pravopisu a tím i celého programu.


 Pravopis - nastavení

Nastavení kontroly pravopisu
O kontrole pravopisu pojednává samostatná kapitola.

Slovník
volí se jazyk slovníku

Styl zvýraznění
styl podtržení neznámých slov (MS word, Corell WordPerfect)

Ignorovat jednoznaková slova
slova obsahující pouze jedno písmeno budou ignorována

Igorovat slova s čísly
slova, obsahující čísla budou ignorována

Automatické opravy
Od verze 3.2.3 PSPad umožňuje automatické opravy.

Jak to pracuje ?
Automatické opravy pracují se seznamem slov, který obsahuje řetězec, který se má nahradit a řetězec kterým se má původní nahradit. Jakmile napíšete slovo, které se vyskytuje v prvním seznamu, editor jej nahradí. Nahrazení je provedeno až po zapsání dalšího znaku - oddělovače slov (mezerník, závorka atd.)

Co to znamená, kdy to využít ?
Stává se, že se často pletete v tom samém slově. Proč pak nenechat na editoru, aby tyto překlepy opravoval sám ?
Dalším případem je zrychlení psaní zdrojových kódů. Třeba v HTML často používám <li>. Proč nenechat editor, aby po napsání li doplnil okolo závorky ? Nebo existuje často využívaná funkce s dlouhým jménem např. IncludeTrailingBackSlash. Mohu využít automatické opravy a po napsání slova itb si jej nechat "opravit" na celé jméno funkce.
Další možnosti určitě vymyslíte sami.

Kde je to uloženo ?
Seznam slov je uložen v souboru AutoCorr.TXT, který je umístěn ve stejném adresáři jako PSPad.EXE.
Je to obyčejný textový soubor se strukturou:
co nahradit|čím nahradit


 Vyhodnocení výrazu

PSPad obsahuje nástroj, který umožňuje vyhodnocování matematických výrazů - obdoba kalkulačky
Použít jej můžete dvěmi způsoby:
· vyvolat jej a zadat výraz
· označit výraz v textu a vyvolat nástroj

Výsledek je možné dosadit do textu pomocí tlačítka Vložit.

Použitené funkce:

    +       sčítání
    -       odčítání
    *       násobení
    /       dělení
    ^       mocnina (mocnitel pouze kladná čísla)
    (       otevřená závorka
    )       uzavřená závorka
   MOD      celočíselné dělení

   ABS      (rozsah: -1e4932..1e4932)
   ATAN     (rozsah: -1e4932..1e4932)
   COS      (rozsah: -1e18..1e18)
   EXP      (rozsah: -11356..11356)
   LN       (rozsah: 0..1e4932)
   ROUND    (rozsah: -1e9..1e9)
   SIN      (rozsah: -1e18..1e18)
   SQRT     (rozsah: 0..1e4932)
   SQR      (rozsah: -1e2446..1e2446)
   TRUNC    (rozsah: -1e9..1e9)

Tip: pokud chcete Y-tou odmocninu z čísla X, použijte výraz: X^(1/Y)


Konvertory

 Uživatelské konvertory

Konvertor slouží k automatickému nahrazení písmen, slov nebo částí řádků za jiné a to obousměrně.
PSPad od verze 3.4.5 umožňuje definici konvertoru pomocí externího souboru.

Umístění souborů
V podadresáři Convert a jedná se o soubory s příponou .INI
V adresáři by měl být i soubor Template.IN_, který je vlastně vzorem šablony. Stačí jej tedy zkopirovat na něco.ini a upravit.
Seznam konvertorů najdete v nabídce: Nástroje \ Konverze textu \ Konvertory

Syntaxe konvertoru
;za středníkem se nachází komentář - nepovinné
;tučnou černou barvou jsou označena jména sekcí - neměnné
;červeně označené texty jsou neměnné
[Description]
;popis konvertoru (zobrazí se v menu)
ForwardName=Znaky na UNICODE HTML entity (WML)
BackwardName=UNICODE HTML entity na znaky (WML)
;ignorovat velikost písmen pro jednotlivé směry
;povolené hodnoty jsou 1 (ano) nebo 0 (ne)
ForwardIgnoreCase=0
BackWardIgnoreCase=0
;určuje zda budou použity konverzní tabulky nebo konverze nahradou řetězce řetězcem
;povolené hodnoty jsou 1 (konverzní tabulka) nebo 0 (nahrazování řetězců)
CharTable=0
;sekce obsahující definici co se bude převádět na co
;jednotlivé části jsou odděleny znakem |
[Conversion]
Š|&#x0160;
Ś|&#x015A;
Ť|&#x0164;
;zde je seznam ASCII hodnot znaků, které budou před konverzí odstraněny
[Remove chars]
10
12
;a zde je konverzni tabulka. Čísla znamenají ASCII hodnoty znaků.
;při směru konverze vpřed bude znak vlevo nahrazen znakem vravo,
;při zpětné konverzi opačně.
[Table]
134=64
135=12

Konverzní tabulku nebo nahrazování řetězců ?
To záleží na tom, co má konvertor dělat.
Pokud chci nahrazovat znak jiným znakem, rozhodně bude rychlejší a přesnější použít konverzní tabulku.
Pokud chci znak nahradit několika znaky (HTML entity), jsem nucen použít nahrazování řetězců.
Jestli bude použito nahrazování řetězců nebo konverzní tabulka, záleží na proměnné CharTable

Jak pracuje konverzní tabulka
Konvertor pracuje buď s označeným nebo celým textem.
Celý řetězec je procházen znak po znaku a nahrazován odpovídajícím znakem z konverzní tabulky, definované v sekci [Table]

Jak pracuje nahrazování řetězců
Konvertor pracuje buď s označeným nebo celým textem.
Na text jsou aplikovány všechny řádky ze sekce [Conversion]
Uvědomte si, že to může být pro dlouhé texty a dlouhé definici konvertoru časově náročné.

Úskalí definice řetězců
Jak je výše psáno, aplikují se na každý řádek všechny řádky konverze.
Hloupé příklady definice:

[Conversion]
B|A
A|B

V tomto případě se jakoby nestane nic, protože všechna písmena B jsou nejprve nahrazena za písmena A a pak všechna písmena A jsou nahrazena zpět na písmena B. Takováto definice je nesmyslná a navíc by se pro konverzi znaků lépe hodila konverzní tabulka.

[Conversion]
jelen|srnec
jeleni|srnci

V tomto případě konvertor bude pracovat opět chybně. Pokud se v textu vyskytuje slovo "jeleni", bude jeho část "jelen" nahrazena slovem "srnec" a výsledek bude "srneci", místo požadovaného "srnci". V tomto případě stačí prohodit řádky v definici.


 Porovnávání obsahu souborů

PSPad od verze 3.5.5 umí porovnávat obsahy dvou textových souborů.

Jak to pracuje:

Otevřete si nějaký soubor, dále nazýván jako soubor1
Z menu Nástroje vyberete Porovnat se souborem. Tento soubor bude nazýván soubor2
Po výběru souboru je provedeno porovnání a zobrazeno nové okno, rozdělené na poloviny. Obě části okna mají společný posun.
Soubor1 se nachází v levé polovině, soubor2 v pravé polovině.
Do obou souborů jsou doplněny řádky tak, aby obsah obou oken odpovídal.
Tyto dva zobrazené soubory nelze editovat, ani s nimi provádět žádné další oprace. Je možné je pouze prohlížet a kopírovat z nich text.

Jsou robrazeny tři druhy rozdílů, každý odlišným pozadím řádku. Rozdíly jsou brané vzhledem k souboru1.

textdiff

· řádky jsou v obou souborech, ale liší se obsahem
· řádky, které nejsou v souboru2
· řádky, které nejsou v souboru 1

Pohyb po změnách

· předchozí změna Shift+Ctrl+šipka nahoru
· další změna Shift+Ctrl+šipka dolů

A jak s tím dál pracovat ?

Je možné pomocí klávesy Ctrl+pravého tlačítka myši kliknout na původní soubor na panelu souborů. Tím se nám okno dále rozdělí a ve spodní části máme soubor připravený k editaci.


Menu Skript

 Menu - Skript

PSPad od verze 4.3.3 podporuje skriptování (uživatelské rozšiřování programu pomocí skriptů) pomocí MS Windows Scripting host (WSH). Znamená to, že pokud chcete tuto funkci PSPadu používat, musí být WSH povoleno v operačním systému.
WSH nepodporuje pouze VBScript a JavaScript (jsou součástí WSH), ale je možné doinstalovat podporu pro mnoho dalších skriptovacích jazyků. Ke stažení jsou např. na této internetové stránce: Windows Scripting Languages

Skripty jsou organizovány v podadresářích adresáře Script podle jednotlivých jazyků. Neukládejte do techto podadresářů jiné soubory než skripty v odpovídajícím jazyku !!! Jinak bude docházet k chybě při kompilaci skriptů.

Je možné napsat knihovny funkcí - skripty mohou používat funkce vzájemně.

globální funkce

addMenuItem caption, submenu, procedure [, klávesová zkratka]: string
vytvoří položku v menu Skript. Pokud nechcete vytvářet podmenu, nechejte odpovídající parametr prázdný. Tato funkce je použitelná pouze v proceduře INIT a pracuje pouze ve fázi inicializace skriptu. Veškeré další volání funkce je ignorováno. Klávesová zkratka je nepovinná

echo(text: string)
informační okno s textem a tlačítkem OK
sleep(ms: integer)
pozastaví provádění skriptu na zadaný počet milisekund

pspadVersion(): string
vrací verzi PSpadu
moduleExists(name: string):boolean
vrací True, pokud modul existuje
moduleVersion(name: string):string
vrací verzi modulu, pokud modul neexistuje, vrací prázdný řetězec
moduleFileName(name: string):string
vrací jméno modulu, pokud modul neexistuje, vrací prázdný řetězec
modulePath():string
vrací cestu k modulu včetně posledního lomítka
closeEditorByTitle(file_name: string): boolean
zavře editor podle jména souboru
closeEditorByIndex(index: integer): boolean
zavře editor podle indexu
closeAllEditors
zavře všechny editory

newEditor(): object
vytvoří nový objekt pro ovládání editoru

funkce objektu editor

assignEditorByName(file_name: string): boolean
přiřadí k objektu okno editoru podle jména souboru
assignEditorByIndex(index: integer): boolean
přiřadí k objektu okno editoru podle indexu
assignActiveEditor(): boolean
přiřadí k objektu okno aktivního editoru
assignLog(): boolean
přiřadí k objektu LOG okno
newFile([file_name: string]): boolean
vytvoří nové okno v PSPadu a přiřadí je k objektu
openFile(file_name: string): boolean
otevře soubor
saveFile(): boolean
uloží soubor
saveFileAs(file_name: string): boolean
uloží soubor jako
reloadFile(): boolean
provede znovunačtení souboru
closeFile(): boolean
zavře soubor
printFile(print_dialog: boolean)
vytiskne soubor
activate
přesune vybraný editor do popředí
text(string):string
vrátí nebo nahradí celý text v editoru
selText(string): string
vrátí nebo nahradí označený text v editoru
lineText(string): string
vrátí nebo nahradí text aktivního řádku
linesCount(): integer
vrátí počet řádků v editoru
appendText(string): boolean
přidá text na konec editoru
fileName(string): string
vrátí/nastaví jméno souboru editoru
command(editor_command: string): boolean
spustí příkaz editoru ()
setCaretPos(x: integer; y: integer): boolean
nastaví pozici sloupce a řádku kurzoru. Hodnota -1 nemění pozici
caretX(integer): integer
vrátí/nastaví kurzor na daný sloupec
caretY(integer): integer
vrátí/nastaví kurzor na daný řádek

vb script - příklad

' vytvoří nové okno a zkopíruje celý text z prvního okna
' uloží nové okno do souboru C:\SAMPLE.TXT
const module_name  = "sample"         'toto jméno musí být unikátní
const module_desc  = "Sample script"  'popis modulu
const module_ver   = "0.001a"         'verze modulu

sub Main                              'hlavni procedura
  dim obj1, obj2, s                   'definice proměnných  pspadVersion
  msgbox "PSPad version : " & pspadVersion()
  msgbox "Module version: " & moduleVersion("sample")
  set obj1 = getNewEditor()           'vytvoříme nový objekt editoru
  set obj2 = getNewEditor()           'vytvoříme nový objekt editoru
  obj2.assignEditorByIndex(0)         'přiřadíme okno v PSPadu s indexem 0
  obj1.NewFile()                      'otevřeme nové okno v PSpadu
  s = obj2.getText                    'načteme celý obsah 1.okna
  obj1.settext(s)                     'vložíme text do nového okna
  ' postup, jak přistupovat k jednotlivým řádkům
  dim item
  for each item in obj1
    MsgBox item
  next
  obj1.saveFileAs("C:\sample.txt")     'uložíme do souboru
  obj1.closeFile                       'zavřeme okno v PSPadu
end sub

sub Demo1
  msgbox "You run Demo1 from sample script"
end sub

sub Demo2
  msgbox "You run Demo2 from sample script"
end sub

' vytiskne všechna otevřená okna, před prvním oknem zobrazí dialog na nastavení tiskárny
sub PrintAll
  set obj = NewEditor()
  for i = 0 to editorsCount - 1
      obj.assignEditorByIndex(i)
      if i = 0 then
         obj.printFile(True)
      else
         obj.printFile(False)
      end if
  next
end sub

' jméno INIT je povinné. tato funkce je volána automaticky při inicializaci skriptu.
' používá se hlavně pro vytváření položek v menu
sub Init
  addMenuItem "Main from Sample", "", "Main"
  addMenuItem "Print all files","", "PrintAll", "Shift+Ctrl+P"
  addMenuItem "Demo1 from Sample","Sample - submenu", "Demo1"
  addMenuItem "Demo2 from Sample","Sample - submenu", "Demo2"
end sub


Menu HTML

 Popis menu - HTML

Náhled HTML stránky F10
Zobrazí / skryje náhled stránky v interním prohlížeči. Pokud zůstane náhledové okno na pozadí, bude v intervalu, který je nastaven v nastavení programu / editor náhled občerstvován
Interní prohlížeč od verze PSPadu 4.2.9 umožňuje náhled i pomocí jádra prohlížeče Mozilla. Pokud chcete tuto možnost využívat, je nutné doinstalovat Mozilla ActiveX control, který bohužel není součástí prohlížeče Mozilla.
Přepínání mezi zobrazením pomocí IE a Mozilla je možno kdykoliv pomocí prvního tlačítka na panelu nástrojů

Náhled HTML stránky dovede zobrazit i soubory s JavaScriptem, takže jej můžete použít i pro ladění

Náhled HTML z web serveru Shift+Ctrl+F10
Slouží k zobrazení stránek z lokálního webového serveru. Pojmenování DocumentRoot pochází z konfiguračního souboru pro umístění dokumentů na serveru Apache.
Cesta k adresáři DocumentRoot je definována v nastavení programu / internet.Při tomto zobrazení je nahrazena část lokální cesty k souboru adresou http://server/
Takže při výchozím nastavení je DocumentRoot nastaveno na C:\Apache\HTDocs a tam jsou uloženy soubory.
Pokud zobrazíme zde uložený soubor pomocí obyčejného náhledu HTML stránky (viz výše), zobrazí se s cestou file://localhost/c:/apache/htdocs/soubor.htm. Při použití náhledu z DocumentRoot bude do interního prohlížeče předán s cestou http://localhost/soubor.htm. Takže lze snadno zobrazovat i PHP apod.

htmlreformat Přeformátovat HTML kód
Tento nástroj přeformátuje HTML kód tak, aby byl lépe čitelný. Hierarchicky odsadí bloky textu, ohrazených tagy. Skripty a komentáře nechává beze změn.
htmlcompres Komprese HTML kódu
Pomocí tohoto nástroje jsou z HTML kódu odstraněny zbytečné mezery, konce řádků apod. Řádky jsou ukončeny po počtu znaků, nastaveném v Nastavení HTML. Skripty a komentáře jsou ponechány beze změn. Účelem je jednak zmenšením kódu zvýšit rychlost načítání v prohlížeči a jednak také znepřehlednit čtení kódu.
Volba je přístupná pouze pro soubory typu HTML
tagupper Tagy na velká písmena
taglower Tagy na malá písmena
Změní velikost písma na velká nebo malá pouze pro HTML tagy

Přeformátovat na strukturovaný CSS
Přeformátovat na řádkový CSS
Tyto funkce nástroj přeformátuje CSS kód tak, aby byl lépe čitelný

Top Style
TopStyle (free verze TopStyleLite) je špičkový CSS editor, integrovaný v mnoha známých HTML editorech, nyní i v PSPadu. Pro funkci je nutno stáhnout a nainstalovat free verzi TopStyle Lite. Označíte si text (u CSS souborů to není nutné, pokud není označen, přenese se celý) a zavoláte TopStyle. Otevře se nové okno, do kterého je přenesen označený text. Po editaci máte možnost tlačítkem Done opravený text přenést do editoru nebo tlačítkem Cancel editaci zrušit.

Import z RTF
Umožní jednoduchý text, zapsaný ve formátu RFT zkonvertovat do HTML. Pak doporučuji pustit funkci TiDy clean document, která dokument přeformátuje a převede na CSS

Import z CSV
Importuje soubor CSV a převede jej do tabulky v HTML. Nastavení parametrů importu (oddělovací znaky, kódování) najdete v Nastavení programu

Konverze
html2txt Odstranit tagy
Tento nástroj "vyzobe" z HTML kódu text a zobrazí jej v novém TXT souboru. Vhodné pro informativní zobrazení obsahu stránky.
Text na HTML
"Obalí" prostý text HTML obálkou, za každý řádek vloží tag <br>
Výběr na JavaScript
Změní vybraný text na zápis pomocí funkce JavaScriptu Document.Write()
Výběr na PHP
Změní vybraný text na obsah proměnné, kterou si zadá uživatel

Kontrola HTML      CTRL+F10
Pouze zkontroluje aktuální dokument na formální správnost kódu (neprovádí změny) a v LOG okně vypíše chyby a varování

TiDy funkce
Tyto funkce jsou dostupné v závislosti na obsahu souboru TiDyCFG.INI. Více v kapitole o


 TiDy - manipulace s HTML

Co je to vlastně TiDy ?
TiDy je knihovna funkcí pro formátování, čištění, kódování atd. HTML kódu.
Tuto knihovnu najdete v každém lepším editoru, který to s HTML myslí opravdu vážně.
Tato knihovna je plně integrována v PSPadu. Pro práci s touto knihovnou je třeba mít soubor TiDy.exe v adresáři, ve kterém je PSPad.exe
Možnosti využití knihovny můžete sami rozšiřovat pomocí konfiguračního souboru TiDyCFG.ini. Každá sekce (text v hranatých závorkách) vytvoří v menu HTML jednu položku při spuštění PSPadu.
Po přidání nebo přejmenování sekce je třeba PSPad restartovat, při změně obsahu to není třeba. Sekce obsahuje nastavení chování knihovny. Český popis nastavení najdete na adrese http://www.pspad.com/cz/tidy.htm

K čemu je TiDy v PSPadu ?

Kontrola HTML (Ctrl+F10)
umožňuje analyzovat a najít chyby v HTML kódu
TiDy clean document
umožňuje vyčistit a opravit HTML kód, včetně odstranění balastu, zaneseného nástroji Microsoftu, převede dokument na CSS
TiDy upgrade to CSS
převede váš dokument na kaskádové styly
TiDy convert to XML
převede dokument do formátu XML
TiDy convert to XHTML
převede dokument do formátu XHTML

Další možnosti si můžete přidat rozšířením souboru TiDyCFG.ini


Menu nastavení

 Popis menu - nastavení

settings Nastavení programu
Tato volba slouží k nastavení parametrů programu a také pro vlastní nastavení barev a písma zvýrazňovačů syntaxe. Podrobněji popsáno ve zvláštní kapitole .

Nastavení zvýrazňovačů
Umožňuje konfiguraci barev, externích programů, kompilátoru pro jednotlivé zvýrazňovače. Podrobnosti v kapitole o nastavení zvýrazňovačů

Vlastní zvýrazňovač
PSPad umožňuje velmi snadno nadefinovat vlastní zvýrazňovač. Pokud tedy chete zvýraznění syntaxe pro prostředí, které není součástí distribuce, čtěte zde .

Uložit pozici hlavního okna
Pokud použijete tuto funkci, PSPad uloží pozici aktuální hlavního okna a vždy po spuštění bude otevřen v této pozici. Funkce vypne volbu Nastavení programu / [x]Automaticky ukládat pozici hlavního okna

Editace šablon
Zobrazí nabídku šablon a po výběru otevře soubor šablon k editaci

Klávesové zkratky šablony
Ke každé šabloně kódu je možno přiřadit horkou klávesu, kterou se dá šablona vyvolat. Zde najdete seznam nastavených zkratek. Volba je přístupná pouze v případě, že nějaké klávesové zkratky existují

Proměnné programu
Obsahují statické proměnné, které je možno použít v šablonách. Kromě předdefinovaných proměnných (jméno souboru, datum, čas...) je možno přidávat/editovat/mazat další proměnné

Nastavení pravopisu CTRL+F7
Nastavení kontroly pravopisu a automatických oprav.


Menu okno

 Popis menu - okno

projfilemain Hlavní soubor Ctrl+M
označením souboru jako hlavního způsobí, že v externím programu se bude otevírat tento soubor, bez ohledu, který máme aktivní. Představte si např. editaci HTML stránek, kde hlavní označíme INDEX.HTML a editujeme nějakou podstránku. Po otevření v prohlížeči se zobrazí hlavní stránka.
Opětovným stiskem CTRL+M nebo výběrem z menu dojde ke zrušení označení

logwindow Zobrazit/skrýt LOG
LOG je okno, které je na spodní straně obrazovky a obsahuje zprávy kompilátoru o průběhu kompilace. Podrobnější informace o kompilátoru najdete v samostatné kapitole

Přechod editor / LOG Alt+L
umožňuje pomocí klávesové zkratky přecházet mezi oknem editoru a LOGu (popř. projektu, pokud není zobrazen LOG)

Automatické občerstvování
Umožní automatické občerstvování aktuálního souboru (třeba LOG souboru) po zadaném intervalu (viz parametry programu). Refresh se provádí pouze v případě, že soubor je zobrazen. Občerstvení se provede i v případě, kdy dojde k přepnutí do dokumentu určeného pro občerstvování. Takový soubor je indikován v panelu se seznamem souborů zelenou barvou jména.
Při občerstvení je proveden vždy skok na konec souboru.

Rozdělit svisle
Rozdělit vodorovně
rozdělí aktuální okno příčkou na poloviny. Pro zrušení rozdělení zavolejte znovu tuto funkci

Další okno CTRL+Tab
Předchozí okno SHIFT+CTRL+Tab
umožňuje pohyb mezi okny pomocí klávesnice

Kaskáda
Pod sebou
Vedle sebe
Dlaždice
tyto volby slouží k rychlému uspořádání oken na pracovní ploše PSPadu (pokud je otevřeno více oken)


Menu nápověda

 Popis menu - nápověda

Obsah
zobrazí se hlavní stránka nápovědy popisující vlastnosti aplikace, tipy na efektivní práci, nastavení, a další

Nejčastější dotazy
zobrazí se stránka nápovědy řešící nejčastější problémy s aplikací PSPad

Popis změn
popis změn od minulé verze - co je nového, jaké chyby byly odstraněny atd.

Nápověda k prostředí
v nastavení zvýrazňovače na druhé záložce můžete přiřadit ke každému zvýrazňovači externí soubor s nápovědou. Po vyvolání nápovědy k prostředí se otevře tento soubor a nastaví se na položku, která odpovídá slovu pod kurzorem.
Od verze 4.2.8 PSPad umožňuje napojení i na online web, který se zobrazí ve výchozím prohlížeči. Adresa se zadává ve formě URL adresy, proměnná %word% v adrese je nahrazena aktuálním slovem z editoru.

Např: http://www.ikp.uni-koeln.de/~nicolay/lynxman/man3/%word%.3.html

Online nápověda
zde jsou uvedeny odkazy na internetové stránky. Obsah je uložen v souboru Online.INI v adresáři PSPadu
Pokud chcete otevřít odkaz v novém okně prohlížeče, držte stisknutou klávesu SHIFT
Pro použití platí stejné zásady jako pro použití Online nástrojů (popsáno níže)

Online nástroje
položka obsahuje odkazy na online nástroje dostupné na webu. K dispozici jsou proměnné %Word%, %SelText%, %Input% a jejich ekvivalenty %URLWord%, %URLSelText%, %URLInput%, překódované do URL.
Proměnné %Input%a %URLInput% vyvolají dialog pro vložení parametru. Do tohoto parametru je přenesen označený text z editoru, pokud není delší jak jeden řádek.
Obsah je uložen v souboru Online.INI v adresáři PSPadu.
Pokud chcete otevřít odkaz v novém okně prohlížeče, držte stisknutou klávesu SHIFT

Hlášení chyby
pokud narazíte na nějaký problém v programu, můžete použít tento odkaz na odeslání popisu chyby autorovi programu. Podmínkou je mít zvoleného poštovního klienta v Nastavení programu / Internet.

Existuje novější verze PSPadu ?
Pro použití této funkce je nutno mít aktivní připojení do sítě Internet, protože aplikace PSPad zjišťuje jestli je dostupná nová verze (oficiální, nikoliv betaverze)

Fórum PSPadu na internetu
Odkaz na internetovou stránku na které je možno získat tipy na efektivnější používání aplikace, zeptat se na nějaký problém, podat návrh na vylepšení programu, podělit se o své vlastní postřehy s používáním aplikace s ostatními uživateli, napsat hlášení chybovy, stáhnout beta verzi programu...

Internetová stránka PSPadu
Odkaz na domovskou stránku aplikace. Nutné je připojení k internetu

O programu
Zobrazí se verze aplikace, odkaz na internetovou stránku aplikace a kontakt na autora


Jazyk

 Nastavení - jazyk

Nastavuje jazyk pro uživatelské rozhraní PSPadu. Jazyk je možné přepínat v průběhu práce bez nutnosti restartovat PSPad.
Přepnutí je možno udělat i "okamžitě" dvojklikem myši nebo klávesou Enter v seznamu. Není nutné potom nastavení ukládat, je možno vyskočit pomocí tlačítka Storno


Program - vzhled

 Nastavení - vzhled programu

Záložky souborů nahoře
Zde si určujete, zda má být lišta se jmény souborů zobrazena nad projektem nebo vedle projektu

Skrýt záložky souborů
Parametr je 3-stavový:
[ ] - panel souborů je viditelný vždy
[] - panel souborů je viditelný při 2 a více otevřených souborech
[x] - panel souborů je skrytý vždy

Panel souborů jako tlačítka
Určuje vzhled panelu souborů
Parametr je 3-stavový:
[ ] - záložky
[] - plochá tlačítka
[x] - tlačítka

Záložky souborů ve více řadách
Při otevření více souborů (pokud se nevejdou na jeden řádek) bude zobrazeno více řad záložek nebo jen jedna řada s možností skrolování

Skrýt typy souborů na záložkách
Určuje, zda na panelu souborů budou zobrazena jména souborů včetně typů nebo jen jména

Skrýt číslování na záložkách
Mezi záložkami 1 .. 9 je možno se přepínat pomocí klávesových zkratek Alt+1 .. Alt+9. Tato funkce skryje čísla záložek

Sada ikon tlačítek
Výběr dostupných sad ikon pro tlačítka

Systémové ikony v průzkumníku souborů
Určuje, zda v průzkumníku souborů a FTP panelu budou použity systémové ikony souborů (pomalejší) nebo zjednodušené ikony

Ikonky v menu
Pomocí této volby můžete vypnout zobrazování ikonek v hlavní a kontextové nabídce. Pokud se vám zdá divné proč, tak je to kvůli programům, které umožňují práci zrakově postiženým - ikonky jim vadí.

Automaticky skrývat levý pruh
Levý pruh bude zobrazen pouze v případě, kdy je zapnuto číslování řádků nebo nastavena nějaká záložka

V projektu celé jméno
V projektu je standardně uvedeno pouze jméno souboru. Při zatržení této volby když najedete myší nad soubor, ukáže se celé jméno souboru včetně cesty

Automatické řazení v projektu
pokud je aktivováno, dojde při přidání souboru do složky projektu k seřazení souborů v rámci složky podle abecedy

Proměnné šablon abecedně
Normálně jsou pole v interaktivních šablonách řazeny podle pořadí v jakém jsou zapsány v šabloně. Může ale nastat případ, kdy chceme mít pole ve formuláři šablony v jiném pořadí, než v jakém jsou zapsány v šabloně. K tomu slouží tato volba. Při její aktivaci budou pole, která jsou obsažena v šabloně seřazena podle jmen proměnných. Takže stačí si proměnné očíslovat, např. %1edit%, %2edit% atd.


Program - chování

 Nastavení - chování program

Prázdný soubor po spuštění
Parametr je 3-stavový:
[ ] - při spuštění PSPadu je otevřen dialog pro výběr nového souboru
[] - PSPad je spuštěn prázdný
[x] - při spuštění PSPadu je otevřen prázdný soubor

Ukončit program na ESC
pokud někdo používá PSPad hlavně na jednoduchou editaci jednotlivých souborů, může si aktivovat tuto volbu. PSPad pak lze jednoduše ukončit stiskem klávesy ESC

Zobrazit uvítací obrazovku
určuje, zda bude při spuštění programu zobrazena po dobu nabíhání programu úvodní obrazovka (splash screen)

Obnovit vždy na primárním monitoru
po spuštění PSPadu bude PSPad zobrazen vždy na primárním monitoru - má význam, pokud používáte např. více monitorů v práci a doma máte pouze jeden

Automaticky ukládat pozici okna
PSPad si zapamatuje pozici hlavního okna při ukončení programu

Ident.byty v kódování UTF-8
Kódování jako UNICODE a UTF-8 obsahují na začátku byty, které toto kódování identifikují. Tyto byty jsou do souboru opět zapisovány. Některým programům (interpretr PHP) tyto byty vadí. Takže zde si určujete, že je nechcete do souboru zapisovat.

R/O režim mění atribut souboru
Pokud zvoleno, přepnutí do/z režimu ReadOnly (pouze pro čtení) nastaví i atribut R/O souboru na disku

České Windows <-> LatinII
Pokud je zvoleno, bude pro konverzi mezi CP1250 a LatinII použit interní konvertor, který si lépe poradí s rámečky a ostatními grafickými znaky. Jinak je použita konverze ANSI - OEM pomocí systémových funkcí.

Kurzor na konci LOG souboru
po zobrazení LOG souboru bude kurzor umístěn na konci tohoto souboru

Chytré přepínání souborů
Tato volba změní přepínání souborů pomocí klávesy Ctrl+Tab a Shift+Ctrl+Tab. V normálním případě se přepíná v pořadí záložek na panelu. Při aktivované volbě se přepíná v pořadí, ve kterém bylo myší kliknuto na záložky!

Rozdělit okna pod sebe
Tato volba určuje výchozí uspořádání oken při synchronizaci posuvu, která se aktivuje v místní nabídce panelu souborů.

Tisk syntaxe barevně
Zde je výchozí nastavení pro tisk na tiskárně. Pokud zvolíte přímo tisk, je nastavení respektováno. Pokud ale budete tisknout přes prohlížení před tiskem, máte možnost toto nastavení ovlivnit přímo v náhledu.


Editor - chování

 Nastavení - chování editoru

Vstup za konec řádku
Povoluje umístit kurzor i za posledním znakem na řádku

Mazat mezery na konci řádků
Automaticky budou odstraněny nadbytečné mezery na konci řádku.
Parametr je 3-stavový:
[ ] - mezery nejsou odstraňovány
[] - mezery jsou odstraňovány při ukládání souboru
[x] - mezery jsou odstraňovány při psaní
Tato volba se zatím neslučuje se zalamováním řádků, takže při její aktivaci bude zalamování nepřístupné pokud bude nastavena do polohy odstraňování mezer při psaní

Sloupcový blok myš + ALT
Pokud je zvoleno, je možno rychle přepínat mezi normálním a sloupcovým blokem při označování textu myší pomocí klávesy ALT. Bez držení ALT normální blok, s přidržením ALT sloupcový blok. Pokud volbu vypnete, přepínání je možné pomocí klávesových zkratek SHIFT+CTRL+N/C/L nebo menu Úpravy / druh bloku

Pravá myš nepřesouvá kurzor
Po stisku pravého tlačítka myši (pokud není označen blok) se kurzor přesouvá na místo stisku. Aktivováním této volby je možno přesunu kurzoru zamezit.

Prostřední yš - seznam šablon
Pokud je aktivní, obrazí se v editoru na stisk prostředního tlačítka myši seznam šablono přesunu kurzoru zamezit.

Automatické odsazení
Při aktivovaném automatickém zarovnávání se kurzor po stisku klávesy ENTER nepřesune na začátek dalšího řádku, ale zarovná se pod začátek prvního slova předchozího řádku - automaticky dodržuje odsazení

Rozšířená klávesa HOME
V normálním použití vás stisk klávesy HOME přenese na začátek řádku. U editorů se v poslední době začala používat tzv. rozšířená funkce klávesy HOME. Projevuje se tak, že při prvním stisku se kurzor zastaví na začátku textu a až při dalším stisku skočí na začátek řádku.

Rozšířená klávesa END
V normálním použití vás stisk klávesy END přenese na konec řádku. Při aktivované funkci první stisk způsobí nastavení kurzoru za poslední znak řádku, druhé stisknutí přenese kurzor na konec řádku.

Rozšířené kopírovat / vyjmout
Aktivací je možno rozšířit funkce "Kopírovat" a "Vyjmout". Za normálních okolností jsou tyto funkce přístupné při označeném textu. Po aktivaci budou přístupné vždy a pokud nebude text označený, budou pracovat s aktuálním řádkem.

Celá slova při hledání slova pod kurzorem
Při hledání dalšího výskytu aktuálního slova (SHIFT+CTRL+UP/DOWN) bude hledání nastaveno do režimu "pouze celá slova"

Zvýrazňovat související závorky
Tato funkce vám usnadní orientaci v jazycích, kde jsou bloky tvořeny závorkami (C, PHP...). Pokud si kurzorem najedete na závorku, zvýrazní se a současně se zvýrazní i závorka související. Barvu je možno měnit na záložce Barvy.

Automatické doplňování párových znaků
Při zápisu otevíracího znaku bude automaticky zapsán i odpovídající párový znak. V režimu nahrávání a přehrávání makra je vypnuto !
Závorky jsou doplňovány v případě, ze je nepíšeme před slovem, jednoduché nebo dvojité uvozovky nejsou doplněny před slovem a za slovem.
Příklady, kdy nedojde k doplnění (modrá barva značí napsaný znak):
(jelen
"kolouch
"zajíc"

Lámat podle pravého okraje
Text se zalomí ne podle šířky okna, ale podle nastaveného ukazatele pravého okraje

Přidat odřádkování na konec souboru (pokud není)
Funkce zajistí, že na konci souboru bude vždy ukončení řádku


Editor - nastavení

 Nastavení - nastavení editoru

Skutečné tabulátory
Za normálních okolností PSPad nahrazuje tabulátory (znak #9) příslušným počtem mezer. Má to své výhody. Text vypadá stejně v jakémkoliv editoru, nemusíte přemýšlet, jestli jsou na začátku mezery nebo tabulátor apod. Nevýhodou je větší počet znaků. Místo jednoho znaku je v souboru několik mezer.
Od této chvíle máte možnost zapnout používání skutečných tabulátorů. V souboru znak #9 zůstane a stiskem klávesy TAB se také vloží.
Chtěl bych upozornit na to, že pokud použijete tuto volbu, bude omezena možnost zvětšení a zmenšení odsazení bloku.

Chytré tabulátory
Pokud za normálních okolností stisknete klávesu TAB, kurzor se posune o pevně daný počet znaků. V případě, že povolíte volbu "chytré" tabulátory, po stisku klávesy TAB se bude kurzor zarovnávat podle slov v předchozím řádku.

Skupinové UNDO
pokud je aktivní jsou po zavolání funkce UNDO odvolány všechny změny stejného charakteru, např. vložení znaku
Určuje počet znaků, reprezentujících tabulátor (velikost "odskočení" textu)

Počet UNDO operací
Určuje maximální počet kroků použitelných ve funkci "zpět", které si editor zapamatuje

Šířka tabulátoru
Určuje počet znaků, reprezentujících tabulátor (velikost "odskočení" textu)

Šířka odsazení bloku
Určuje počet znaků, které se použijí při funkci Zvýšit nebo Snížit odsazení bloku (SHIFT+CTRL+I/U nebo TAB/SHIFT+TAB při označeném bloku). Funkce se neuplatní v případě, kdy je aktivní funkce "Skutečné tabulátory"

Automatický refresh [s]
Tato hodnota určuje dobu, za kterou se bude provádět občerstvení obsahu souboru, který je pro občerstvování označen a je aktivní (viz menu okno) nebo HTML náhledu, pokud je ponechán na pozadí

Maximální délka řádku
Zde máte možnost nastavit maximální délku řádku. Standardní hodnota je 1024 znaků, v některých případech (HTML stránky) může být nedostačující. Ve většině případů nemá smysl měnit.

Pravý okraj [znaků]
Určujete pozici svislé čáry - ukazatele pravého okraje, který se zobrazí po zadaném počtu znaků

Kolečno myši - počet řádků
Umožní nastavit "krok" při otočení kolečka myši - o kolik řádků se posune text v editoru

Výsledek hledání
Určuje pozici kurzoru po funkcích hledání, skok na řádek apod. Při volbě "Výchozí" nebude pozice kurzoru ovlivňována

Kurzor pro vkládání
Kurzor pro přepis
Tyto volby slouží k nastavení tvaru kurzoru pro vkládání a přepis


Adresáře a soubory

 Nastavení - adresáře a soubory

Ukládat historii souborů
Přepínač slouží k zapnutí / vypnutí ukládání historie posledních otevřených souborů.
Pokud je vypnuto, program si pamatuje historii v průběhu práce, ale historie nebude uložena při ukončení práce s programem.

Ukládat rozdělanou práci
Program si při ukončení zapamatuje naposledy otevřené soubory a při příštím spuštění je automaticky otevře. Bližší informace v samostatné kapitole
Parametr je 3-stavový:
[ ] - otevřené soubory se nebudou obnovovat
[] - budou se obnovovat všechny soubory
[x] - budou se obnovovat jen soubory, otevřené v PSPadu

Ukládat pouze pro soubory z lokálních disků
Do seznamu historie a ukládání rozdělané práce se dudou ukládat pouze soubory z lokálních disků.

Zapamatovat stav souboru
PSPad si umí zapamatovat stav souboru, v jakém jste jej opustili při zavření souboru nebo programu a je schopen tento stav při příštím otevření souboru obnovit. Týká se to zobrazení čísel řádků, zalomení textu, kódové stránky, pozice kurzoru, záložek v textu, zamknutí souboru pouze pro čtení...
Touto volbou ovlivníte, zda si má PSPad stav souboru pamatovat nebo ne.

Pamatovat poslední filtr
Při aktivaci bude zapamatován typ souboru, nastavený v dialogu "otevření souboru". Je to výhodné, pokud používáte pouze jeden typ souborů.

Výchozí typ nového souboru
Zde máte možnost nastavit typ nového souboru, pokud není otevřeno žádné okno. Pokud je již nějaké okno otevřené, odvodí se typ souboru podle něj. Typ nového souboru je možno jednoduše změnit pomocí změny syntaxe.

Vždy vybraný typ
Nový soubor bude vytvořen vždy zvoleného typu

Výchozí CP pro otevírání souborů
Zde je možno zvolit výchozí kódovou stránku, která bude použita při otevření souboru.
Pokud je nastaveno "Nastavena v menu Formát", bude použito aktuální nastavení z daného menu.

Zapamatovat poslední adresář
Pokud je volba aktivní, bude při ukončení programu zapamatován poslední adresář, který byl použit pro otevření souboru a ten bude při příštím otevření programu opět použit pro dialog otevření souboru. Pokud je otevřen projekt, má nastavení projektu přednost.

Podle aktuálního souboru
Výchozí cesta v dialog pro otevření a uložení souboru bude nastavena podle aktuálního souboru

Určený adresář
Určuje adresář, který se nabídne v dialogu vyvolaném poprvé při otevření souboru. V případě, že je otevřen při startu programu projekt, bere se jako výchozí cesta umístění souboru projektu nebo, pokud je vyplněna, tak cesta v nastavení projektu. Projekt má přednost před nastavením v parametrech.


Zálohování

 Nastavení - backup

Nevytvářet záložní soubory
Záložní soubory nebudou vytvářeny

Vlnovka v typu souboru
Pokud je zatrženo, program před uložením souboru vytvoří záložní kopii s příponou, začínající znakem ~. Pokud se tedu soubor jmenuje MujText.TXT bude vytvořena záložní kopie MujText.~TXT
Pokud je vyplněn adresář pro zálohy, neprovádí se změna jména souboru, ale soubor včetně adresářové struktury se zálohuje do udaného adresáře (viz níže Adresář pro zálohu souborů)

Přidat typ .BAK
Pokud je zatrženo, bude do jména souboru přidán .BAK

Adresář pro zálohu souborů
Poukud není vyplněno, provádá se zálohování pomocí přidání znaku ~ do typu souboru.
Pokud je určen adresář, neprovádí se změna jména, ale soubor se včetně cesty ukládá do zadaného adresáře.
Příklad:
původní soubor: C:\Projekty\Delphi\PSPad\PSPad.DPR
adresář pro zálohu: D:\Zalohy
zálohováno jako: D:\Zalohy\Projekty\Delphi\PSPad\PSPad.DPR

Automatické ukládání [min]
Pokud je nastaveno číslo větší než 0, PSPad bude automaticky po uplynutí nastaveného intervalu v minutách ukládat změněné soubory. Funkce je zcela totožná s manuálním vyvoláním Uložit vše

Adresář pro soubory z FTP
Poukud není vyplněno, bude se ukládat lokální kopie FTP souborů do dočasného adresáře


Barvy

 Nastavení - barvy

Základní barvy
Barva písma
Barva pozadí
Těmito barvami je možno hromadně měnit barvu písma a pozadí ve všech zvýrazňovačích. Pracuje to tak, že po změně barvy se přepíší všechny barvy zvýrazňovačů, které mají barvu písma shodnou s původní barvou.
Např. písmo je černé, změníme jej na zelené. To způsobí změnu písma ve všech atributech všech zvýrazňovačů, které mají barvu písma černou.

Pozadí bloku
Písmo bloku
Určuje barvy označeného bloku textu

Barva aktuálního řádku
Tato barva určuje barvu pozadí aktuálního řádku, pokud je zvoleno jeho zvýrazňování

Barva pravého okraje
Určuje barvu ukazatele pravého okraje. Pokud chcete ukazatel skrýt úplně, nastavte barvu na Window (stejnou jako pozadí editoru)

Levý pruh
Určuje barvu levého pruhu, ve kterém se zobrazují např. čísla řádků nebo záložky.

Pravopis
Určuje barvu zvýraznění (podtržení) neznámých slov

LOG parser
Pokud vyplníte nastavení LOG parseru v nastavení kompilátoru, bude touto barvou zvýrazněn odpovídající řádek v editoru po kliknutí v LOG okně.

Závorky
Barva pro zvýraznění souvisejících závorek


Integrace do systému

 Nastavení - integrace do systému

Otevírat soubory TXT
Tato volba způsobí změnu přiřazení programu pro TXT soubory. Standardně je tato možnost nastavena pro NOTEPAD.EXE. Máte možnost přepínat mezi PSPad a Notepad.

Integrovat na pravé tlačítko
Zde máte možnost otevírat soubory, které jsou asociované s jiným programem (HTML, SQL). Určitě by se vám nelíbilo, pokud by se toto přiřazení změnilo přímo na PSPad. Nabízí se lepší možnost - původní přiřazení zůstane, na dvojklik myší nebo Enter se HTML soubor otevře v původním přiřazeném programu. Pokud ale stisknete na souboru pravé tlačítko, objeví se možnost PSPad a po potvrzení se soubor v PSPadu také otevře.

Editor HTML v IE
Nastaví PSPad jako výchozí editor HTML v Internet Exploreru

Zobrazení zdroje HTML v IE (Internet Exploreru)
Zobrazení zdroje HTML v OPERA
V prohlížeči je možno na pravé tlačítko zobrazit zdroj HTML stránky. Pokud zaškrtnete tuto možnost, zdroj se otevře v PSPadu
Vyžaduje Internet Explorer verze 5 a vyšší, OPERA browser 5.10 a vyšší.
V případě prohlížeče OPERA je tato volba přístupná pouze v případě, kdy prohlížeč není spuštěn. jinak totiž není možno nastavení zapsat !

Editor pro Total Commander
Nastaví PSPad jako výchozí editor v manažeru Total Commander.
Tato volba je přístupná pouze v případě, že není Total Commander spuštěn. Jinak totiž není možno nastavení zapsat!

Zástupce na ploše
Zástupce v menu Start
Zástupce v menu Odeslat
Tyto volby vytvoří nebo zruší zástupce v menu start a na ploše

Víceuživatelské prostředí
Od verze 3.5.6 je podporována činnost PSPadu ve víceuživatelském prostředí (např. Windows NT), kdy konfigurace a další pomocné soubory jsou ukládány v adresáři profilu jednotlivých uživatelů.
Při prvním spuštění PSPadu pod novým uživatelem je konfigurace zkopírována do jeho profilu. Informace je uložena v souboru PSPad_MU.INI v adresáři PSPadu. Právo měnit informaci má pouze uživatel, který má přístup pro změny do adresáře s PSPadem. Pro ostatní uživatele je volba nepřístupná.

Při ukončení jako ikona vedle hodin
Program se při ukončení schová do malé ikony umístěné v pravé části hlavního panelu. Je tak stále okamžitě k dispozici. K obnovení programu dojde kliknutím na ikonu levým tlačítkem, vyvolání menu na ikoně pravým tlačítkem nebo otevřením souboru např. z Windows Commanderu. Pro definitivní ukončení programu vyvolejte menu (pravým tlačítkem na ikoně programu) a vyberte Konec.
Daní za okamžité spouštění je zabraných asi 3-4 MB paměti.
Pokud máte volbu aktivovanou a chcete PSPad uzavřít bez minimalizace, použijte volbu menu Soubor/Konec

Pouze jedna instance
Určujete, zda bude možné spustit více instancí programu nebo zda budou nové soubory otevřeny v existující instanci


Registrované typy

 Nastavení - registrované typy

Registrovat typy souborů
Tato volba umožňuje zaregistrovat PSPad pro přímé otevírání konkrétních typů souborů.
Např. pokud chcete otevírat soubory typu .CFG přímo v PSPadu, zapíšete .CFG do editačního políčka a stisknete tlačítko Přidat. V tom okamžiku se registruje typ a soubor je možno v PSPadu otevřít přímo dvojkikem. Při stisku tlačítka Delete, je registrace zrušena.


Multizvýrazňovač

 Nastavení - registrované typy

Povolit HTML multizvýrazňovač
PSPad umožňuje vrámci HTML kódu zvýrazňovat i skriptovací jazyky (JScript, VBscript, Tcl/Tk), formátování CSS, PHP, ASP. Program provádí rozeznávání a volí zvýrazňovač pro příslušný jazyk. Podle toho jsou i nabízeny šablony apod.

Základ multizvýrazňovače
určuje, zda bude jako základ multizvýrazňovače brán HTML nebo XHTML zvýrazňovač

Pro <%...%> použít
Skript, uvozený tagy <%...%> je používán pro ASP stránky. Zde máte možnost volby zvýrazňovače, který bude pro ASP použit (obvykle VBscript nebo ASP)

Otevírat v multizvýrazňovači
Určuje, které typy souborů se mají otevírat přímo v multizvýrazňovači a které v odpovídajícím zvýrazňovači.

Barva sekcí podle zvýrazňovače
Pokud není povoleno, jsou úvodní tagy skriptu zvýrazněny barvou, definovanou na .
Pokud zaškrtnete, budou použity barvy podle nastavení zvýrazňovače, konkrétně podle atributu Symbol.

Barva písma
Barva pozadí
Při používání multizvýrazňovače jsou začátky jednotlivých sekcí (skripty, CSS apod.) zvýrazněny pomocí tohoto nastavení


Nastavení nástrojů

 Nastavení - HTML nástroje

Délka řádku po kompresi
Parametr určuje maximální délku řádku pro použití funkce Komprese HTML

V přeformátování CSS vždy tabulátory
Při přeformátování CSS budou použity vždy skutečné tabulátory nebo se obsah bude řídit podle nastavení editoru. Má význam pro spolupráci s TopStyle, který tabulátory vyžaduje

Text na HTML - řádky jako odstavce
při konverzi textu na HTML budou řádky ukončeny <br> nebo označeny jako odstavec <p>...</p>

Do CSS vkládat barvu ve formátu RGB
Učuje, zda se do CSS vloží barva ve formátu HTML (#FF00FF) nebo ve formátu RGB (RGB(255,0,255))

Seřadit obsah průzkumníka kódu podle abecedy
určuje seřazení obsahu průzkumníka kódu


Porovnání souborů

 Nastavení - porovnání souborů

Ignorovat barvy zvýrazňovače
V okně, ve kterém budou zobrazeny rozdíly souborů nebuodu nebude zobrazen text v barvách podle zvýrazňovače, pouze bude zachován styl písma. Přispívá to k lepší čitelnosti.

Ignorovat velikost písmen
Při porovnání nebude brán ohled na velikost písmen.

Ignorovat volné místo
Při porovnání nebude brán ohled na mezery a tabulátory v textu. Jejich rozílný počet pak neznamená změnu.

Pozadí řádků rozdílů v textu
Přidané
Odebrané
Změnněné
Při porovnávání souborů jsou pro lepší orientaci řádky podbarveny. Každá barva indikuje určitý druh změny v souboru.


Internet

 Nastavení - Internet

Proxy server
Použít proxy server
Tato volba povoluje použití proxy serveru při operacích se soubory na internetu

Získat nastavení podle IE
Pokusí se získat informace o připojení podle IE. Nebude úspěšné v případě používání skriptů pro připojení apod.

Adresa
IP adresa proxy serveru

Port
Port, na kterým běží služba ProxyServeru. Pro MS proxy je to obvykle 8080, pro WinRoute, WinProxy je to 3128, další obvyklý port je 80

Jméno
Heslo
Zde si zadáváte uživatelské jméno a heslo, pro přístup k proxy serveru, pokud je vyžadováno

Použít výchozího klienta
Pro odesílání zpráv z programu bude použit výchozí e-mailový klient

e-Mail
Nastavení poštovního klienta, kterého bude PSPad používat. Nastavení je nezávislé na nastavení výchozího klienta v systému Windows.


Web server

 Nastavení - web server

Web server
Nastavuje se zde jméno serveru (výchozí je localhost), které se uplatní v cestě popisované v DocumentRoot

DocumentRoot
Zde se nastavuje cesta pro umístění dokumentů, pokud máte instalován www server (hodnota c:\apache\htdocs je přednastavena po instalaci free serveru Apache). Používá se při spouštění externích programů v proměnné %PHPFile%. Cesta, uvedená v této proměnné je nahrazena za http://server


Hexa editor

 Nastavení - Hexa editor

Šestnáctková adresace
Desítková adresace
určuje, zda budou adresy v šestnáctkové nebo desítkové soustavě

Počet bajtů na řádce
nastavuje počet bajtů na řádku

Počet bajtů ve sloupci
nastavuje sloupce - kolik bajtů bude tvořit jeden sloupec


Mapa kláves

 Nastavení - Mapa kláves

Od verze 4.0.7 je možno uživatelsky měnit klávesové zkratky programu

Rozložení kláves se ukládá do souboru KeyMap.INI, který je umístěn v adresáři programu, popř. v profilu uživatele, pokud je nastaveno víceuživatelské prostředí. Protože se načítání provádí při startu programu, výmazem souboru se editor vrátí do původního nastavení. Tento soubor je možno editovat i ručně.

Postup editace:
· dvojklikem na řádku (popř. klávesou Enter) se jménem akce se klávesová zkratka přenese do editačního pole
· klávesová zkratka se zadává přímo stiskem požadované kombinace kláves
· po potvrzení OK je přiřazena nová klávesová zkratka
· mapování klávesových zkratek je zapsáno až při potvrzení dialogu nastavení programu !

Pokud zvolená klávesová zkratka existuje u jiné akce, dojde u původní akce ke smazání a zápisu k aktuální akci.

Další tlačítka:
Smazat vše
vymaže všechny klávesové zkratky

Vrátit změny
zruší všechny provedené změny a nastaví aktuální stav v programu

Výchozí
smaže soubor KeyMap.INI, takže při příštím startu programu je obnoven výchozí stav klávesových zkratek


Sekce Special settings

 Nastavení - sekce Special settings
Existují nastavení, která mají význam pouze pro velmi úzkou skupinu lidí. Tato nastavení nejsou ovlivnitelná přes dialog, ale pouze pomocí přímé editace souboru PSPad.INI. Po stisku tlačítka Přímá editace se dostanete do jednoduchého editoru, kde je možno přímo zasahovat do nastavení PSPadu.

Většina parametrů jsou přepínače, takže nabývají hodnot 0 nebo 1

Význam jednotlivých parametrů v sekci [Special settings]

LeftToPreviousLine=0/1
pokud jste na začátku řádku, po stisknutí levé šipky se odstanete na konec předchozího řádku
ContinueComment=0/1
některé jazyky (Java, C++, ...) používají tzv. dokumentační komentáře. PSPad umí v takovém komentáři pokračovat při přechodu na nový řádek.
OpenAllReadOnly=0/1
všechny soubory budou otevřeny bez možnosti editace (koresponduje s parametrem z menu Zobrazit | R/O)
DontChangeFileAttribs=0/1
pokud je aktivováno, PSPad se nedotkne atributu souboru
AutoDetectBinary=0/1
zapíná/vypíná autometickou detekci binárních souborů
DragImgTitle=0/1
DragImgBorder=0/1
DragImgAlt=0/1
tyto parametry mají vliv na výsledný tvar elementu IMG, ktery je generován po přetažení obrázku do okna editoru
TextClipsIfHLOff=0/1
pokud je aktivní a vypnete zvýrazňování symtaxe, PSPad použije šablony z knihovny TXT.DEF místo šablon zvýrazňovače
CheckDocChanges=0/1
zapíná/vypíná detekci změn souborů, provedených jiným programem
ExtraLineSpacing=n
nastavuje rozestup (v bodech) mezi řádky. Rozumné hodnoty jsou v rozmezí -1..3
CtrScrollIfSelected=0/1
pokud je vybraný text, ovlivníte, zda Ctrl+Up/Down provede skok na začítek/konec bloku nebo zda bude posouvat text
OldMainIcon=0/1
umožŇuje nastavit pro program a zástupce starou ikonu
HLOnUpToSize=nnnnnnn
udává velikost souboru. Při překročení této velikosti nebude aktivní zvýrazňování syntaxe - rychlejší načtení souboru
GutterClickInclLF=0/1
při kliknutí na levý pruh bude označen text včetně konce řádku
MaxRecentFiles=nn
max. počet v historii otevřených souborů
MaxRecentHistory=nn
max. počet položek v ostatních historiích (hledání, Google, ...)


Zvýraznění syntaxe

 Zvýrazňovač - zvýraznění syntaxe

Program nabízí uživatelské přizpůsobení zvýrazňovačů. Na několika kartách jdou nastavit barvy a vlastnosti písma, filtry pro otevírání souborů, externí programy, ve kterých je možno editovaný soubor otevřít a konečně i nastavení kompilátoru.

Nastavení je uloženo v souboru PSPad.INI v následujícím formátu:
8 bajtů barva písma, 8 bajtů barva pozadí, po jednom bytu pak tučné, kurzíva, podtržené.
Barvy písma se skládají :
2 byty číslo palety (mohou být nulové) a po 2 bytech pak složky R,G,B
Pro druh písma pak platí: 0 není vybrán, 1 je vybrán

Načtení palety barev
PSPad od verze 3.5.2 umožňuje načtení barevného schématu. Tím dojde k přestavení barev editoru a všech zvýrazňovačů.
· pro načtení barev je třeba vybrat nějaké schéma z rozbalovacího seznamu a stisknout tlačítko načíst.
· pro uložení schématu napíšete vlastní jméno schématu a stisknete tlačítko uložit.

HTML Multi-zvýrazňovač

Tento zvýrazňovač spojuje dohromady několik zvýrazňovačů, týkajících se editace HTML. Jeho vlastnosti nejdou nastavit přímo, nastavují se u jednotlivých zvýrazňovačů.
Výchozím nastavením je zvýrazňovač HTML (filtr pro otevírání souborů a externí příkazy).

Detekce částí HTML dokumentu
· <script> </script> JavaScript
· <script...javascript...> </script> JavaScript
· <% %> VisualBasic script
· <script...vbscript...> </script> VisualBasicScript
· <script...tcl...> </script> TCL/TK
· <? ?> PHP
· <script...php...> </script> PHP
· <style...> </style> CSS


Nastavení barev

 Zvýrazňovač - nastavení barev

Před tím, než začnete experimentovat s nastavením barev, uložte si aktuální barevné schéma, ať se k němu v případě neúspěšných pokusů můžete vrátit (viz. bod 3 v následujícím postupu)

Postup pro nejjednodušší nastavení barev

1. nastavení základních barev
v menu Nástroje / Nastavení programu / barvy nastavit základní barvy programu. Tyto změny se promítnou současně do všech zvýrazňovačů následujícím způsobem:
· pokud je původní barva písma stejná s barvou písma atributu ve zvýrazňovači, dojde ke změně barvy písma i v atributu zvýrazňovače
· pokud je původní barva pozadí shodná s barvou pozadí atributu zvýrazňovače, dojde i ke změně pozadí atributu zvýrazňovače
· pokud by byla barva písma atributu zvýrazňovače shodná s novou barvou pozadí, změní se barva písma atributu zvýrazňovače na novou barvu písma

2. doladění barev zvýrazňovačů
v menu Nástroje / Nastavení zvýrazňovačů / Barvy doladit barvy zvýrazňovačů.
Abyste nemuseli projíždět a otrocky nastavovat (třeba barvy komentáře) ve všech zvýrazňovačích, můžete dvojklikem na jménu atributu toto nastavení promítnout do stejných atributů všech zvýrazňovačů.
Např. nastavím styl písma a barvy pro komentář a dvojklikem na komentář toto nastavení promítnu na všechny komentáře.

3. uložení nového schématu
v menu Nástroje / Nastavení zvýrazňovačů / Barvy napsat jméno nového schématu a stisknout tlačítko Uložit. Tím se aktuální nastavení barev uloží do souboru a od této chvíle je k dispozici

Příklad změny pozadí

Pouze změna pozadí na zelenkavou
Není třeba procházet v nastavení zvýrazňovačů všechny atributy a měnit jim pozadí. Stačí podle bodu 1 předchozího postupu změnit barvu pozadí editoru

Umístění souborů se schématy

Soubory s barevnými schématy jsou uloženy v podadresáři .\Colors. Jedná se o textové INI soubory. Popis struktury řádku s nastavením atributu zvýrazňovače je popsán v nastavení barev syntaxe


Upřesnění

 Zvýrazňovač - upřesnění

Jméno filtru
je zobrazeno v dialogu otevírání a ukládání souborů

Soubor s nápovědou
Pokud si vyplníte odkaz na soubor s nápovědou, můžete využít klávesovou zkratku ALT+F1 k vyvolání nápovědy pro aktuální slovo. V multizvýrazňovači se vyvolá nápověda k příslušnému skriptu, pokud je nastavena.
Soubor s nápovědou nemusí být jen lokální soubor, je možné použít i URL adresu. Pokud v ní bude uvedena proměnná %word%, bude nahrazena slovem, na kterém stojí kurzor
K dispozici je i systémová proměnná %PSPath%, která obsahuje cestu k programu včetně posledního lomítka

Masky souborů
určují přiřazení souborů jednotlivým zvýrazňovačům. Podle těchto masek pak program pozná jaký zvýrazňovač při otevření souboru použít. Pokud přidělíte několika typům zvýrazňovačů stejnou masku, bude použit první výskyt.

Uživatelské zvýrazňovače
Program umožňuje definovat vlastní zvyrazňovače. Pokud tedy vyberete zvýrazňovač, který umožňuje uživatelskou definici, je toto pole zpřístupněno a vy máte možnost jednoduchým výběrem přiřadit nadefinovaný zvýrazňovač.
V tomto případě se jméno filtru a masky přebírají z uživatelského zvýrazňovače. V případě požadavku na změnu je třeba jít do a provést změnu tam.

Velikost tabulátoru
Pokud chcete mít individuální velikost tabulátoru pro každé prostředí, nastavte ji zde. Při nenulové hodnotě má přednost před centrálním nastavení v nastavení programu

Znaky pro rozšířené odsazování
Některé programovací jazyky jako PHP, C apod. používají odsazovaný zápis zdrojového kódu:
xxx {
  xxx {
    xxx
    xxx
  }
}
Zde máte možnost definovat znaky, po kterých dojde ke zvětšení odsazení nebo zmenšení odsazení, pokud je napíšete na konec řádku a stisknete Enter. Čili podle předchozího příkladu napíšu znak { a Enter a další řádek je odsazený o jeden tabulátor. Podobně po znaku } se odsazení snižuje.

Podmínky:
· znak musí být posledním znakem na řádku
· v nastavení programu musí být zatržena volba "automatické odsazení"


Externí programy

 Zvýrazňovač - externí programy

Pro každý typ souboru je možno přiřadit až 5 externích programů (další jsou ignorovány). Výchozí je program, který je na prvním místě.

Seznam programů
Obsahuje přiřazené programy. K úpravám, přidávání a mazání slouží editační políčka pod seznamem. Při výběru některého řádku je jeho obsah přenesen do políček a je možno jej opravit, mazat, přidat znovu.
Pomocí šipek vedle seznamu je možno měnit pořadí programů v seznamu.
Výchozí program se v editoru spouští klepnutím na ikonu shellopen nebo klávesou F9. Ostatní programy přes malou šipku vedle ikony nebo z menu Soubor.

Jméno
pod tímto jménem najdete program v menu
Program
vlastní jméno programu včetně plně kvalifikované cesty a parametrů
LOG soubor
Pokud je vyplněn LOG soubor, spustí se daný program, počká se na jeho ukončení a pak se zobrazí obsah výsledného souboru v LOG okně. Dokud nebude spuštěný program ukončen, není možno v práci pokračovat. Použití je pro řádkové příkazy apod., u kterých chcete vědět, jak dopadl výsledek.
Pokud není LOG vyplněn, nečeká se na ukončení spuštěného programu (třeba zobrazení souboru v prohlížeči) a lze okamžitě pokračovat v práci.

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru. Bližší informace a seznam proměnných v kapitole o

Přidat
Tlačítko je přístupné po vyplnění jména programu a cesty k programu. Vloží vyplněné údaje do seznamu
Smazat
Tlačítko je přístupné v případě, že je v seznamu vybrána položka a slouží k odstranění vybraného řádku ze seznamu
Opravit
Nahradí vybraný řádek v seznamu obsahem editačních políček
Najít program
S výhodou je možno použít toto tlačítko, které pomocí výběru programu vyplní editační políčka

Příklady jednotlivých nastavení
najdete v kapitole o práci s PSPadem

Formát příkazu:
jméno_v_menu,"externí_program" parametry §"LOG_soubor"

Příklad nastavení pro HTML:
Internet Explorer,"c:\program files\Internet Explorer\IExplore.EXE" "%File"
Opera,"c:\program files\opera\opera.exe" "%File"

Příklady z praxe pro práci s MS-SQL:

1. jednoduchá náhrada Query Analyzeru
V textu editoru napíšu SQL dotaz a v LOG souboru se mi vrátí výsledek dotazu (jednotlivé řádky výsledné tabulky). Lze pohodlně psát uložené procedury, vytvářet a rušit tabulky apod. Díky možnosti mít více příkazů si můžu nadefinovat řádky pro jednotlivé SQL servery a spouštět příkazy na určeném serveru.

2. konverze dat
Výsledkem je textový soubor, který na SQL server je posíláme přes BCP.
Takže si v PSPadu si otevřu daný soubor, vidím obsah a spuštěním příkazu jej pomocí BCP odešlu na server, v LOGu vidím výsledek. Pokud se nezadařilo, přepnu se do dalšího okna s typem souboru SQL, napíši příkaz na vymazání obsahu tabulky, přepnu se zpět na zdroj pro BCP, provedu úpravy a odešlu na server znovu. A to vše v PSPadu.


Nastavení kompilátoru

 Zvýrazňovač - nastavení kompilátoru

V některých případech je nutno soubor nejen otevřít v externím programu, ale také spustit externí kompilátor, počkat na dokončení kompilace, zobrazit obsah okna s výsledky kompilace, popř. výsledný soubor spustit.
V programu se kompilátor spouští pomocí ikony projcompile nebo klávesovou zkratkou Ctrl+F9

Jaký soubor je předán kompilátoru
Program postupuje v následujícím pořadí:
· hlavní soubor projektu
· hlavní soubor, pokud není použit projekt
· aktivní dokument

Kompilátor
Určuje plně kvalifikovanou cestu k programu kompilátoru. Cesta se nedává do uvozovek, ty jsou doplněny automaticky.

Parametry
Parametry slouží pro nastavení vlastností kompilátoru, předání souboru, nastavení cesty pro výsledný LOG soubor atd.
Přehled parametrů určující předaný soubor je uveden ve spodní části okna

LOG soubor
Do logového souboru jsou kompilátorem ukládány zprávy o průběhu a výsledku kompilace. PSPad umí tento soubor zobrazit v okně na spodní části obrazovky. Pokud je toto políčko vyplněno, soubor bude po kompilaci automaticky zobrazen.
Log soubor lze zobrazit z menu Okno

Spustit po kompilaci
Pokud si chcete prohlédnout výsledek vaší snahy, stačí vyplnit toto políčko. Po dokončení kompilace pak bude výsledný program spuštěn.

Před kompilací uložit všechny soubory
Pokud je zaškrtnuto, uloží před spuštěním kompilátoru všechny změněné soubory

Zachytit výstup programu
Tato volba slouží k zachycení hlášení, které program vypisuje na obrazovku. Některé programy neumožňují zapisovat LOG do souboru a tohle je pak jediná možnost, jak se k hlášením dostat

Skrýt výstupní okno
Pokud je zaškrtnuto, výstupní okno programu nebude zobrazeno

LOG parser
Pokud je správně nastaven, umožňuje po dvojkliku na řádek v LOG souboru skok do zdrojového souboru na příslušný řádek. Podmínkou nalezení řádku je, aby soubor byl otevřen nebo byl součástí projektu.
Principem parsování je identifikovat začátek a konec jména souboru a čísla řádku. Jméno souboru ani číslo sloupce tam nemusí být uvedeno. V tom případě je proveden skok na řádek v aktuálním souboru.

Použitelné proměnné:
*  jakýkoliv text
%F jméno souboru
%L číslo řádku
%C číslo sloupce

Příklad:
LOG:
[Error] uHLSett.pas(346): Undeclared identifier: 'ik'
[Fatal Error] PSPad.dpr(58): Could not compile used unit 'uHLSett.pas'
parser:
*] %F(%L)

Vysvětlení příkladu:
Protože začátek hlášení v LOGu není jednoznačný, najdeme společnou část, což je ]mezera a na začátek dáme znak *. Za tím následuje jméno souboru, což je proměnná %F. Pak je ( a číslo řádku, takže vložíme proměnnou %L. Ta závěrečná závorka tam být nemusí, ale vypadá pěkně.

Příklady nastavení kompilátoru
najdete v samostatné kapitole

#RunMacros

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru.

%File%     nahrazuje jméno souboru včetně cesty
%Dir%      nahrazuje cestu k souboru
%DosFile%  nahrazuje jméno souboru včetně cesty v DOS formátu 8.3
%DosDir%   nahrazuje cestu k souboru v DOS formátu 8.3
%Name%     nahrazuje jméno souboru bez cesty a přípony
%Ext%      nahrazuje příponu souboru
%URLFile%  nahrazuje jméno souboru včetně cesty
%HttpFile% nahrazuje jméno souboru včetně cesty
%PHPFile%  nahrazuje jméno souboru včetně cesty
%SelText%  v této proměnné je předán označený text
%Input%    ruční zadání parametru před spuštěním
%Word%     aktuální slovo v editoru
%Line%     aktuální řádek v editoru
%PSPath%   adresář k programu PSPad.EXE

Příklad:
Je předán soubor : c:\Dokumenty\HTML\Test.HTM
Obsah jednotlivých proměnných:

%File%     c:\Dokumenty\HTML\Test.HTM
%Dir%      c:\Dokumenty\HTML\
%Name%     Test
%Ext%      .HTM
%URLFile%  file://localhost/c:/Dokumenty/HTML/Test.HTM
%HttpFile% http://localhost/c:/Dokumenty/HTML/Test.HTM
%PHPFile%  http://localhost/Test.HTM
(pokud je v nastavení programu / internet nastavena cesta DocumentRoot na: c:\Dokumenty\HTML)


Kompilátor - příklady

 Příklady nastavení kompilátoru

O nastavení kompilátoru pojednává kapitola v nastavení zvýrazňovačů
Zde se dočtete o využití kompilátoru pro různá prostředí, příklady nastavení apod.
Z názvu kompilátor by se mohlo zdát, že použití je pouze pro kompilaci zdrojového kódu. Možná je název trochu zavádějící. Použití je všude tam, kde potřebujete soubor spustit v externím programu a zobrazit informace o průběhu, které externí program poskytuje.

Kromě řádkových kompilátorů pro různá exotická prostředí, různé kompilátory skriptů je vhodné využití třeba pro spouštění SQL skriptů.

Zeleně označený text nahraďte skutečnými hodnotami

LaTeX

kompilátor:  disk:\cesta\cslatex.bat
parametry:   %Name%.tex
LOG soubor:  %Name%.log
po kompilaci: windvi %Name%.dvi

Obsah CSLatex.BAT (předpokládá distribuci TeXLive):
@echo off
kpsewhich cslatex.fmt > nul
if errorlevel 1 goto genformat
if errorlevel 0 goto okay
:genformat
fmtutil --byfmt cslatex
:okay
latex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

LaTeX do PDF

kompilator :  disk:\cesta\pdfcslatex.bat
parametry  :  %Name%.tex
LOG soubor :  %Name%.log
po kompilaci: cesta_k_Acrobat_Readeru\AcroRd32 %Name%.pdf

Obsah PDFLatex.BAT (předpokládá distribuci TeXLive):
@echo off
kpsewhich pdfcslatex.fmt > nul
if errorlevel 1 goto genformat
if errorlevel 0 goto okay
:genformat
fmtutil --byfmt pdfcslatex
:okay
pdftex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

MS-SQL

kompilátor: disk:\cesta\osql
parametry : -Sserver_name -Ulogin_name -Ppassword -ddatabase_name -n -w1000 -i"%File%" -o"%Dir%%Name%.log"
LOG soubor: %Dir%%Name%.log

Assembler x86 pomocí TurboAssembleru

kompilator  : disk:\cesta\PLUS80.EXE
parametry   : -s jmeno/heslo@db @disk:\cesta\RunSQL "%Dir%%Name%.Log" "%File%"
LOG soubor  : %Dir%%Name%.Log

Obsah pomocného souboru RunSQL.SQL:
spool &1
set term off
@&2
spool off
exit

Poznámky:
Nezapomeňte SQL dotaz ukončit středníkem !

Assembler x86 pomocí TurboAssembleru

kompilator  : disk:\cesta\tasm.bat
parametry   : disk:\cesta\tasm\ %Dir% %Name%
po kompilaci: %Dir%%Name%

obsah dávkového souboru tasm.bat:
@ECHO OFF
REM %1 = Cesta k souboru
REM %2 = Jmeno prekladaneho souboru bez pripony

REM Adresar prekladacu tasm.exe a tlink.exe je nejlepsi pridat do cesty
REM v autoexec.bat, coz se provede takto:
REM SET PATH=existujici\cesty;cesta\k\prekladaci
REM Nastaveni cesty
CD %1
REM V pripade, ze kompilator ohlasi chybu a tento zdrojak byl jiz prelozen drive
REM bez chyby, spusti se. Sice to nevadi, ale zdrzuje to. Nasledujici podminka
REM toto resi tak, ze pokud najde drive prelozeny spustitelny soubor, vymaze ho.
IF EXIST %2.exe DEL %2.exe
REM Preklad
tasm %2.asm
tlink %2.obj
REM Smazani nepotrebnych souboru
DEL %2.obj
DEL %2.map

Assembler 8051

kompilator: disk:\cesta\cass51.bat
parametry : disk:\cesta1\asm51 %Dir% %Name% %Ext%

obsah cass51.bat
@Echo Off
Rem Nastaveni pracovniho adresare
cd %1
Rem Kopie zdrojoveho souboru do prac. adr.
copy %2%3%4 %1%3%4
Rem Preklad
cass51 %3%4
Rem Smazani zdroj. souboru v prac. adresari
del %3%4
Rem Presun souboru *.prn a *.hex do zdrojoveho adr.
copy %3.* %2%3.*
del %3.*

Kix32 - externí příkazy

run  : disk:\cesta\Kix32.exe "%File%"
debug: disk:\cesta\Kix32.exe "%File%" /d

Turbo pascal

kompilator  : disk:\cesta\tpc.bat
parametry   : %Dir% %Name%
po kompilaci:  %Dir%%Name%
[X] zachytit výstup programu
LOG parser  : %F(%L): Error

obsah dávkového souboru tpc.bat:
@ECHO OFF
REM %1 - Adresar zdrojoveho souboru
REM %2 - Jmeno zdrojoveho souboru bez pripony (ocekava se .pas)
REM Adresar prekladace tpc.exe je nejlepsi pridat do cesty
REM pro Win9x v souboru Autoexec.BAT, pro W2K a WinXP upravit proměnnou path
REM v Tento počítač / Vlastnosti / Upřesnit / proměnné prostředí
REM SET PATH=existujici\cesty;cesta\k\prekladaci
REM
REM Nastaveni pracovniho adresare
CD %1
REM V pripade, ze kompilator ohlasi chybu a tento zdrojak byl jiz prelozen drive
REM bez chyby, spusti se. Sice to nevadi, ale zdrzuje to. Nasledujici podminka
REM toto resi tak, ze pokud najde drive prelozeny spustitelny soubor, vymaze ho.
IF EXIST %2.exe DEL %2.exe
tpc %2 -uD:\Programy\PASCAL\tpu -m
REM Vyznam parametru:
REM -u : specifikuje cestu k standardnim jednotkam Turbo Pascalu
REM -m : překompiluje změněné jednotky

TiDy - kontrola HTML kódu

LOG parser: line %L

XMLlint - kontrola XML dokumentu

Budete potřebovat balík LibXML, ktery je vyvíjen pod licencí GPL a přeložená verze pro Windows je zdarma ke stažení na stránce LibXML. Stáhněte si balík, který obsahuje i utility.
Konkrétně se nám bude jednat o utilitu XMLlint.EXE

kompilator  : disk:\cesta\xmllint.exe
parametry   : --valid %File%
[X] zachytit výstup programu
LOG parser  : *:F:%L

AutoIT - kompilátor, externí příkazy

Kompilátor
kompilator: disk:\cesta\AutoIt.exe
parametry:  "%File%"

AutoIt to EXE
program:    disk:\cesta\Aut2Exe\Aut2Exe.exe
parametry:  /IN "%File%" /OUT "%Dir%%Name%.exe"

EXE to AutoIt
program:    disk:\cesta\Aut2Exe\Exe2Aut.exe
parametry:  /IN "%Dir%%Name%.exe" /OUT "%File%"

Java SDK

kompilátor:   disk:\cesta\javac.exe
parametry:    %Name%.java
LOG soubor:   %Name%.LOG
po kompilaci: cmd /k Java %Name%
[X] zachytit výstup programu
LOG parser:   *:%L

C# - MS .Net framework

kompilátor:   disk:\cesta\csc.exe
parametry:    "%File%" /nologo /warn:4
[X] zachytit výstup programu
LOG parser:

PHP

kompilátor:        drive:\path\php.exe
parametry:         %File%
[X] zachytit výstup programu
LOG parser:        *on line <b>%L

Perl

kompilátor:        drive:\path\perl.exe
parametry:         %File%
[X] zachytit výstup programu
LOG parser:        *on line <b>%L

Borland C++ Builder (command line)

kompilátor:    drive:\path\bcc32.exe
parametry:    %Name%%Ext%
LOG soubor:   %Name%.LOG
po kompilaci: %Name%.exe
[X] zachytit výstup programu
Log Parser:   * * %F %L:


 Vlastní zvýrazňovač

Popis jednotlivých položek dialogu

Jméno
Zde se uvádí jméno typů souborů, pro které je zvýrazňovač určen. Toto jméno se objeví v nabídkách, ve filtru při otevírání souborů, v typu souborů na stavovém řádku atd.

Přípony souborů
Seznam masek, které se uplatní při otevírání souboru a při detekci, který zvýrazňovač se použije. Jednotlivé masky jsou odděleny čárkami

Styl komentářů
Specifikuje jaký druh komentářů je v daném souboru použit. Komentáře lze libovolně kombinovat. Počet stylů se postupně rozšiřuje

Povolené znaky v klíčových slovech
Specifikuje znaky, které se mohou vyskytovat jako součást klíčového slova

Typ souboru pro průzkumníka kódu
Přiřadí uživatelskému zvýrazňovači existující způsob parsování zdrojového kódu

Řetězce
Slouží k identifikaci řetězců. Na výběr jsou dvě možnosti:

Jednoduché uvozovky - 'řetězec'
Dvojité uvozovky - "řetězec"

Preprocesory
jsou zvláštní řetězce, které slouží pro řízení kompilátoru, větvení programu, podmínečnému překladu apod.

HTML
tato indikace označuje, že jde o zvýrazňovač pro HTML, takže budou při použití tohoto zvýrazňovače k dispozici HTML nástroje

Tabulátor
určuje velikost tabulátoru

Komentář
pokud bude určen komentovací řetězec, bude použit ve funkci komentovat a odkomentovat blok. Pokud není určen, použije se nějaký vhodný ze zvolených komentářů

Rozšířené odsazování
viz.

Klíčová slova
Zde je uveden seznam klíčových slov, které se v programu vyskytují.
Podmínky pro klíčová slova:
· každé slovo na zvláštním řádku
· jsou psány velkými písmeny (při uložení jsou automaticky převedena na velká)
· jsou seřazeny podle abecedy (při uložení jsou automaticky seřazena)

Vyhrazená slova
Mají stejný význam jako klíčová slova. Doplněno od verze 3.1.6. Využívá se, pokud chcete barevně rozlišit dvě skupiny slov. Pojmenování "Klíčová" a "Vyhrazená" slouží pouze k rozlišení seznamů, není v tom skryt žádný další význam. použít to můžete třeba pro definici datových typů apod. Pokud se stejné slovo vyskytuje v obou seznamech, je použito slovo z klíčových slov a s tím souvisí i barva syntaxe

Načíst
Načte definici zvýrazňovače. Program předpokládá uložení definice v podadresáři Syntax. Pokud soubor načtete třeba z diskety, při uložení bude provedena kontrola existence (popř. vytvoření) podadresáře a soubor s definicí bude uložen tam.

Uložit
Uloží soubor s definicí do podadresáře Syntax. Jméno souboru je totožné se jménem, uvedeným v políčku Jméno.
V případě, že je zvýrazňovač, se kterým se pracuje aktivní, jsou změny při uložení promítnuty i do všech otevřených souborů, které jej používají.

Jak vytvořit vlastní zvýrazňovač

Definice zvýrazňovače
Vyplnit jméno zvýrazňovače - toto jméno se bude ukazovat v menu
Vyplnit masky souborů. Ty potom poslouží k automatickému přiřazení zvýrazňovače při otevření souboru
Vybrat typ komentářů, který nejlépe odpovídá stylu ve vašem souboru.
Zvolit typ řetězců - řetězec je v jednoduchých nebo dvojitých uvozovkách
Vyplnit seznam klíčových, popř. vyhrazených slov. Ty jsou při uložení seřazeny abecedně automaticky, takže si s tím nemusíte dělat starosti.
Pak zvýrazňovač uložíte tlačítkem "Uložit".

Jak říct PSPadu, aby náš zvýrazňovač používal
Spustit Nastavení zvýrazňovačů
Na kartě Filtry v levém seznamu kliknout na jeden ze tří tučně zvýrazněných zvýrazňovačů (General)
V seznamu uživatelských zvýrazňovačů (vpravo) kliknout na požadovaný zvýrazňovač.
Takto je možno přidělit zvýrazňovače do všech tří pozic

Nastavení barev pro zvýraznění syntaxe
Pokud někomu nevyhovuje standardní nastavení barev, můžete přejít na záložku "Barvy syntaxe" a jednoduchým nastavením barvy písma a pozadí si přebarvíte odpovídající typ. Při nastavování barvy pozadí a písma doporučuji použít barvy Window a Font. Tím si zajistíte automatickou změnu barev při globální změně vzhledu Windows.

Význam některých typů při nastavování barev
· Návěští jsou slova začínající znakem @, obsahující písmena bez diakritiky, pomlčku a podtržítko
· Symboly jsou znaky, které nejsou písmena (matematické znaky, závorky apod.), kromě znaků, použitých v jiných typech (např. komentářích)
· Identifikátory jsou všechny ostatní znaky

Popis struktury definičního souboru:

;komentář, ignorováno
;jméno sekce, povinné
[Settings]
;jméno typu souboru - povinné
Name=OtherCad
;seznam typů souborů - povinná min.jedna položka
FileType=*.prg,*.bpk
;nastavení jednotlivých parametrů. Nepovinné, 1 = Ano, 0 = Ne
ANSIComment=0
PasComment=0
CComment=0
SpecComment=1
BasComment=0
SingleQuote=0
Preprocessors=0
;jméno sekce - povinné
[KeyWords]
;jednotlivá klíčová slova velkými písmeny, seřazená abecedně
ABS=
ACOS=
ATN=
BOOLEAN=
;jméno sekce - povinné
[ReservedWords]
;jednotlivá vyhrazená slova velkými písmeny, seřazená abecedně
BOOLEAN=
INTEGER=
STRING=